------------------------------------------------------------------------
r43120 | gerald | 2012-06-05 09:21:47 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/wireshark-common.files
   M /trunk/docbook/release-notes.xml
   M /trunk/make-version.pl

1.7.2 → 1.9.0.

------------------------------------------------------------------------
r43124 | gerald | 2012-06-05 11:37:32 -0700 (Tue, 05 Jun 2012) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/ui/qt/QtShark.pro

Pass WTAP_VERSION to Qt. (WTAP_VERSION should probably match the GNU
toolchain version but that's a separate issue.)

------------------------------------------------------------------------
r43126 | jmayer | 2012-06-05 16:03:13 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vines.c

Just fix some clang analysis warnings

------------------------------------------------------------------------
r43128 | gerald | 2012-06-05 16:43:02 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/ui/qt/QtShark.pro

Add the GeoIP DLL.

------------------------------------------------------------------------
r43129 | wmeier | 2012-06-05 21:54:47 -0700 (Tue, 05 Jun 2012) | 20 lines
Changed paths:
   M /trunk/epan/dissectors/packet-noe.c
   M /trunk/epan/dissectors/packet-ua.c
   M /trunk/epan/dissectors/packet-ua3g.c
   M /trunk/epan/dissectors/packet-uasip.c
   M /trunk/epan/dissectors/packet-uaudp.c
   M /trunk/epan/dissectors/packet-uaudp.h

Fix some bugs & do extensive cleanup;
Bugs fixed:
 - Calling col_...() fcns or dissectors under 'if (tree)'
 - Potential buffer overflows (if bad data)
 - Misc incorrect data display issues
Cleanup including;
 - Remove unneeded #includes
 - Fix excessive use of value_strings
 - Use extended value_strings & val_to_str_(ext_)const as appropriate
 - Optimize repeated fetches of the same data from a tvb
 - Do general code simplification
 - Remove or #if 0 unused code;
 - Add XXX comments for code which may be incorrect
 - Remove unneeded prefs callback to proto_reg_handoff...()
 - Remove unneeded use of check_col()
 - Define several functions as static
 - Move proto_reg_handoff...() to the end of the file
 - Fix whitespace (including "4 space tabs")
 - ...

------------------------------------------------------------------------
r43130 | wmeier | 2012-06-05 22:36:43 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uasip.c

Fix compiler error

------------------------------------------------------------------------
r43131 | wmeier | 2012-06-05 22:58:42 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uaudp.c

Fix compiler error (I hope)

------------------------------------------------------------------------
r43133 | pascal | 2012-06-06 09:55:48 -0700 (Wed, 06 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Frank Lahm via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7334 :
FPSpotlightRPC dates structure can contain multiple dates

------------------------------------------------------------------------
r43136 | morriss | 2012-06-06 11:54:18 -0700 (Wed, 06 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/io_stat.c

Support math operations (SUM, MAX, MIN, etc.) on 64-bit fields.

------------------------------------------------------------------------
r43137 | morriss | 2012-06-06 12:14:30 -0700 (Wed, 06 Jun 2012) | 8 lines
Changed paths:
   M /trunk/ui/gtk/io_stat.c

Split the Advanced unit COUNT(*) into COUNT FRAMES(*) and COUNT FIELDS(*).

(Before checking the code it wasn't clear to me what COUNT(*) was counting
and--especially with SCTP's bundling of user messages--counting fields was
really what I wanted/needed.)

Remove a 32-bit cast (should have been part of r43136).

------------------------------------------------------------------------
r43138 | morriss | 2012-06-06 12:20:28 -0700 (Wed, 06 Jun 2012) | 4 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_statistics.xml

Don't bother telling users that the save and copy commands are "only"
available in Wireshark 0.99.x and only when Wireshark was built with GTK
2.6 or later.

------------------------------------------------------------------------
r43139 | darkjames | 2012-06-06 12:59:55 -0700 (Wed, 06 Jun 2012) | 4 lines
Changed paths:
   M /trunk/wiretap/netscreen.c

Fix bug #7340

interface name can also contain hyphen (v1-untrust, v1-trust).

------------------------------------------------------------------------
r43140 | morriss | 2012-06-06 13:04:03 -0700 (Wed, 06 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/io_stat.c

Add casting to keep Windows happy.

------------------------------------------------------------------------
r43141 | etxrab | 2012-06-06 13:35:37 -0700 (Wed, 06 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/wiretap/wtap.c

From Stephen Donnelly: Correct ERF name, add WTAP_ENCAP string display https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7313
------------------------------------------------------------------------
r43142 | gerald | 2012-06-06 13:42:47 -0700 (Wed, 06 Jun 2012) | 3 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/tools/win64-setup.sh

Update the Lua configuration on Win64 to reflect the recent change to
Visual Studio 2010.

------------------------------------------------------------------------
r43144 | etxrab | 2012-06-06 13:44:21 -0700 (Wed, 06 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-glusterfs.c

From Niels de Vos: GlusterFS: Display SETATTR attribute valid as a list of flags https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7341
------------------------------------------------------------------------
r43145 | morriss | 2012-06-07 05:05:14 -0700 (Thu, 07 Jun 2012) | 3 lines
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/user-guide.xml

Version 1.7 --> 1.9.
Extend the copyright for these documents into 2012.

------------------------------------------------------------------------
r43147 | wmeier | 2012-06-07 10:39:11 -0700 (Thu, 07 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

Fix invalid hf[] entry 'display' field value.
result: incorect display of value (and, incidentally,
        a crash in 'tshark -G values'

------------------------------------------------------------------------
r43148 | rbalint | 2012-06-07 11:44:20 -0700 (Thu, 07 Jun 2012) | 1 line
Changed paths:
   M /trunk/docbook/Makefile.common

fix building Developer Guide from release tarball
------------------------------------------------------------------------
r43149 | wmeier | 2012-06-07 13:16:28 -0700 (Thu, 07 Jun 2012) | 6 lines
Changed paths:
   M /trunk/plugins/ethercat/packet-ecatmb.c

Attempt to fix display of "eoe macfilter header".
Among other things: fix incorrect 'display' value in several hf[] entries.
(See XXX coments in source for further details).
Attempt to fix use of incorrect value in hf[] entry 'display' fields


------------------------------------------------------------------------
r43150 | wmeier | 2012-06-07 14:10:02 -0700 (Thu, 07 Jun 2012) | 11 lines
Changed paths:
   M /trunk/epan/proto.c

Don't crash in 'proto_registrar_dump_values' if BASE_EXT_STRING and no extended string.
Note: this shows up when doing 'tshark -G values'.

BASE_EXT_STRING with a missing extended string does *not* cause issues
with the normal display code:

ToDo (eventually): Add some code to enforce requirement that hf[] entries with BASE_EXT_STRING
(or BASE_RANGE_STRING) set must also have a 'strings' value.



------------------------------------------------------------------------
r43151 | etxrab | 2012-06-07 23:26:55 -0700 (Thu, 07 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wbxml.c

From  Stefan Hoffmeister:
ActiveSync WBXML CodeSpace updated to match official documentation.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7345
------------------------------------------------------------------------
r43152 | etxrab | 2012-06-08 04:50:52 -0700 (Fri, 08 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Only dissect as SDp if it's IPBCP (text encoded).
------------------------------------------------------------------------
r43153 | etxrab | 2012-06-08 04:54:26 -0700 (Fri, 08 Jun 2012) | 4 lines
Changed paths:
   M /trunk/dumpcap.c

From Alexey Neyman Forward ported by Michael Mann:
Allow captures over TCP connections.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2788
------------------------------------------------------------------------
r43154 | etxrab | 2012-06-08 05:27:22 -0700 (Fri, 08 Jun 2012) | 1 line
Changed paths:
   M /trunk/dumpcap.c

Add a cast.
------------------------------------------------------------------------
r43155 | cmaynard | 2012-06-08 06:23:14 -0700 (Fri, 08 Jun 2012) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Add another cast to make Windows buildbots happy.

------------------------------------------------------------------------
r43156 | cmaynard | 2012-06-08 06:55:14 -0700 (Fri, 08 Jun 2012) | 2 lines
Changed paths:
   M /trunk/doc/dumpcap.pod
   M /trunk/dumpcap.c

Some minimal documentation of remote capture interface formats for both rpcap and the new TCP feature from bug 2788. 

------------------------------------------------------------------------
r43157 | gerald | 2012-06-08 10:20:44 -0700 (Fri, 08 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-sametime.c
   M /trunk/wiretap/pcapng.c

Fix some dead assignments.

------------------------------------------------------------------------
r43158 | morriss | 2012-06-08 12:04:13 -0700 (Fri, 08 Jun 2012) | 1 line
Changed paths:
   M /trunk/tools/svnadd

Handle adding .xml and .dtd files.
------------------------------------------------------------------------
r43159 | morriss | 2012-06-08 12:09:23 -0700 (Fri, 08 Jun 2012) | 1 line
Changed paths:
   M /trunk/tools/svnadd

The application/xml* MIME types are considered binary types by svn, use text/xml for .xml and don't set a MIME type for .dtd files.
------------------------------------------------------------------------
r43160 | morriss | 2012-06-08 12:17:04 -0700 (Fri, 08 Jun 2012) | 7 lines
Changed paths:
   M /trunk/diameter/Cisco.xml
   M /trunk/diameter/Ericsson.xml
   M /trunk/diameter/TGPPGmb.xml
   M /trunk/diameter/TGPPRx.xml
   A /trunk/diameter/TGPPS9.xml
   M /trunk/diameter/TGPPSh.xml
   M /trunk/diameter/Vodafone.xml
   M /trunk/diameter/chargecontrol.xml
   M /trunk/diameter/dictionary.xml
   M /trunk/diameter/eap.xml
   M /trunk/diameter/etsie2e4.xml
   M /trunk/diameter/gqpolicy.xml
   M /trunk/diameter/imscxdx.xml
   M /trunk/diameter/mobileipv4.xml
   M /trunk/diameter/mobileipv6.xml
   M /trunk/diameter/nasreq.xml
   M /trunk/diameter/sip.xml
   M /trunk/diameter/sunping.xml

Add support for 3GPP S9 (29.215).

Massively reindent dictionary.xml to try to make it more readable
to us humans.  Fix some typos too.

Set SVN properties on all the files.

------------------------------------------------------------------------
r43162 | morriss | 2012-06-08 12:59:33 -0700 (Fri, 08 Jun 2012) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Don't call val_to_str() only to then compare the result with "Uknown": use
match_strval() instead.

Also, don't retrieve the application ID 3 more times; we've already got it
in a variable...

Point out a bug regarding how we're storing the application ID for use by
subdissectors (from r34570).

------------------------------------------------------------------------
r43163 | morriss | 2012-06-08 13:08:43 -0700 (Fri, 08 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Thinking about it more, how we're storing the application ID isn't a problem.
------------------------------------------------------------------------
r43164 | wmeier | 2012-06-08 14:17:42 -0700 (Fri, 08 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ua3g.c

Fix bug I introduced in SVN #43129.

Fixes fuzz crash reported in Bug #7346.


------------------------------------------------------------------------
r43166 | morriss | 2012-06-08 15:23:11 -0700 (Fri, 08 Jun 2012) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Don't register 3 (IPAddress) hf's with the same abbreviation but with 3
different types; instead use different abbreviations (filters).

This is in order to prevent running into

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2402

and seg-faulting when someone applies a filter of, for example,
diameter.Framed-IP-Address .

------------------------------------------------------------------------
r43170 | gerald | 2012-06-08 16:54:22 -0700 (Fri, 08 Jun 2012) | 25 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/tools/git-compare-abis.sh
   M /trunk/wiretap/Makefile.am
   M /trunk/wsutil/Makefile.am

Forward-port r43165 and r43168 from trunk-1.6.

  ------------------------------------------------------------------------
  r43165 | gerald | 2012-06-08 14:23:25 -0700 (Fri, 08 Jun 2012) | 4 lines
  Changed paths:
     M /trunk-1.6/epan/Makefile.am
     M /trunk-1.6/wiretap/Makefile.am
     M /trunk-1.6/wsutil/Makefile.am
  
  Use separate commands in the dumpabi recipes instead a big huge long
  chain. If abi-compliance-checker fails print the contents of its
  log file.
  ------------------------------------------------------------------------
  r43168 | gerald | 2012-06-08 15:43:50 -0700 (Fri, 08 Jun 2012) | 2 lines
  Changed paths:
     M /trunk-1.6/epan/Makefile.am
     M /trunk-1.6/wiretap/Makefile.am
     M /trunk-1.6/wsutil/Makefile.am
  
  Make sure ln happens in the right directory.
  ------------------------------------------------------------------------

We don't currently have a usable tag for "git describe --tags
--abbrev=0" to latch onto so just use the first 1.9 commit.

------------------------------------------------------------------------
r43171 | cmaynard | 2012-06-08 20:36:15 -0700 (Fri, 08 Jun 2012) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Fix Coverity CID 708961: Resource leak, by closing the socket if the connect() fails.  While there, print a human-readable error message on Windows like we do for other platforms.  Lastly, be sure to specify FORMAT_MESSAGE_IGNORE_INSERTS in the dwFlags arg to all FormatMessage() calls where FORMAT_MESSAGE_FROM_SYSTEM is also specified.  (Ref: http://blogs.msdn.com/b/oldnewthing/archive/2007/11/28/6564257.aspx)

------------------------------------------------------------------------
r43172 | cmaynard | 2012-06-08 20:41:23 -0700 (Fri, 08 Jun 2012) | 2 lines
Changed paths:
   M /trunk/capture_sync.c
   M /trunk/epan/filesystem.c
   M /trunk/rawshark.c

Be sure to specify FORMAT_MESSAGE_IGNORE_INSERTS in the dwFlags arg to all FormatMessage() calls where FORMAT_MESSAGE_FROM_SYSTEM is also specified.  (Ref: http://blogs.msdn.com/b/oldnewthing/archive/2007/11/28/6564257.aspx)

------------------------------------------------------------------------
r43173 | cmaynard | 2012-06-08 20:54:29 -0700 (Fri, 08 Jun 2012) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Undo an accidental portion of the last commit.

------------------------------------------------------------------------
r43174 | cmaynard | 2012-06-09 08:43:08 -0700 (Sat, 09 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-syslog.c

Allow syslog to work with "Decode As" for TCP.
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5241

------------------------------------------------------------------------
r43175 | cmaynard | 2012-06-09 08:54:15 -0700 (Sat, 09 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Add sip.to.tag and sip.from.tag filters.
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5226

------------------------------------------------------------------------
r43176 | cmaynard | 2012-06-09 10:08:46 -0700 (Sat, 09 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Do not use BASE_NONE for FT_UINT8 types.
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7333 (I think).

------------------------------------------------------------------------
r43177 | cmaynard | 2012-06-09 10:47:58 -0700 (Sat, 09 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/t124/packet-t124-template.c
   M /trunk/epan/dissectors/packet-bzr.c
   M /trunk/epan/dissectors/packet-h248_annex_e.c
   M /trunk/epan/dissectors/packet-homeplug-av.c
   M /trunk/epan/dissectors/packet-nflog.c
   M /trunk/epan/dissectors/packet-opensafety.c
   M /trunk/epan/dissectors/packet-t124.c

Do not use BASE_NONE for FT_*INT* types.

------------------------------------------------------------------------
r43178 | cmaynard | 2012-06-09 10:51:30 -0700 (Sat, 09 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mndp.c

Do not use BASE_NONE for FT_*INT* types.

------------------------------------------------------------------------
r43179 | cmaynard | 2012-06-09 10:56:08 -0700 (Sat, 09 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-vmlab.c

Do not use BASE_NONE for FT_*INT* types.

------------------------------------------------------------------------
r43180 | wmeier | 2012-06-09 11:24:09 -0700 (Sat, 09 Jun 2012) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uasip.c

str_to_ipaddr() had a bug; use inet_pton() instead;
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6844#c27

Also: Improve handling of an invalid value for the 'proxy IP Address'
preference. If the address is invalid, setting the preference
to "" in proto_reg_handoff...() doesn't work well.
Instead, issue a g_warning for an invalid IP address when it'
s processed in proto_reg_handoff...()
(AFAIK, there's not a way for a dissector to validate the semantic
value of a preference and report an error).

------------------------------------------------------------------------
r43181 | wmeier | 2012-06-09 11:42:20 -0700 (Sat, 09 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uasip.c

Fix compiler error

------------------------------------------------------------------------
r43182 | etxrab | 2012-06-10 01:24:18 -0700 (Sun, 10 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

From Michael Mann: Added dissection of IceP over UDP as well as a few preferences mentioned in the TODO.  Also replaced a few proto_tree_add_text with expert_add_info_format. https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1646
------------------------------------------------------------------------
r43183 | gerald | 2012-06-10 07:03:31 -0700 (Sun, 10 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-10]
------------------------------------------------------------------------
r43184 | wmeier | 2012-06-10 08:10:11 -0700 (Sun, 10 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/proto.c

Fix bug wherein values in a custom column aren't displayed as a value_string (when appropriate).
Essentially: BASE_CUSTOM is "base_display_e value" (like BASE_DEC) *not* a bit-mask
 (like BASE_EXT_STRING).
Bug introduced in SVN #39902

------------------------------------------------------------------------
r43185 | cmaynard | 2012-06-10 12:02:03 -0700 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Fix the other part of Coverity CID 703086.  I thought I got it with r42798, but apparently that was only 1/2 the fix as sometimes they group more than one bug into a single CID.

------------------------------------------------------------------------
r43186 | wmeier | 2012-06-10 12:23:50 -0700 (Sun, 10 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

Fix "BASE_CUSTOM field is incorrectly formatted when applied as a column".
Resolves Bug #6671 - https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6671

------------------------------------------------------------------------
r43187 | cmaynard | 2012-06-10 12:43:40 -0700 (Sun, 10 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-udp.c

Fix UDP-Lite checksum verification bug introduced with r40387 and reported by "answer" via http://ask.wireshark.org/questions/11798/is-udp-lite-checksum-correct-ipv6
There is a difference between the UDP and UDP-Lite pseudo header that wasn't realized when r40387 was committed.  Details of the difference in http://tools.ietf.org/html/rfc3828#section-3.2

------------------------------------------------------------------------
r43188 | darkjames | 2012-06-10 15:03:17 -0700 (Sun, 10 Jun 2012) | 9 lines
Changed paths:
   M /trunk/file.c
   M /trunk/ui/gtk/main_proto_draw.c
   M /trunk/ui/gtk/packet_win.c

Clear GtkTreeStore before freeing edt

When building current data for packet details treeview we store two things.
- Generated string with item label
- Pointer to node field_info structure

After epan_dissect_{free, cleanup} pointer to field_info node is no longer
valid so we should clear GtkTreeStore before freeing.

------------------------------------------------------------------------
r43189 | darkjames | 2012-06-10 15:07:54 -0700 (Sun, 10 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/main_proto_draw.c
   A /trunk/ui/gtk/proto_tree_model.c
   A /trunk/ui/gtk/proto_tree_model.h

Custom model for packet details

Original patch tracked in bug #7224

------------------------------------------------------------------------
r43190 | darkjames | 2012-06-10 15:35:48 -0700 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/CMakeLists.txt

Missing proto_tree_model.c in CMakeLists (r43189 for cmake)

------------------------------------------------------------------------
r43191 | cmaynard | 2012-06-10 17:53:23 -0700 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Remove duplicate entry.

------------------------------------------------------------------------
r43192 | wmeier | 2012-06-10 19:09:48 -0700 (Sun, 10 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/dfvm.c

From Evan Huus: Unnecessary branch in dfvm.c
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7354

------------------------------------------------------------------------
r43193 | cmaynard | 2012-06-10 19:43:16 -0700 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/print_dlg.c

Set the default for printing or exporting packets to displayed packets only.

------------------------------------------------------------------------
r43194 | wmeier | 2012-06-10 20:36:04 -0700 (Sun, 10 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

From Evan Huus: Missing breaks in packet-rsvp.c
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7353

------------------------------------------------------------------------
r43195 | cmaynard | 2012-06-10 20:51:47 -0700 (Sun, 10 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Expand the item regarding displayed packets, rather than all packets, as being the default when saving to also include exporting and printing as well.

------------------------------------------------------------------------
r43196 | etxrab | 2012-06-11 00:09:11 -0700 (Mon, 11 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/base64.c
   M /trunk/epan/base64.h
   M /trunk/epan/dissectors/packet-http.c

From Michael Mann:
NUL terminate the decoded string.  
Updated only dissector that uses epan_base64_decode() (packet-http.c) to assume
NULL termination.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7349
------------------------------------------------------------------------
r43197 | etxrab | 2012-06-11 00:10:18 -0700 (Mon, 11 Jun 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c

From Michael Mann:
Implemented RFC 4954 within the SMTP dissector.  On principle, the decryption
is disabled by default (making this feature not obviously present). However I
don't think there will ever be enough data that the performance would be an
issue if the default was changed.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7349
------------------------------------------------------------------------
r43198 | etxrab | 2012-06-11 00:14:52 -0700 (Mon, 11 Jun 2012) | 4 lines
Changed paths:
   M /trunk/airpcap_loader.c

From Evan Huus:
Airpcap memory leak.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7352
------------------------------------------------------------------------
r43199 | etxrab | 2012-06-11 00:48:14 -0700 (Mon, 11 Jun 2012) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add a reference to TGPPS9.xml update a couple of AVP:s while at it.
------------------------------------------------------------------------
r43200 | etxrab | 2012-06-11 01:07:48 -0700 (Mon, 11 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

len is no longer used.
------------------------------------------------------------------------
r43201 | pascal | 2012-06-11 05:38:06 -0700 (Mon, 11 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/base64.c

From Michael Mann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7357 :
Fix memory corruption in base64 introduced in revision 43196

------------------------------------------------------------------------
r43202 | pascal | 2012-06-11 06:48:11 -0700 (Mon, 11 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/packaging/nsis/wireshark.nsi

Add TGPPS9.xml to makefile and NSIS installer

------------------------------------------------------------------------
r43203 | pascal | 2012-06-11 06:54:06 -0700 (Mon, 11 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Use restricted character string decoding for IA5String type
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6246

------------------------------------------------------------------------
r43204 | wmeier | 2012-06-11 08:47:50 -0700 (Mon, 11 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ip.h

Create dscp_vals_ext value_str_ext (based upon dscp_vals); Use it as appropriate.
Also:
 - use val_to_str_const() [instead of val_to_str()] in a few cases;
 - do some trivial formatting cleanup.

------------------------------------------------------------------------
r43205 | morriss | 2012-06-11 09:05:38 -0700 (Mon, 11 Jun 2012) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

S9 AVPs start at 2200.
------------------------------------------------------------------------
r43207 | wmeier | 2012-06-11 09:33:56 -0700 (Mon, 11 Jun 2012) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

General cleanup:
- remove some redundant code;
- use ep_strdup_printf() instead of g_snprintf() to a static buffer;
- create and use extended-value-strings as appropriate;
- define a value_string array as static (not as an automatic);
- use val_to_str_const() instead of val_to_str() as appropriate;
- reformat hf[] array entries;
- do general formatting cleanup;
- do whitespace cleanup (e.g., indentation & 4-space tabs).

------------------------------------------------------------------------
r43208 | wmeier | 2012-06-11 09:44:42 -0700 (Mon, 11 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Fix a compiler warning

------------------------------------------------------------------------
r43209 | wmeier | 2012-06-11 09:53:49 -0700 (Mon, 11 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Fix another compiler warning

------------------------------------------------------------------------
r43210 | wmeier | 2012-06-11 11:47:42 -0700 (Mon, 11 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/ip_opts.h

Don't define value_string arrays in a .h file (included in multiple places).
Also:
 - don't use val_to_str_const() with a "format" default string;
 - rename 'opt_len_type' enumeration  identifiers to be less generic.

------------------------------------------------------------------------
r43211 | wmeier | 2012-06-11 12:07:53 -0700 (Mon, 11 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.h
   M /trunk/epan/dissectors/packet-megaco.c
   M /trunk/epan/dissectors/packet-mpls-pm.c
   M /trunk/epan/dissectors/packet-nhrp.h

Use dscp_vals_ext everyplace (instead of dscp_vals);
(dscp_vals is now a static array in packet-ip.c)

------------------------------------------------------------------------
r43212 | darkjames | 2012-06-11 12:27:57 -0700 (Mon, 11 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-double.c

Fix bug 6917

strtod() is locale-aware, change it to g_ascii_strtod()

------------------------------------------------------------------------
r43213 | morriss | 2012-06-11 12:42:05 -0700 (Mon, 11 Jun 2012) | 4 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Prohibit strtod() (as per r 43212).

Replace tabs with spaces (for consistency).

------------------------------------------------------------------------
r43214 | pascal | 2012-06-11 13:12:17 -0700 (Mon, 11 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

From Alexander via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7360 :
Service handover IE is not correctly dissected

------------------------------------------------------------------------
r43215 | pascal | 2012-06-11 13:28:31 -0700 (Mon, 11 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

From Alexander via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7361 :
Add BSS supported Codec list dissection to Assigment Complete message

------------------------------------------------------------------------
r43216 | wmeier | 2012-06-11 13:35:00 -0700 (Mon, 11 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-rsvp.c

Re-order 2 value_string arrays so that entries are in ascending order by value.

------------------------------------------------------------------------
r43217 | wmeier | 2012-06-11 13:51:47 -0700 (Mon, 11 Jun 2012) | 15 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wreth.c

Fix bugs and other issues:
- remove 'if (tree)' around code which (eventually) calls col_...() functions;
- remove unneeded check_col() usage;
- use extended value-strings where appropriate;
- use col_set_str() instead of col_add_fstr();
- fix mismatch between proto_tree_add_item() size arg and the FT type in the
   referenced hf[] entry (in a few cases);
- FT_STRING fields should have ENC_ASCII|ENC_NA as the 'encoding' arg
   in the corresponding proto_tree_add_item() call;
- do whitespace cleanup.

Note: 1 issue remains:
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7260#c12


------------------------------------------------------------------------
r43221 | jmayer | 2012-06-12 03:38:22 -0700 (Tue, 12 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ip.h
   M /trunk/epan/dissectors/packet-ipv6.c

Manually revert r41953

  BACKPORT to 1.8

------------------------------------------------------------------------
r43222 | jmayer | 2012-06-12 03:44:57 -0700 (Tue, 12 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ip.h
   M /trunk/epan/dissectors/packet-ipv6.c

Revert r41952

  BACKPORT to 1.8

------------------------------------------------------------------------
r43224 | wmeier | 2012-06-12 06:03:05 -0700 (Tue, 12 Jun 2012) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Note that calls to "expert" functions should not be under 'if (tree)'.

------------------------------------------------------------------------
r43226 | wmeier | 2012-06-12 14:22:46 -0700 (Tue, 12 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-banana.c
   M /trunk/epan/dissectors/packet-bfcp.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-cell_broadcast.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-cipsafety.c
   M /trunk/epan/dissectors/packet-dmx.c
   M /trunk/epan/dissectors/packet-dvb-data-mpe.c
   M /trunk/epan/dissectors/packet-llrp.c
   M /trunk/epan/dissectors/packet-moldudp.c
   M /trunk/epan/dissectors/packet-moldudp64.c
   M /trunk/epan/dissectors/packet-mpeg-pat.c
   M /trunk/epan/dissectors/packet-mpeg-sect.c
   M /trunk/epan/dissectors/packet-openwire.c

Fix: code under 'if(tree)' (in)directly calls sub-dissector/col_...()/expert...() fcns

------------------------------------------------------------------------
r43227 | pascal | 2012-06-12 14:36:55 -0700 (Tue, 12 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-ranap.h

Upgrade GSM BSSMAP dissection to Release 9 (V9.8.0)

------------------------------------------------------------------------
r43228 | morriss | 2012-06-12 18:13:12 -0700 (Tue, 12 Jun 2012) | 6 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/libwireshark.def
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/mate/packet-mate.c
   M /trunk/ui/gtk/prefs_dlg.c

Create, and start using, file name preferences.

File name preferences are basically just string preferences except that the
GUI will present a "Browse" button that allows the user to go and find the
file s/he wants (rather than having to blindly type in the full path).

------------------------------------------------------------------------
r43229 | wmeier | 2012-06-13 07:42:30 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

wireshark.bsc dependencies: fix a typo; add 2 which are missing.

------------------------------------------------------------------------
r43230 | morriss | 2012-06-13 07:56:33 -0700 (Wed, 13 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pop.c

From Michael Mann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3317

Add SSL/TLS support to the POP dissector (functionality copied from the
SMTP dissector).

------------------------------------------------------------------------
r43231 | etxrab | 2012-06-13 08:27:41 -0700 (Wed, 13 Jun 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wccp.c

From Michael Mann:
length bugfix + proto_tree_add_text() cleanup

Fixed the Web-Cache Identity Info dissection.  Also converted many of the
proto_tree_add_text() to "more filterable" APIs.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5141
------------------------------------------------------------------------
r43232 | wmeier | 2012-06-13 09:18:38 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Add a comment as to .bsc files seemingly not usable with VS2010.

------------------------------------------------------------------------
r43233 | wmeier | 2012-06-13 09:19:35 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/Makefile.nmake
   M /trunk/ui/cli/Makefile.nmake
   M /trunk/ui/gtk/Makefile.nmake
   M /trunk/ui/win32/Makefile.nmake

Add '*.sbr' to 'clean'

------------------------------------------------------------------------
r43234 | wmeier | 2012-06-13 09:44:06 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake

Add a comment as to .bsc files seemingly not usable with VS2010.

------------------------------------------------------------------------
r43235 | morriss | 2012-06-13 10:25:16 -0700 (Wed, 13 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-wccp.c

Mark a couple of parameters as unused.
------------------------------------------------------------------------
r43236 | gerald | 2012-06-13 12:06:27 -0700 (Wed, 13 Jun 2012) | 17 lines
Changed paths:
   M /trunk/packaging/nsis/AdditionalTasksPage.ini
   M /trunk/packaging/nsis/Makefile.nmake
   A /trunk/packaging/nsis/common.nsh
   A /trunk/packaging/nsis/uninstall.nsi
   M /trunk/packaging/nsis/wireshark.nsi

Move the "uninstall" parts of wireshark.nsi to uninstall.nsi and the
common parts to common.nsh. Creating an installer now requires two
NSIS runs:

  - uninstaller.nsi, which creates an installer (uninstall_installer.exe)
    that only writes uninstall.exe to ../../wireshark-gtk2.

  - wireshark.nsi, which bundles uninstall.exe along with the rest of
    our installation files.

If we ever get around to signing our executables this will let us sign
all of them. It also cleans up the .nsi file contents a bit.

Instead of keeping separate list of file extensions, manage them from
a single macro. Print the extensions we register / deregister in the
detail pane.

------------------------------------------------------------------------
r43237 | gerald | 2012-06-13 13:11:41 -0700 (Wed, 13 Jun 2012) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/uninstall.nsi
   M /trunk/packaging/nsis/wireshark.nsi

Use terminology that conforms better with the MSDN documentation and a
style that conforms better with the rest of the NSIS output.

------------------------------------------------------------------------
r43239 | gerald | 2012-06-13 14:03:54 -0700 (Wed, 13 Jun 2012) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

Define STAGING_DIR and use it in various places instead of hard-coding
"..\.." or "..\..\wireshark-gtk2".

------------------------------------------------------------------------
r43241 | pascal | 2012-06-13 14:05:10 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c

Use value_string_ext for arrays with more than 15 entries

------------------------------------------------------------------------
r43242 | guy | 2012-06-13 14:08:18 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Update a comment to reflect new-packet-list reality.

------------------------------------------------------------------------
r43243 | pascal | 2012-06-13 15:02:12 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-rrc.c

Use value_string_ext for arrays with more than 15 entries

------------------------------------------------------------------------
r43244 | gerald | 2012-06-13 15:28:28 -0700 (Wed, 13 Jun 2012) | 3 lines
Changed paths:
   M /trunk/packaging/portableapps/win32/Makefile.nmake
   M /trunk/packaging/portableapps/win32/makenmake.pl
   M /trunk/packaging/u3/win32/Makefile.nmake
   M /trunk/packaging/u3/win32/makenmake.pl
   M /trunk/packaging/ws-manifest.pl

Don't add uninstall.exe to the U3/PortableApps manifest. Define
STAGING_DIR. Update some makefile dependencies.

------------------------------------------------------------------------
r43246 | gerald | 2012-06-13 16:04:57 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/packaging/u3/win32/Makefile.nmake

Fix things to match what we're doing in our portableapps counterpart.

------------------------------------------------------------------------
r43248 | guy | 2012-06-13 18:34:52 -0700 (Wed, 13 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

When stopping the capture before asking whether to save the results, run
the main loop until we're done reading the captured packets.  Hopefully
this clears up bug 7318 in Evan Huus's case; I can't reproduce that
myself.

------------------------------------------------------------------------
r43249 | guy | 2012-06-13 19:11:34 -0700 (Wed, 13 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

No pcap, no capture to stop.

------------------------------------------------------------------------
r43250 | guy | 2012-06-13 19:19:46 -0700 (Wed, 13 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.h
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/main_toolbar.h
   M /trunk/ui/gtk/menus.h

Disable some menu items and toolbar items while we're waiting for a
capture to stop, so that we don't try to quit while we're in the middle
of quitting or try to stop or restart the capture we're in the middle of
stopping.

------------------------------------------------------------------------
r43251 | guy | 2012-06-13 20:50:28 -0700 (Wed, 13 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

Re-enable the File -> Quit menu item when the capture stops (or is
started again).

------------------------------------------------------------------------
r43252 | guy | 2012-06-13 20:50:39 -0700 (Wed, 13 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/main.c

In effect, disable closing the main window while a capture is being
stopped - there's no guaranteed way to make the UI's close button
inactive (on X11, it depends on whether the window manager allows that),
but we can just do nothing and return TRUE from the delete event handler
to ignore the delete event.

------------------------------------------------------------------------
r43253 | pascal | 2012-06-14 00:14:59 -0700 (Thu, 14 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7368 :
Identity request, Identity response and Authentication failure message dissection are swapped

------------------------------------------------------------------------
r43255 | pascal | 2012-06-14 00:25:53 -0700 (Thu, 14 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Fix function name (it is an Authentication failure, not an Attach failure)

------------------------------------------------------------------------
r43256 | etxrab | 2012-06-14 01:44:45 -0700 (Thu, 14 Jun 2012) | 1 line
Changed paths:
   M /trunk/asn1/m3ap/m3ap.cnf
   M /trunk/epan/dissectors/packet-m3ap.c

Pretify columns.
------------------------------------------------------------------------
r43257 | pascal | 2012-06-14 03:43:54 -0700 (Thu, 14 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c

Add dissection of utra-BCCH-Container-r10

------------------------------------------------------------------------
r43259 | etxrab | 2012-06-14 08:50:24 -0700 (Thu, 14 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-csn1.c

Try to fix a couple of warnings.
------------------------------------------------------------------------
r43261 | gerald | 2012-06-14 11:53:55 -0700 (Thu, 14 Jun 2012) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/common.nsh
   M /trunk/packaging/nsis/uninstall.nsi
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/packaging/ws-manifest.pl

More NSIS cleanup.

------------------------------------------------------------------------
r43263 | darkjames | 2012-06-14 12:08:19 -0700 (Thu, 14 Jun 2012) | 7 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Optimize tvb_*_unicode functions.

- Allocate tmpbuf on stack. g_unichar_to_utf8[1] requires maximum 6B + 1 byte for NUL, align it to 8B.
- Use g_string_append_unichar()

[1] http://developer.gnome.org/glib/2.26/glib-Unicode-Manipulation.html#g-unichar-to-utf8

------------------------------------------------------------------------
r43264 | gerald | 2012-06-14 12:49:57 -0700 (Thu, 14 Jun 2012) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/uninstall.nsi

Add back an absolute path prefix.

------------------------------------------------------------------------
r43266 | darkjames | 2012-06-14 13:13:45 -0700 (Thu, 14 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Add some explation about buffer size.

------------------------------------------------------------------------
r43267 | cmaynard | 2012-06-14 16:39:44 -0700 (Thu, 14 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-yami.c

Fix Coverity CID 703859: Unused pointer value.
Fix Coverity CID 703860: Unused pointer value.

------------------------------------------------------------------------
r43268 | cmaynard | 2012-06-14 16:56:59 -0700 (Thu, 14 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdh.c

Fix Coverity CID 703858: Unused pointer value.

------------------------------------------------------------------------
r43270 | etxrab | 2012-06-15 04:23:40 -0700 (Fri, 15 Jun 2012) | 1 line
Changed paths:
   M /trunk/asn1/m3ap/M3AP-IEs.asn
   M /trunk/epan/dissectors/packet-m3ap.c

Correct a discrepancy in the specification.
------------------------------------------------------------------------
r43271 | etxrab | 2012-06-15 05:27:21 -0700 (Fri, 15 Jun 2012) | 4 lines
Changed paths:
   M /trunk/editcap.c

Try to fix pcap-ng - most files created by editcap -c have no IDB
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7350

By using wtap_dump_open_ng() in all places.
------------------------------------------------------------------------
r43272 | wmeier | 2012-06-15 08:15:48 -0700 (Fri, 15 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mndp.c

Minor Changes:
- checkcol() not needed;
- remove unneeded #include <expert.h>
- remove 'if(tree)' so "bytes dissected" returned always the same.

------------------------------------------------------------------------
r43273 | wmeier | 2012-06-15 08:49:05 -0700 (Fri, 15 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-openwire.c

Minor cleanup:
- Use _U_ on a fcn parameter so can remove "prevent compiler warning" line of useless code;
- indentation
- ...

------------------------------------------------------------------------
r43274 | gerald | 2012-06-15 11:17:20 -0700 (Fri, 15 Jun 2012) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/ui/qt/Makefile.am
   M /trunk/ui/qt/Makefile.common

Don't install the Qt resource images. They get converted to C arrays in
qrc_*.cpp so they shouldn't be necessary even when we're building and
installing qtshark.

------------------------------------------------------------------------
r43277 | darkjames | 2012-06-15 16:04:59 -0700 (Fri, 15 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/main_proto_draw.c

highlight_field: use passed GtkTreeView for proto_tree_draw.

highlight_field() is also called when we open packet in new window and we click some bytes,
it caused redrawing packet details in *main window* but with protocol tree from (possibly) another frame.

------------------------------------------------------------------------
r43278 | guy | 2012-06-15 16:54:05 -0700 (Fri, 15 Jun 2012) | 7 lines
Changed paths:
   M /trunk/cfile.h
   M /trunk/file.c
   M /trunk/summary.c
   M /trunk/summary.h
   M /trunk/ui/gtk/summary_dlg.c

For a capture file, keep an array of all encapsulation types seen.

Show all of them in the summary dialog; we will be using it in the
future to figure out what capture file formats we can write to (just
because a capture file format supports per-packet encapsulations, that
doesn't mean that it supports *all possible* encapsulations).

------------------------------------------------------------------------
r43280 | pascal | 2012-06-16 06:09:51 -0700 (Sat, 16 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7371 :
Add dissection of Release 8 or higher P-GW QoS profile

------------------------------------------------------------------------
r43288 | pascal | 2012-06-16 12:13:48 -0700 (Sat, 16 Jun 2012) | 3 lines
Changed paths:
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-tcap.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7372 :
tcap.otid and tcap.dtid can be used as display filters

------------------------------------------------------------------------
r43290 | guy | 2012-06-16 13:52:04 -0700 (Sat, 16 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/expert_comp_dlg.c
   M /trunk/ui/gtk/font_utils.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c
   D /trunk/ui/gtk/main_proto_draw.h
   A /trunk/ui/gtk/packet_panes.h (from /trunk/ui/gtk/main_proto_draw.h:43280)
   M /trunk/ui/gtk/packet_win.c
   M /trunk/ui/gtk/prefs_gui.c

ui/gtk/main_proto_draw.c isn't just used for the main window, it's also
used for popped-up packet windows, and it includes more than just code
to draw the protocol tree - it includes the hex dump pane code as well. 
Rename it packet_panes.c; the stuff specific to the main window should
be moved into a different file.

------------------------------------------------------------------------
r43291 | guy | 2012-06-16 13:59:12 -0700 (Sat, 16 Jun 2012) | 6 lines
Changed paths:
   D /trunk/ui/gtk/main_proto_draw.c
   A /trunk/ui/gtk/packet_panes.c (from /trunk/ui/gtk/main_proto_draw.c:43280)

ui/gtk/main_proto_draw.c isn't just used for the main window, it's also
used for popped-up packet windows, and it includes more than just code
to draw the protocol tree - it includes the hex dump pane code as well. 
Rename it packet_panes.c; the stuff specific to the main window should
be moved into a different file.

------------------------------------------------------------------------
r43292 | guy | 2012-06-16 14:30:24 -0700 (Sat, 16 Jun 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/main.c
   A /trunk/ui/gtk/main_packet_panes.c
   A /trunk/ui/gtk/main_packet_panes.h
   M /trunk/ui/gtk/packet_panes.c
   M /trunk/ui/gtk/packet_panes.h
   M /trunk/ui/gtk/packet_win.c

Move some routines that specifically handle the main window's packet
panes to main_packet_panes.c.

Rename main_tree_view_new() to proto_tree_view_new() - it's not just for
creating the main window's protocol tree view, it's also for creating
protocol tree views in packet windows.

------------------------------------------------------------------------
r43293 | guy | 2012-06-16 14:37:24 -0700 (Sat, 16 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_packet_panes.c
   M /trunk/ui/gtk/main_packet_panes.h
   M /trunk/ui/gtk/packet_panes.h

Rename clear_tree_and_hex_views() to main_clear_tree_and_hex_views(), as
it specifically works on the main window's tree and hex dump views (it
doesn't apply to packet windows - they are always showing data from a
particular packet), and move its declaration to main_packet_panes.h.

------------------------------------------------------------------------
r43294 | guy | 2012-06-16 14:39:16 -0700 (Sat, 16 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/packet_panes.c

Clean up indentation.

------------------------------------------------------------------------
r43295 | guy | 2012-06-16 16:10:06 -0700 (Sat, 16 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/main.c
   D /trunk/ui/gtk/main_packet_panes.c
   D /trunk/ui/gtk/main_packet_panes.h

There's not much of note in ui/gtk/main_packet_panes.c; just do those
operations directly in ui/gtk/main.c.

------------------------------------------------------------------------
r43296 | guy | 2012-06-16 16:11:12 -0700 (Sat, 16 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/CMakeLists.txt

Reflect the move of main_proto_draw.c to packet_panes.c.

------------------------------------------------------------------------
r43297 | guy | 2012-06-16 16:29:57 -0700 (Sat, 16 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Oops, main_packet_panes.h no longer exists.

------------------------------------------------------------------------
r43298 | guy | 2012-06-16 17:00:25 -0700 (Sat, 16 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_menubar_private.h
   M /trunk/ui/gtk/menus.h
   M /trunk/ui/gtk/packet_history.c

Move some code to manipulate the toolbar and capture interface dialog
out of main_menubar.c into routines in main.c.

Move some routines that are only used by main.c into
main_menubar_private.h.

------------------------------------------------------------------------
r43299 | guy | 2012-06-16 17:06:13 -0700 (Sat, 16 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/main_toolbar.h
   M /trunk/ui/gtk/main_toolbar_private.h

Move a bunch of toolbar routines into main_toolbar_private.h; they
should only be called by the main window code.

------------------------------------------------------------------------
r43300 | guy | 2012-06-16 18:32:50 -0700 (Sat, 16 Jun 2012) | 16 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.h

Have wtap_get_savable_file_types() take an array of encapsulations and
only return file types that could handle a single file with all those
encapsulations - this means that

	1) if there's more then one encapsulation, the file format has
to handle per-packet encapsulation;

	2) just because a file format handles per-packet encapsulation,
that doesn't mean that it can handle the *particular* encapsulations
being handed to it.

This fixes some cases where we were claiming that a file could be saved
in a format that doesn't actually support it (e.g., ISDN files being
reported as savable in pcap-NG format - there's no LINKTYPE_ value for
ISDN including B and D channels).

------------------------------------------------------------------------
r43302 | guy | 2012-06-16 18:50:52 -0700 (Sat, 16 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/win32/file_dlg_win32.c

Reflect change to wtap_get_savable_file_types.

------------------------------------------------------------------------
r43303 | sake | 2012-06-17 02:02:04 -0700 (Sun, 17 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

Fix reading back exported SSL keys. Bug was introduced in r43097.


------------------------------------------------------------------------
r43304 | sake | 2012-06-17 04:30:25 -0700 (Sun, 17 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ssl.c

Enhance dissection of the NewSessionTicket handshake message.


------------------------------------------------------------------------
r43305 | jmayer | 2012-06-17 05:07:08 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

Whitespace fix

------------------------------------------------------------------------
r43306 | jmayer | 2012-06-17 05:07:46 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/macosx-setup.sh

update lua 5.2.0 -> 5.2.1

------------------------------------------------------------------------
r43307 | jmayer | 2012-06-17 05:08:42 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/cmake/modules/FindLUA.cmake

Try to detect Lua 5.2 as well

------------------------------------------------------------------------
r43308 | gerald | 2012-06-17 07:03:38 -0700 (Sun, 17 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-17]
------------------------------------------------------------------------
r43312 | pascal | 2012-06-17 09:08:43 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Allow future forward compatibility

------------------------------------------------------------------------
r43314 | guy | 2012-06-17 09:32:04 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua_dumper.c

Clean up indentation.

------------------------------------------------------------------------
r43315 | guy | 2012-06-17 09:44:09 -0700 (Sun, 17 Jun 2012) | 5 lines
Changed paths:
   M /trunk/file.c
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.def
   M /trunk/wiretap/wtap.h

Export a wtap_dump_can_write_encaps() routine from Wiretap; it takes a
file type and a GArray of encapsulation types and returns TRUE if a
capture with all those encapsulation types can be written to a file in
that file type and FALSE otherwise.  Use it where appropriate.

------------------------------------------------------------------------
r43317 | guy | 2012-06-17 09:53:31 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/wiretap/file_access.c

Forgot to use wtap_dump_can_write_encaps()'s final name.

------------------------------------------------------------------------
r43320 | cmaynard | 2012-06-17 13:07:32 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix typos.

------------------------------------------------------------------------
r43321 | guy | 2012-06-17 15:32:03 -0700 (Sun, 17 Jun 2012) | 5 lines
Changed paths:
   M /trunk/file.c
   M /trunk/ui/alert_box.c
   M /trunk/ui/gtk/simple_dialog.c
   M /trunk/ui/simple_dialog.h

Add "simple dialog" routines to pop up modal message boxes.  Use them in
file.c and routines called from it; non-modal dialogs end up, in some
cases, either hidden, devoid of the input focus and not dismissable, or
both.

------------------------------------------------------------------------
r43323 | guy | 2012-06-17 16:24:06 -0700 (Sun, 17 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/simple_dialog.c

Stuff the "Don't show this message again" checkbox in the dialog's
content area.

------------------------------------------------------------------------
r43325 | guy | 2012-06-17 22:57:26 -0700 (Sun, 17 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/simple_dialog.c

Use the GTK+ message type, not the Wireshark message type, in GTK+
calls.

------------------------------------------------------------------------
r43327 | guy | 2012-06-17 22:59:33 -0700 (Sun, 17 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/simple_dialog.c

Add initialization to squelch compiler warnings.

------------------------------------------------------------------------
r43329 | guy | 2012-06-17 23:38:44 -0700 (Sun, 17 Jun 2012) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.in

The toolkit-dependent UI library, well, depends on the toolkit.  Make it
so.

------------------------------------------------------------------------
r43330 | guy | 2012-06-18 01:30:53 -0700 (Mon, 18 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/qt/simple_dialog_qt.cpp

Add "simple dialog" routines to pop up modal message boxes.

------------------------------------------------------------------------
r43332 | pascal | 2012-06-18 02:17:58 -0700 (Mon, 18 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

From Sven Eckelmann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7375 :
Add support for not_best_next_hop flag in B.A.T.M.A.N. Advanced v14 

------------------------------------------------------------------------
r43333 | pascal | 2012-06-18 09:53:24 -0700 (Mon, 18 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c

Use enums instead of hand written values

------------------------------------------------------------------------
r43334 | gerald | 2012-06-18 10:09:54 -0700 (Mon, 18 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

Fix a null pointer warning from Clang. Not sure if we'll run into this
in practice.

------------------------------------------------------------------------
r43335 | gerald | 2012-06-18 10:23:10 -0700 (Mon, 18 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.h
   M /trunk/epan/dissectors/packet-ipv6.c

Integrate r43221 and 43222 with 43211. (Revert back to having only
dscp_vals_ext.)

------------------------------------------------------------------------
r43338 | darkjames | 2012-06-18 12:35:34 -0700 (Mon, 18 Jun 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/packet_list_store.c

Change record->col_text_len type to unsigned short.

Maximal length of column is defined as 256, for COL_INFO it's 4096, 
so limiting it to 65535 bytes in GUI is OK.

XXX To save memory more, we could make col_text_len[] member of PacketList, not PacketListRecord.

------------------------------------------------------------------------
r43339 | darkjames | 2012-06-18 13:15:42 -0700 (Mon, 18 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/packet_list_store.c

Fix r43338

------------------------------------------------------------------------
r43342 | darkjames | 2012-06-18 14:33:08 -0700 (Mon, 18 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/packet_list_store.c

Fix r43338 once again :(

------------------------------------------------------------------------
r43343 | tuexen | 2012-06-18 14:50:59 -0700 (Mon, 18 Jun 2012) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Fix compilation on FreeBSD.

------------------------------------------------------------------------
r43344 | gerald | 2012-06-18 16:42:09 -0700 (Mon, 18 Jun 2012) | 2 lines
Changed paths:
   M /trunk/tools/git-compare-abis.sh

Switch to a working tag (r43278).

------------------------------------------------------------------------
r43345 | etxrab | 2012-06-18 23:08:58 -0700 (Mon, 18 Jun 2012) | 12 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

From Pontus Fuchs:
If there are many interfaces the button bar is not visible
unless you manually resize the dialog. On a normal Linux PC
you can easily reach 15-20 interfaces due to USB monitor.

Add a vbox so that you get a scrollbar for the interface table
instead of on the window. This way the button bar is always
visible.

Also increase the default height to handle 20 interfaces.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7379
------------------------------------------------------------------------
r43346 | etxrab | 2012-06-18 23:18:30 -0700 (Mon, 18 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

From Sandeep Dahiya.
Add support for Gigamon timestamp trailer (different from existing Gigamon header format).

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7365
------------------------------------------------------------------------
r43347 | etxrab | 2012-06-18 23:24:30 -0700 (Mon, 18 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h

From Richard Sharpe:
packet-smb.c does not properly handle NT TRANSACT requests (and probably TRANSACT and TRANSACT2 requests)

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7351
------------------------------------------------------------------------
r43348 | guy | 2012-06-19 01:09:28 -0700 (Tue, 19 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

In dissect_nt_transaction_request(), restore pinfo->fragmented before
returning.

------------------------------------------------------------------------
r43349 | guy | 2012-06-19 01:11:30 -0700 (Tue, 19 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/file_dlg.c

The file dialog run by file_selection_browse() is modal, so there will
only be one instance per "Browse" button up at a time - no need to check
for one already being open.

------------------------------------------------------------------------
r43350 | guy | 2012-06-19 01:24:23 -0700 (Tue, 19 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Set save_fragmented at the beginning of the routine, so it can always be
used at the end to restore pinfo->fragmented.

------------------------------------------------------------------------
r43351 | guy | 2012-06-19 02:59:45 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

capture_get_if_icon() no longer determines the interface type itself, it
relies on get_interface_type() having done so.  Thus, we no longer need
to include <sys/types.h> or <sys/stat.h> on Linux, as we aren't doing,
and haven't been doing, ws_stat64()s on Linux.

------------------------------------------------------------------------
r43352 | etxrab | 2012-06-19 03:30:51 -0700 (Tue, 19 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-windows-common.c

From Richard Sharpe:
Wireshark is unable to dissect Security Descriptors that span TCP segments where some are not captured or reassembled

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7363
------------------------------------------------------------------------
r43353 | darkjames | 2012-06-19 05:12:41 -0700 (Tue, 19 Jun 2012) | 12 lines
Changed paths:
   M /trunk/epan/dfilter/drange.c
   M /trunk/epan/dfilter/drange.h
   M /trunk/epan/dfilter/grammar.lemon
   M /trunk/epan/dfilter/sttype-function.c
   M /trunk/epan/dfilter/sttype-integer.c
   M /trunk/epan/dfilter/sttype-pointer.c
   M /trunk/epan/dfilter/sttype-range.c
   M /trunk/epan/dfilter/sttype-string.c
   M /trunk/epan/dfilter/sttype-test.c
   M /trunk/epan/dfilter/syntax-tree.c
   M /trunk/epan/dfilter/syntax-tree.h

Support multiple relation test without logic and (python-like)

Like: 
  a == b == c 
  or 
  a < b <= c <= d < e 

Real life example:
  6660 <= tcp.port <= 6669

Just syntactic sugar, this is *NOT* optimized.

------------------------------------------------------------------------
r43354 | etxrab | 2012-06-19 05:42:06 -0700 (Tue, 19 Jun 2012) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/configure.in
   M /trunk/recent.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/recent.h

Start to have an generic wireless toolbar. Sligtly modified patch from 
Pontus Fuchs.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6973
------------------------------------------------------------------------
r43355 | etxrab | 2012-06-19 05:44:13 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Try to fix unused variable warnings and "clobbered by 'longjmp' or 'vfork' "
------------------------------------------------------------------------
r43356 | etxrab | 2012-06-19 06:14:25 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

The option to activate the Wireless toolbar should always be available, even if the toolbar is useless.
(As it was before as we compiled with HAVE_AIRPCAP 1 ).
------------------------------------------------------------------------
r43357 | morriss | 2012-06-19 06:24:43 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Mark some variables as volatile to avoid compiler warnings.
------------------------------------------------------------------------
r43358 | jmayer | 2012-06-19 06:31:49 -0700 (Tue, 19 Jun 2012) | 4 lines
Changed paths:
   M /trunk/macosx-setup.sh

Downgrade Lua from 5.2.1 to 5.1.5: Lua 5.2 is API incompatible
with Lua 5.1.
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7373

------------------------------------------------------------------------
r43359 | etxrab | 2012-06-19 06:36:35 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/main.c

airpcap_tb -> wireless_tb
------------------------------------------------------------------------
r43360 | etxrab | 2012-06-19 07:08:15 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Revert:
airpcap_tb -> wireless_tb
------------------------------------------------------------------------
r43361 | jmayer | 2012-06-19 07:21:08 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/cmakeconfig.h.in

Do the changes to configure from r43354 in cmake as well.
Log:
 Start to have an generic wireless toolbar. Sligtly modified patch from
 Pontus Fuchs.

------------------------------------------------------------------------
r43362 | darkjames | 2012-06-19 07:25:50 -0700 (Tue, 19 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c

Fix bug #7378: Wireshark 1.8.0rc1: gsm_a_dtap SMS 7-bit default alphabet regression w.r.t. 1.6.8

proto_item_add_string() can be only used with ASCII strings.

------------------------------------------------------------------------
r43363 | darkjames | 2012-06-19 07:32:24 -0700 (Tue, 19 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

Add proto_tree_add_unicode_string() to add UTF-8 string to tree. 
Convert some proto_tree_add_string_format_value(..., val, "%s", val); to use new function.

------------------------------------------------------------------------
r43364 | etxrab | 2012-06-19 07:37:46 -0700 (Tue, 19 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/airpcap_gui_utils.c
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_airpcap_toolbar.c
   M /trunk/ui/gtk/prefs_dlg.c

Revert:
airpcap_tb -> wireless_tb

Second try.
------------------------------------------------------------------------
r43365 | etxrab | 2012-06-19 07:46:21 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c

Typo
------------------------------------------------------------------------
r43366 | jmayer | 2012-06-19 07:48:36 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/macosx-setup.sh

Add a comment to prevent acidentally bumping lua version to 5.2 again.

------------------------------------------------------------------------
r43367 | etxrab | 2012-06-19 07:49:12 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/CMakeLists.txt
   M /trunk/ui/gtk/main_menubar.c

Get rid of the remnats of NEW_MENU_CODE.
It's probably not a good idea to read the menu bar code from file as it causes problems with permissions when Wireshark is run fom build dir.
------------------------------------------------------------------------
r43368 | etxrab | 2012-06-19 07:54:11 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/packaging/nsis/wireshark.nsi

Don't install main-menubar-ui.xml
------------------------------------------------------------------------
r43369 | morriss | 2012-06-19 08:01:25 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/recent.c

gui.airpcap_toolbar_show is the old name for the wireless toolbar, not the old name of the filter toolbar.
------------------------------------------------------------------------
r43370 | morriss | 2012-06-19 08:39:52 -0700 (Tue, 19 Jun 2012) | 9 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/debian/rules
   M /trunk/doc/Makefile.am

Don't install idl2wrs except in Debian's special wireshark-dev package.

(Normal Wireshark installations can't be used to develop dissectors so there's
no need to install it or its man page.)

http://www.wireshark.org/lists/wireshark-dev/201206/msg00073.html

(The Debian changes are untested.)

------------------------------------------------------------------------
r43371 | gerald | 2012-06-19 08:44:10 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark-filter.pod

Remove what appears to be an errant vi/vim command and add a newline.

------------------------------------------------------------------------
r43372 | jmayer | 2012-06-19 08:53:22 -0700 (Tue, 19 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

set_menu_visible needs to be protected to avoid defined but unused
warning turned error.

------------------------------------------------------------------------
r43373 | jmayer | 2012-06-19 09:13:11 -0700 (Tue, 19 Jun 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.h
   M /trunk/ui/gtk/main.c

capture_dlg.h:
- Replace airpcap_tb in comment
- Remove trailing whitespace
main.c:
- wireless_tb must always be defined now, even if compiling without
  HAVE_AIRPCAP

------------------------------------------------------------------------
r43374 | jmayer | 2012-06-19 09:32:05 -0700 (Tue, 19 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/main_airpcap_toolbar.h

Replace last instance of airpcap_tb by wireless_tb for
consistency.

------------------------------------------------------------------------
r43375 | jmayer | 2012-06-19 09:35:15 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/configure.in

Pontus Fuchs

add libnl detection to configure
(not yet used until the missing part of bug 6973 has been committed)

------------------------------------------------------------------------
r43376 | morriss | 2012-06-19 10:29:56 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Mark another variable as volatile to pacify the buildbot.
------------------------------------------------------------------------
r43377 | morriss | 2012-06-19 10:32:49 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/packaging/macosx/Scripts/cli-postinstall.sh
   M /trunk/packaging/macosx/osx-app.sh
   M /trunk/packaging/nsis/Makefile.nmake

Followup to r43370: don't install idl2wrs or its man page.
------------------------------------------------------------------------
r43379 | pascal | 2012-06-19 11:21:53 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-rrc.c

Use newly introduced proto_tree_add_unicode_string() to add UTF-8 strings

------------------------------------------------------------------------
r43380 | guy | 2012-06-19 11:47:22 -0700 (Tue, 19 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/pixmap_save.c

The "save as" dialog is modal, so we don't need to worry about keeping
track of multiple such "save as" windows.

Use modal dialog boxes to report errors, while we're at it.  That lets
us keep the dialog open if we get an error.

------------------------------------------------------------------------
r43381 | guy | 2012-06-19 12:20:47 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/file_dlg.c
   M /trunk/ui/gtk/file_dlg.h

The GTK+ file chooser already *includes* UI code to ask the user whether
they want to overwrite an existing file; just use that.  (The Win32 file
chooser also does that itself.)  Just do UI for "do you want to
overwrite this {user-immutable,unwritable} file?".

------------------------------------------------------------------------
r43384 | guy | 2012-06-19 12:24:50 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.in

AAAAARGH.  Making the UI libs platform-dependent breaks dependency
checking, so if a UI library changes Wireshark won't be relinked with
it.  Revert the change that made them platform-dependent; we may end up
having to have separate targets for GTK+ Wireshark and Qt Wireshark.

------------------------------------------------------------------------
r43385 | pascal | 2012-06-19 12:25:01 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-rrc.c

Use tvb_get_ephemeral_string_enc() in combination with proto_tree_add_unicode_string() (as recommended by Jakub on the mailing list)

------------------------------------------------------------------------
r43386 | darkjames | 2012-06-19 12:50:43 -0700 (Tue, 19 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-edonkey.c

Simplify proto_tree_add_string_format_value(..., val, "%s", val) with proto_tree_add_string.

hash is 16-bytes hex dump (ASCII!). No need to use proto_tree_add_string_format_value().

------------------------------------------------------------------------
r43387 | gerald | 2012-06-19 12:53:03 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/Makefile.nmake

ascend_scanner.c includes ascend.h. Add corresponding makefile
dependencies, otherwise we might have a race condition when doing
parallel makes. Hopefully this will fix intermitten buildbot failures
we've been getting lately.

------------------------------------------------------------------------
r43389 | morriss | 2012-06-19 13:20:18 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipv6.h

Correct the IPv6 fragment offset shown in COL_INFO.

Make some Fragment header fields filterable (add_text() -> add_item()).
Display (and make filterable) the reserved octet and bits.

------------------------------------------------------------------------
r43390 | gerald | 2012-06-19 15:09:25 -0700 (Tue, 19 Jun 2012) | 3 lines
Changed paths:
   M /trunk/configure.in

Add a list of release dates for major versions of GTK+ and GLib in case
we want to have another Purging Of Old Code.

------------------------------------------------------------------------
r43391 | gerald | 2012-06-19 16:01:21 -0700 (Tue, 19 Jun 2012) | 3 lines
Changed paths:
   M /trunk/tools/colorfilters2js.pl

Use the first matched color instead of the last one, which is what
Wireshark does.

------------------------------------------------------------------------
r43392 | guy | 2012-06-19 18:11:01 -0700 (Tue, 19 Jun 2012) | 10 lines
Changed paths:
   M /trunk/cfile.h
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/new_packet_list.c

If the file has an SHB comment or any packet comments, and the user
tries to do "Save As" in a format for which we don't support comments
(currently, we only support them for pcap-ng), ask whether they want to
discard the comments and save anyway or, *if* the file can be saved in a
format for which we *do* support comments, they want to save the file in
some other format.

Keep a count of packet comments so that we don't have to scan all the
frame_data structures to determine whether we have any comments.

------------------------------------------------------------------------
r43394 | etxrab | 2012-06-19 21:42:55 -0700 (Tue, 19 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/win32/file_dlg_win32.c

MAke it compile by adding discard_comments = FALSE
------------------------------------------------------------------------
r43395 | guy | 2012-06-19 21:44:14 -0700 (Tue, 19 Jun 2012) | 5 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c

Handle the case where the user has added comments to a file that's not
in a format that supports comments and they do a "Save" by popping up a
similar question to the one we pop up in the "Save As" case and, if they
say "choose another format", pop up a "Save As" dialog box.

------------------------------------------------------------------------
r43397 | guy | 2012-06-19 22:48:06 -0700 (Tue, 19 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Clean up white space (no tabs).

------------------------------------------------------------------------
r43401 | etxrab | 2012-06-20 00:59:20 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

- In INTERNAL HANDOVER COMMAND Circuit Identity Code is C(Coded optional in WS)
- be_speech_codec ( 3.2.2.104    Speech Codec) did not cover all codecs.
------------------------------------------------------------------------
r43402 | etxrab | 2012-06-20 03:46:38 -0700 (Wed, 20 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h248_q1950.c

Upadte e-mail.
------------------------------------------------------------------------
r43403 | etxrab | 2012-06-20 03:47:18 -0700 (Wed, 20 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h248.c

Add a link to IANA registry.
------------------------------------------------------------------------
r43404 | etxrab | 2012-06-20 03:48:00 -0700 (Wed, 20 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h248_annex_c.c

SDP data embeded in OCTET STRING.
------------------------------------------------------------------------
r43405 | etxrab | 2012-06-20 04:44:28 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h248_annex_c.c

Revert http://anonsvn.wireshark.org/viewvc/viewvc.cgi?view=rev&revision=43404.
(Needs rethinking).
------------------------------------------------------------------------
r43406 | morriss | 2012-06-20 06:30:07 -0700 (Wed, 20 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Use separate filters for the RTT found on a SACK and the RTT found on a
DATA chunk: having them in both places is helpful when looking at the
messages but having them separate is helpful when graphing the RTTs.

------------------------------------------------------------------------
r43408 | pascal | 2012-06-20 06:37:22 -0700 (Wed, 20 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmr1_dtap.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7383 :
Put back items into the correct dtap_tree tree and comment pd_tree that is unused for now

------------------------------------------------------------------------
r43409 | pascal | 2012-06-20 06:42:17 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmr1_dtap.c

Fix compilation with gcc...

------------------------------------------------------------------------
r43410 | etxrab | 2012-06-20 09:05:34 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   A /trunk/ws80211_utils.c
   A /trunk/ws80211_utils.h

Add ws80211_utils.[ch] of bug https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6973
sligtly modified to compile on Windows. See if it breaks any other platform.
------------------------------------------------------------------------
r43411 | etxrab | 2012-06-20 10:02:07 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   A /trunk/ui/gtk/main_80211_toolbar.c
   A /trunk/ui/gtk/main_80211_toolbar.h

Add the toolbar of bug https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6973
sligtly modified to compile on Windows. See if it breaks any other platform.
------------------------------------------------------------------------
r43412 | morriss | 2012-06-20 10:25:53 -0700 (Wed, 20 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/expert.c
   M /trunk/epan/proto.c

Followup to r43176, r43177, r43178, and r43179: prohibit FT_*INT*
with BASE_NONE (or other future display values).

Don't use BASE_NONE with FT_UINT32s in the expert info fields.

------------------------------------------------------------------------
r43413 | etxrab | 2012-06-20 10:35:38 -0700 (Wed, 20 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/main_80211_toolbar.c

#if 0 out code to make it build in it's current state
------------------------------------------------------------------------
r43414 | jmayer | 2012-06-20 11:42:45 -0700 (Wed, 20 Jun 2012) | 4 lines
Changed paths:
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/ui/gtk/main_80211_toolbar.c

Comment back in the body of tb80211_do_set_channel to avoid warnings about
unused parameters. Add the missing functions by applying the skipped patches
to capture_sync.[hc]

------------------------------------------------------------------------
r43415 | jmayer | 2012-06-20 11:45:25 -0700 (Wed, 20 Jun 2012) | 6 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/ui/gtk/Makefile.common

Makefile.common:
- ws80211_utils.c is only needed to build dumpcap, not to build wireshark.
  If it were different it would probably indicate a bad api design.
ui/gtk/Makefile.common:
- Sort in the toolbar in the right place (alphabetically)

------------------------------------------------------------------------
r43416 | jmayer | 2012-06-20 11:46:16 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/ui/gtk/CMakeLists.txt

Copy over Makefile.common changes to CMakeLists

------------------------------------------------------------------------
r43417 | jmayer | 2012-06-20 12:03:27 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/cmakeconfig.h.in

Forgot to copy one more change

------------------------------------------------------------------------
r43418 | jmayer | 2012-06-20 12:09:35 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

And another instance of HAVE_WIRELESS_TOOLBAR I missed

------------------------------------------------------------------------
r43419 | jmayer | 2012-06-20 12:11:55 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/configure.in

Remove HAVE_WIRELESS_TOOLBAR from the other build systems.

------------------------------------------------------------------------
r43420 | gerald | 2012-06-20 13:44:05 -0700 (Wed, 20 Jun 2012) | 5 lines
Changed paths:
   M /trunk/tshark.c

If we're making two passes and we have a display filter applied, create
a protocol tree in process_packet_first_pass(). Otherwise we crash with

ERROR:dfvm.c:434:dfvm_apply: assertion failed: (tree)

------------------------------------------------------------------------
r43421 | jmayer | 2012-06-20 13:59:43 -0700 (Wed, 20 Jun 2012) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/CMakeOptions.txt
   M /trunk/Makefile.am
   A /trunk/cmake/modules/FindNL.cmake
   M /trunk/cmakeconfig.h.in

Complete cmake support for netlink detection

------------------------------------------------------------------------
r43422 | morriss | 2012-06-20 17:11:06 -0700 (Wed, 20 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/main_80211_toolbar.c

GtkComboBoxText is only available in 2.24 and later; use GtkComboBox instead.
------------------------------------------------------------------------
r43423 | morriss | 2012-06-20 17:15:11 -0700 (Wed, 20 Jun 2012) | 1 line
Changed paths:
   M /trunk/Makefile.am

It's FindNL.cmake not FindLIBNL.cmake
------------------------------------------------------------------------
r43424 | morriss | 2012-06-20 17:37:42 -0700 (Wed, 20 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/main_80211_toolbar.c

Try to use the gtk-compat macros correctly.
------------------------------------------------------------------------
r43425 | jmayer | 2012-06-21 06:23:45 -0700 (Thu, 21 Jun 2012) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Remove some trailing whitespace

------------------------------------------------------------------------
r43428 | gerald | 2012-06-21 10:35:59 -0700 (Thu, 21 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/packaging/nsis/Makefile.am

Try to fix tarball compilation on Windows.

------------------------------------------------------------------------
r43430 | morriss | 2012-06-21 11:07:52 -0700 (Thu, 21 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/main_80211_toolbar.c

ws80211_init() only returned ENOTSUP back when it could be a stub when we
did not HAVE_LIBNL.  Now that we only compile the modules when we HAVE_LIBNL
(and thus the stub no longer exists) there's no need to check for it.

------------------------------------------------------------------------
r43433 | gerald | 2012-06-21 12:29:43 -0700 (Thu, 21 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Reset for the next major release.

------------------------------------------------------------------------
r43434 | morriss | 2012-06-21 12:32:56 -0700 (Thu, 21 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

From Richard Sharpe via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7387 :

Don't break/return out of a TRY/CATCH.

------------------------------------------------------------------------
r43436 | guy | 2012-06-21 13:45:22 -0700 (Thu, 21 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_dlg.h

The symbolic names for column indices are unused outside of
capture_dlg.c; move them there.  (There are no routines exported by
capture_dlg.c that use them.)

------------------------------------------------------------------------
r43437 | morriss | 2012-06-21 14:19:48 -0700 (Thu, 21 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Mark a couple more variables volatile.
------------------------------------------------------------------------
r43438 | gerald | 2012-06-21 14:22:07 -0700 (Thu, 21 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Make Docbook happy.

------------------------------------------------------------------------
r43439 | guy | 2012-06-21 15:21:02 -0700 (Thu, 21 Jun 2012) | 11 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/file_dlg.c
   M /trunk/ui/gtk/file_dlg.h

Move a bunch of common code in the file chooser dialog loops into a
routine to run a file chooser dialog.

On Windows, add to that code to resolve shell links ("shortcuts"),
adopted from the Sylpheed mail reader.  (That code requires a pile of
OLE stuff, so link with the OLE library.)

Make it a bit easier to configure ui/gtk/capture_file_dlg.c to use GTK+
dialogs on Windows, but continue to default to using the Win32 dialogs,
at least for now.

------------------------------------------------------------------------
r43440 | guy | 2012-06-21 15:49:22 -0700 (Thu, 21 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/file_dlg.c

We now need <epan/filesystem.h> regardless of whether we're being built
on Win32 or not, as we need test_for_directory().

------------------------------------------------------------------------
r43441 | darkjames | 2012-06-22 01:22:11 -0700 (Fri, 22 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Change #if USE_WIN32_FILE_DIALOGS to #ifdef

It should fix buldbot compilation error:
  capture_file_dlg.c(2107) : fatal error C1017: invalid integer constant expression

------------------------------------------------------------------------
r43442 | rbalint | 2012-06-22 08:18:03 -0700 (Fri, 22 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/wslua/template-init.lua

Give hint to check http://wiki.wireshark.org/CaptureSetup/CapturePrivileges in Lua error messages related to running Wireshark as root
------------------------------------------------------------------------
r43443 | pascal | 2012-06-22 13:44:52 -0700 (Fri, 22 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7391 :
Do not use same name for filters with incompatible types

------------------------------------------------------------------------
r43444 | guy | 2012-06-23 01:18:14 -0700 (Sat, 23 Jun 2012) | 8 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/ui/win32/file_dlg_win32.h

In the Windows capture file "Save As" dialog code, do the same sort of
checks for the inability to save comments that we do for UN*X.  This
should fix bug 7222, although the UI isn't currently as nice, as the
dialog boxes are Windows dialog boxes and we don't set the button labels
to reflect the actual choices being offered to the user.  (We may be
able to do that by using template resources to construct the message
boxes.)

------------------------------------------------------------------------
r43446 | pascal | 2012-06-23 07:10:19 -0700 (Sat, 23 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_rlcmac.c

Do not use same name for filters with incompatible types

------------------------------------------------------------------------
r43447 | pascal | 2012-06-23 07:11:06 -0700 (Sat, 23 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

Fix copy/paste errors

------------------------------------------------------------------------
r43448 | pascal | 2012-06-23 07:36:21 -0700 (Sat, 23 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmp.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-tcp.c

Do not use same name for filters with incompatible types

------------------------------------------------------------------------
r43449 | pascal | 2012-06-23 08:04:13 -0700 (Sat, 23 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee17221.c

Rename two entries to avoid having same filter name for entries with incompatible types

------------------------------------------------------------------------
r43450 | pascal | 2012-06-23 08:27:51 -0700 (Sat, 23 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mongo.c
   M /trunk/epan/dissectors/packet-tds.c

Do not use same name for filters with incompatible types

------------------------------------------------------------------------
r43451 | pascal | 2012-06-23 08:45:01 -0700 (Sat, 23 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pcp.c

Do not use same name for filters with incompatible types

------------------------------------------------------------------------
r43452 | gerald | 2012-06-24 07:03:31 -0700 (Sun, 24 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-24]
------------------------------------------------------------------------
r43455 | etxrab | 2012-06-24 08:08:41 -0700 (Sun, 24 Jun 2012) | 4 lines
Changed paths:
   M /trunk/file.c
   M /trunk/fileset.c
   M /trunk/fileset.h

From Evan Huus:
Size wrong in "File Set List" for just-finished captures.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7370
------------------------------------------------------------------------
r43456 | etxrab | 2012-06-24 08:13:05 -0700 (Sun, 24 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/camel-persistentdata.c

From Evan Huus:
Simplify debugging ifdef in camel-persistantdata.c
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7398
------------------------------------------------------------------------
r43457 | etxrab | 2012-06-24 08:19:24 -0700 (Sun, 24 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ws80211_utils.c

From Pontus Fuchs:
strncpy -> strlcpy 

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6973
------------------------------------------------------------------------
r43458 | etxrab | 2012-06-24 08:24:59 -0700 (Sun, 24 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.c

From Adam Langley:
Decrypt resumed, SSL sessions from keylog file-
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7396
------------------------------------------------------------------------
r43460 | pascal | 2012-06-24 10:41:18 -0700 (Sun, 24 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pcp.c
   M /trunk/epan/dissectors/packet-tds.c

FT_FLOAT and FT_DOUBLE share the same comparison functions -> use same filter name

------------------------------------------------------------------------
r43461 | pascal | 2012-06-24 12:32:32 -0700 (Sun, 24 Jun 2012) | 2 lines
Changed paths:
   M /trunk/.gitignore
   M /trunk/asn1/spnego/Makefile.common
   D /trunk/asn1/spnego/packet-spnego-template.h

Remove useless packet-spnego.h file

------------------------------------------------------------------------
r43462 | jmayer | 2012-06-24 12:36:20 -0700 (Sun, 24 Jun 2012) | 4 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/ws80211_utils.c

Pontus Fuchs (via bug 6973):

Add libnl version 1 support for wireless toolbar.

------------------------------------------------------------------------
r43463 | jmayer | 2012-06-24 12:38:51 -0700 (Sun, 24 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.common

Build Wireshark with ws80211_utils.c

------------------------------------------------------------------------
r43464 | jmayer | 2012-06-24 12:41:13 -0700 (Sun, 24 Jun 2012) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt

Also add ws80211_utils.c for CMake builds.
Build with -g to make debugging easier. The debug info
will get removed on installation.

------------------------------------------------------------------------
r43465 | jmayer | 2012-06-24 12:43:09 -0700 (Sun, 24 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Pontus Fuchs (via bug 6973):

Make the wireless toolbar actually appear.

------------------------------------------------------------------------
r43466 | jmayer | 2012-06-24 12:45:49 -0700 (Sun, 24 Jun 2012) | 5 lines
Changed paths:
   M /trunk/dumpcap.c

Pontus Fuchs via bug 6973:

Add last piece of the wireless toolbar: Use dumpcap to actually set
the channel.

------------------------------------------------------------------------
r43467 | pascal | 2012-06-24 14:26:40 -0700 (Sun, 24 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7386 :
Fix dissection of Packet Receipt Times Report Block

------------------------------------------------------------------------
r43468 | morriss | 2012-06-24 16:52:05 -0700 (Sun, 24 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/capture_if_details_dlg_win32.c

Fix up some white space (get rid of 4-space tabs.
------------------------------------------------------------------------
r43469 | etxrab | 2012-06-24 16:52:24 -0700 (Sun, 24 Jun 2012) | 4 lines
Changed paths:
   M /trunk/asn1/pkcs1/PKIXAlgs-2009.asn
   M /trunk/asn1/pkcs1/packet-pkcs1-template.c
   M /trunk/epan/dissectors/packet-pkcs1.c

From Martin Kaiser:
add oid for sha256.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7395
------------------------------------------------------------------------
r43471 | etxrab | 2012-06-24 16:56:27 -0700 (Sun, 24 Jun 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-atm.c

From Yair:
1. OAM cells are not automatically detected if the AAL type passed is
AAL_UNKNOWN.
2. CRC10 calculation does not take into account the "crc_stripped" option, and
uses a hardcoded offset of 5 bytes into the cell.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7385
------------------------------------------------------------------------
r43472 | morriss | 2012-06-24 21:41:36 -0700 (Sun, 24 Jun 2012) | 9 lines
Changed paths:
   M /trunk/diameter/Ericsson.xml
   M /trunk/diameter/dictionary.xml

From Rick Mortensen via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4128 :

Add Ericsson-proprietary AVPs and Result-Codes for SCAP.

Add Huawei as a known vendor.

From me:
Reindent the Ericsson XML file; sort the new AVPs by number.

------------------------------------------------------------------------
r43473 | pascal | 2012-06-25 03:16:15 -0700 (Mon, 25 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Fix typo errors

------------------------------------------------------------------------
r43474 | pascal | 2012-06-25 04:12:54 -0700 (Mon, 25 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Fix dissection of NAS EPS Service Request message (broken in r42200)

------------------------------------------------------------------------
r43475 | guy | 2012-06-25 10:56:29 -0700 (Mon, 25 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

In the "Save As" dialog box, default to compressed if the file is
compressed and the default file format supports compression.

------------------------------------------------------------------------
r43477 | guy | 2012-06-25 11:37:52 -0700 (Mon, 25 Jun 2012) | 28 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_toolbar.c

Only allow "Save" if

	the file has unsaved changes, and we can save it in some format
	through Wiretap

or

	the file is a temporary file and has no unsaved changes (so that
	"saving" it just means copying it).

Only allow "Save As" if

	we can save it in some format through Wiretap

or

	the file is a temporary file and has no unsaved changes (so that
	"saving" it just means copying it).

This means that we don't support using "Save As" for just copying the
file unless we can do that with Wiretap; copying the file byte-for-byte
only works as "saving" if there are no unsaved changes *and* we're
saving it in the same format that it's in *and* we're saving it with the
same form of compression (if any) that it has.

Rename cf_can_save_as() to cf_can_write_with_wiretap() to better reflect
what it really does.

------------------------------------------------------------------------
r43479 | etxrab | 2012-06-25 13:28:14 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/wslua/init_wslua.c
   M /trunk/epan/wslua/lua_bitop.c
   M /trunk/epan/wslua/make-taps.pl
   M /trunk/epan/wslua/wslua.h
   M /trunk/epan/wslua/wslua_field.c
   M /trunk/epan/wslua/wslua_listener.c
   M /trunk/epan/wslua/wslua_pinfo.c
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tree.c
   M /trunk/epan/wslua/wslua_tvb.c
   M /trunk/epan/wslua/wslua_util.c

From Tony Trinh:
Update Lua from 5.1 to 5.2

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7400
------------------------------------------------------------------------
r43480 | etxrab | 2012-06-25 13:31:24 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   M /trunk/acinclude.m4

From Tony Trinh:
Update autoconf script to check for Lua 5.2 

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7400
------------------------------------------------------------------------
r43481 | morriss | 2012-06-25 13:38:45 -0700 (Mon, 25 Jun 2012) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/ui/util.c
   M /trunk/wsutil/libwsutil.def
   M /trunk/wsutil/str_util.c

Move get_args_as_string from ui/util.c into wsutil (maybe not to the best
module, but...).

This makes dftest no longer dependent on libui, so stop linking against it.

------------------------------------------------------------------------
r43482 | etxrab | 2012-06-25 13:42:07 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/Makefile.nmake
   M /trunk/acinclude.m4
   M /trunk/cmakeconfig.h.in
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/epan/epan.c
   M /trunk/epan/filesystem.c
   M /trunk/epan/plugins.c
   M /trunk/epan/wslua/wslua.h
   M /trunk/ui/gtk/about_dlg.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/plugins_dlg.c

From Tony Trinh:
Update Lua from 5.1 to 5.2

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7400
------------------------------------------------------------------------
r43483 | wmeier | 2012-06-25 13:43:54 -0700 (Mon, 25 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Tighten up validity checking when doing reassembly.
Fixes Bug #7390  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7390
(Esentially: Do proper validity checking to prevent a "Dissector Bug" exception;
             throw a BoundsError exception instead).


------------------------------------------------------------------------
r43484 | etxrab | 2012-06-25 14:05:36 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   M /trunk/dftest.c
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/rawshark.c
   M /trunk/tshark.c
   M /trunk/ui/gtk/CMakeLists.txt
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/prefs_dlg.c
   M /trunk/ui/gtk/prefs_taps.c
   M /trunk/ui/qt/main.cpp

From Michael Mann:
generic preferences implementation

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7402
------------------------------------------------------------------------
r43485 | etxrab | 2012-06-25 14:16:43 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   A /trunk/asn1/x509ce/CertificateExtensionsCiplus.asn
   M /trunk/asn1/x509ce/Makefile.common
   M /trunk/asn1/x509ce/packet-x509ce-template.c
   M /trunk/asn1/x509ce/packet-x509ce-template.h
   M /trunk/asn1/x509ce/x509ce.cnf
   M /trunk/epan/dissectors/packet-dvbci.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509ce.h

From Martin Kaiser:
add X.509 certificate extensions for DVB-CI/CI+

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7397
------------------------------------------------------------------------
r43486 | morriss | 2012-06-25 14:45:21 -0700 (Mon, 25 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/prefs_dlg.c

Get rid of a couple of unused variables and parameters.
------------------------------------------------------------------------
r43487 | morriss | 2012-06-25 14:54:43 -0700 (Mon, 25 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/Makefile.common
   M /trunk/ui/Makefile.nmake

Set SVN properties.
------------------------------------------------------------------------
r43488 | morriss | 2012-06-25 15:21:58 -0700 (Mon, 25 Jun 2012) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/ui/util.c
   M /trunk/wsutil/libwsutil.def
   M /trunk/wsutil/str_util.c

Revert 43481: linking dftest against libui was not the problem.
------------------------------------------------------------------------
r43489 | etxrab | 2012-06-25 15:48:11 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

From Michal Labedzki: 
BT: Expose RFCOMM Channel instead of DLCI

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6567
------------------------------------------------------------------------
r43490 | etxrab | 2012-06-25 16:10:01 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

From Michal Labedzki: 
RFCOMM-Cosmetic-fixes 

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6567
------------------------------------------------------------------------
r43491 | etxrab | 2012-06-25 16:17:12 -0700 (Mon, 25 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

From Michal Labedzki: 
RFCOMM-Add-Version-and-DecodeBy-preferences 

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6567
------------------------------------------------------------------------
r43492 | morriss | 2012-06-25 16:30:23 -0700 (Mon, 25 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/main_80211_toolbar.c

Don't let the user set the frequency or channel when we don't HAVE_PCAP;
instead disable the toolbar items (I hope).

Hopefully this will fix the MacOS buildbots' --without-pcap builds.

------------------------------------------------------------------------
r43493 | guy | 2012-06-25 21:26:04 -0700 (Mon, 25 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/main_toolbar.c

Have the toolbar "Save" button just be a "Save" button, working the same
as the File -> Save menu item.

------------------------------------------------------------------------
r43495 | wmeier | 2012-06-26 06:02:13 -0700 (Tue, 26 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

From Richard Sharpe:

I noticed some inconsistencies in the command naming. The following
patch fixes those (so that they now match between SMB and SMB2):


------------------------------------------------------------------------
r43496 | wmeier | 2012-06-26 09:06:26 -0700 (Tue, 26 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Validate 'offset' before calling proto_item_set_end(); prevents potential 'Dissector Bug' msg
Addresses comment in Bug #7390 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7390#c1

------------------------------------------------------------------------
r43497 | pascal | 2012-06-26 12:36:08 -0700 (Tue, 26 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/expert.c

Display expert codes in hexadecimal (less painful for my eyes :))

------------------------------------------------------------------------
r43498 | morriss | 2012-06-26 13:41:28 -0700 (Tue, 26 Jun 2012) | 6 lines
Changed paths:
   M /trunk/doc/Makefile.am

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7406 :

Build the idl2wrs man page (including the HTML version) but don't install
them: a developer might want to read the man page and the Debian development
package wants to install them.

------------------------------------------------------------------------
r43500 | wmeier | 2012-06-26 14:45:06 -0700 (Tue, 26 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

General cleanup:
- Remove _U_ when function arg is actually used;
- Use consistent formatting and whitespace style.

------------------------------------------------------------------------
r43501 | guy | 2012-06-26 22:13:06 -0700 (Tue, 26 Jun 2012) | 7 lines
Changed paths:
   M /trunk/dumpcap.c

Don't supply a fallback error message for pcap_open() unless it actually
fails.

This may clear up the problem most recently reported in bug 7021 after
the crash was fixed, where the capture starts successfully but an error
dialog pops up.

------------------------------------------------------------------------
r43505 | alagoutte | 2012-06-27 06:27:28 -0700 (Wed, 27 Jun 2012) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c

From Martin Raison via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7414
PMIPV6 support over IPV4 network

PMIPv6 is an extension of MIPv6, adding a certain number of options to the
MIPv6 protocol. These options are already implemented in the wireshark
dissector, and the MIPv6 headers are recognized, but only inside IPv6 packets.

However, RFC5844 extends the PMIPv6 protocol to make it work over IPv4 networks
: as explained in section 4 of this RFC, the MIPv6 message is carried inside an
IPv4 packet with a UDP header. The port number in the UDP header is 5436


------------------------------------------------------------------------
r43506 | wmeier | 2012-06-27 06:37:13 -0700 (Wed, 27 Jun 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/dfilter_expr_dlg.c

From Jakub Zawadzki: Fix "typeahead search broken in Display Filter Expression Window"

Revert SVN #42291.

Fixes Bug #7412: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7412


------------------------------------------------------------------------
r43507 | wmeier | 2012-06-27 06:57:39 -0700 (Wed, 27 Jun 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/dfilter_expr_dlg.c

Fix for "predefined values sometimes missing in Display Filter Expression window.

See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7413

Essentially: BASE_CUSTOM was being used as a mask rather than a field value.


------------------------------------------------------------------------
r43508 | wmeier | 2012-06-27 07:15:46 -0700 (Wed, 27 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/expert.c

Don't show (essentially meaningless) numeric values of the expert codes.

------------------------------------------------------------------------
r43509 | wmeier | 2012-06-27 07:44:00 -0700 (Wed, 27 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/expert.c

Fix compiler warning: "format not a string literal and no format arguments"

------------------------------------------------------------------------
r43510 | pascal | 2012-06-27 07:57:58 -0700 (Wed, 27 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glusterfs.c

Prettify display of O_RDONLY and O_ACCMODE flags

------------------------------------------------------------------------
r43511 | wmeier | 2012-06-27 07:58:32 -0700 (Wed, 27 Jun 2012) | 9 lines
Changed paths:
   M /trunk/ui/gtk/proto_hier_tree_model.c

Commit file which should have been part of SVN #43506

From Jakub Zawadzki: Fix "typeahead search broken in Display Filter Expression Window"
 
 Revert SVN #42291.
 
 Fixes Bug #7412: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7412


------------------------------------------------------------------------
r43514 | guy | 2012-06-27 16:15:28 -0700 (Wed, 27 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

Rename the GArray of interfaces "if_array", to indicate what it really
is, and rename the routine that creates it to "make_if_array()".

------------------------------------------------------------------------
r43515 | guy | 2012-06-27 18:54:42 -0700 (Wed, 27 Jun 2012) | 37 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_dlg.h
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_welcome.c

From Pontus Fuchs:

	add a capture_dlg_refresh_if() routine to redraw the list of
	interfaces in the Capture -> Interfaces dialog if the lsit of
	known interfaces is updated, and have it do that not by
	destroying and reconstructing the entire dialog box, but just by
	destroying and reconstructing the table containing the
	interfaces and their statistics.

From me:

	have a refresh_interfaces_cb() routine in ui/gtk/main.c that
	scans the local interfaces and refreshes *all* the widgets that
	have interface lists;

	add a "Refresh Interfaces" item to the Capture menu that calls
	that;

	have the "Refresh" button in the "Manage Interfaces" window also
	call that;

	rename the Capture Options window routine dlg_window_present()
	to capture_dlg_window_present() to make it clearer *which*
	dialog it checks for;

	fix Pontus' patch to call capture_stat_stop() *before* nulling
	out the global pointer for the statistics cache - if it's called
	*after* nulling it out, the argument passed to
	capture_stat_stop() is null, and it doesn't kill off the dumpcap
	gathering the statistics so they just pile up (and, at least on
	OS X, chewing up BPF devices until you run out of BPF devices
	that have the right ownership and permissions for dumpcap to use
	as a normal user);

	if refreshing the interfaces fails to get an interface list,
	close the Capture Interfaces dialog.

------------------------------------------------------------------------
r43516 | guy | 2012-06-27 19:19:12 -0700 (Wed, 27 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h

No pcap, no interfaces, no interface lists to refresh.

------------------------------------------------------------------------
r43517 | guy | 2012-06-28 01:13:21 -0700 (Thu, 28 Jun 2012) | 36 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_dlg.h
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_welcome.c
   M /trunk/ui/gtk/prefs_capture.c

Detangle the code that manages the interface list on the welcome screen:

    fill_capture_box():

	if there are interfaces on which to capture, constructs the
	interface list, otherwise destroys the interface list and puts
	up a message.

    update_capture_box():

	updates the interface list to reflect current reality.

    welcome_if_panel_reload():

	if there is an interface list, and if there are interfaces on
	which to capture (so that we still want that list), updates the
	list by calling update_capture_box(), otherwise creates or
	destroys it by calling fill_capture_box() (as either it doesn't
	exist but now needs to or does exist but needs to go away).

Have refresh_local_interface_lists(), which re-fetches the list of local
interfaces and updates every interface list that includes local
interfaces, and refresh_non_local_interface_lists(), which only updates
interface lists that (also) include interfaces other than local
interfaces (such as pipes and remote interfaces).  Call them in the
apprpriate places (if we know the list of local interfaces has been
updated, call refresh_local_interface_lists(), otherwise, if we know
interfaces other than local interfaces have been added or removed, call
refresh_non_local_interface_lists()).

Don't have any routine that updates the interface list for one widget
update the interface list for any other widget; leave the global
updating of interface lists up to refresh_local_interface_lists() and
refresh_non_local_interface_lists() - only call one of them if any
interface lists are to be updated.

------------------------------------------------------------------------
r43518 | guy | 2012-06-28 01:25:17 -0700 (Thu, 28 Jun 2012) | 12 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_welcome.c

Make scan_local_interfaces() local to ui/gtk/main.c; widgets/windows
that want a list of interfaces should either call
fill_in_local_interfaces() to make sure the list has been populated at
least once or refresh_local_interface_lists() if they want the list to
be rescanned.

Also make get_interface_type() local to ui/gtk/main.c, as it's not
called from outside ui/gtk/main.c.

Don't declare fill_in_local_interfaces() or hide_interface() unless we
have pcap - we don't define them unless we have pcap.

------------------------------------------------------------------------
r43519 | guy | 2012-06-28 08:11:01 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Comment/#ifdef out a currently-unused variable.

------------------------------------------------------------------------
r43520 | guy | 2012-06-28 08:13:53 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Update some refresh_interfaces_cb() calls appropriately.

------------------------------------------------------------------------
r43521 | guy | 2012-06-28 09:21:51 -0700 (Thu, 28 Jun 2012) | 6 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/Makefile.common
   M /trunk/configure.in
   A /trunk/iface_monitor.c
   A /trunk/iface_monitor.h
   M /trunk/ui/gtk/CMakeLists.txt
   M /trunk/ui/gtk/Makefile.common
   A /trunk/ui/gtk/gtk_iface_monitor.c
   A /trunk/ui/gtk/gtk_iface_monitor.h
   M /trunk/ui/gtk/main.c

From Pontus Fuchs:

Add an interface monitor that, on Linux distributions with libnl,
watches for interfaces to appear or disappear and, on such an event,
causes windows showing interface lists to update.

------------------------------------------------------------------------
r43522 | guy | 2012-06-28 10:01:57 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/iface_monitor.c
   M /trunk/iface_monitor.h
   M /trunk/ui/gtk/gtk_iface_monitor.c
   M /trunk/ui/gtk/gtk_iface_monitor.h

No pcap, no interfaces to monitor.

------------------------------------------------------------------------
r43523 | guy | 2012-06-28 11:16:18 -0700 (Thu, 28 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/CMakeLists.txt
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/gtk_iface_monitor.c
   A /trunk/ui/gtk/iface_lists.c
   A /trunk/ui/gtk/iface_lists.h
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_welcome.c
   M /trunk/ui/gtk/prefs_capture.c

Move the stuff to manage the global interface list and to update
displays of that list into a separate iface_lists.c file.

------------------------------------------------------------------------
r43524 | guy | 2012-06-28 11:22:02 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/iface_lists.c

Get rid of a couple of tabs.

------------------------------------------------------------------------
r43525 | guy | 2012-06-28 11:33:53 -0700 (Thu, 28 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/iface_lists.c
   M /trunk/ui/gtk/main.c

<wsutil/file_util.h> is needed by ui/gtk/iface_lists.c on Linux as it
does a ws_stat64() to check for the existence of files in /sys.

It's *not* needed in ui/gtk/main.c any more, as that code was moved out
of ui/gtk/main.c.

------------------------------------------------------------------------
r43526 | guy | 2012-06-28 11:43:16 -0700 (Thu, 28 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/geoip_db.c
   M /trunk/epan/geoip_db.h

Constify the "string to return if not found" argument to
geoip_db_lookup_ipv4() and geoip_db_lookup_ipv6().

In both of those routines, "ret" is always set to a non-null value -
it's initially set to the aforementioned string - so always return it.

------------------------------------------------------------------------
r43527 | guy | 2012-06-28 11:57:23 -0700 (Thu, 28 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_dlg.h

Make some routines static to ui/gtk/capture_dlg.c; they're not used
outside it.

------------------------------------------------------------------------
r43528 | guy | 2012-06-28 12:08:11 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_dlg.h

Make more routines static.

------------------------------------------------------------------------
r43529 | guy | 2012-06-28 12:09:22 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

<wsutil/file_util.h> is needed on Windows.

------------------------------------------------------------------------
r43530 | guy | 2012-06-28 12:10:40 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

No pcap, no interfaces to monitor.

------------------------------------------------------------------------
r43531 | guy | 2012-06-28 13:06:37 -0700 (Thu, 28 Jun 2012) | 11 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

capture_get_if_icon() is no longer platform-dependent; the
platform-dependent work is now done in get_interface_type().

That means we also don't need to protect the handling of IF_DIALUP or
even IF_AIRPCAP in #ifdefs, just in case we add support for those types
in other OSes.

Nothing's uisng the capture_ethernet_16.xpm image here, so don't bother
including it.  (Does *anybody* use it?  I couldn't find any uses, but
maybe we should use that.)

------------------------------------------------------------------------
r43532 | guy | 2012-06-28 13:16:39 -0700 (Thu, 28 Jun 2012) | 3 lines
Changed paths:
   M /trunk/capture_ifinfo.c
   M /trunk/capture_ifinfo.h
   M /trunk/ui/gtk/iface_lists.c

get_interface_type() contains no GUI code, so just move it up to
capture_ifinfo.c.

------------------------------------------------------------------------
r43533 | guy | 2012-06-28 13:40:44 -0700 (Thu, 28 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

If we don't have AirPcap, don't bother with the IF_AIRPCAP case; if we
ever add support for it on additional platforms, HAVE_AIRPCAP will be
defined.

------------------------------------------------------------------------
r43534 | guy | 2012-06-28 13:52:26 -0700 (Thu, 28 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.h
   M /trunk/ui/gtk/iface_lists.c
   M /trunk/ui/gtk/iface_lists.h
   M /trunk/ui/gtk/main.c

Move if_list_comparator_alph() to iface_lists.c; it's used in several
places.

------------------------------------------------------------------------
r43535 | morriss | 2012-06-28 14:11:41 -0700 (Thu, 28 Jun 2012) | 1 line
Changed paths:
   M /trunk/capture_ifinfo.c

wsutil/file_util.h is needed here.
------------------------------------------------------------------------
r43536 | darkjames | 2012-06-28 15:56:06 -0700 (Thu, 28 Jun 2012) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/CPackConfig.txt
   M /trunk/ConfigureChecks.cmake
   M /trunk/Makefile.am
   M /trunk/Makefile.am.inc
   M /trunk/Makefile.common
   M /trunk/Makefile.nmake.inc
   M /trunk/airpcap_loader.c
   M /trunk/airpcap_loader.h
   M /trunk/asn1/Custom.make
   M /trunk/asn1/HI2Operations/Makefile.am
   M /trunk/asn1/HI2Operations/Makefile.common
   M /trunk/asn1/HI2Operations/Makefile.nmake
   M /trunk/asn1/HI2Operations/packet-HI2Operations-template.c
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/Makefile.inc
   M /trunk/asn1/Makefile.inc.nmake
   M /trunk/asn1/Makefile.nmake
   M /trunk/asn1/Makefile.preinc
   M /trunk/asn1/Makefile.preinc.nmake
   M /trunk/asn1/acp133/Makefile.am
   M /trunk/asn1/acp133/Makefile.common
   M /trunk/asn1/acp133/Makefile.nmake
   M /trunk/asn1/acp133/packet-acp133-template.c
   M /trunk/asn1/acp133/packet-acp133-template.h
   M /trunk/asn1/acse/Makefile.am
   M /trunk/asn1/acse/Makefile.common
   M /trunk/asn1/acse/Makefile.nmake
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/asn1/acse/packet-acse-template.h
   M /trunk/asn1/ansi_map/Makefile.am
   M /trunk/asn1/ansi_map/Makefile.common
   M /trunk/asn1/ansi_map/Makefile.nmake
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/ansi_map/packet-ansi_map-template.h
   M /trunk/asn1/ansi_tcap/Makefile.am
   M /trunk/asn1/ansi_tcap/Makefile.common
   M /trunk/asn1/ansi_tcap/Makefile.nmake
   M /trunk/asn1/ansi_tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/c1222/Makefile.am
   M /trunk/asn1/c1222/Makefile.common
   M /trunk/asn1/c1222/Makefile.nmake
   M /trunk/asn1/c1222/packet-c1222-template.c
   M /trunk/asn1/c1222/packet-c1222-template.h
   M /trunk/asn1/camel/Makefile.am
   M /trunk/asn1/camel/Makefile.common
   M /trunk/asn1/camel/Makefile.nmake
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/camel/packet-camel-template.h
   M /trunk/asn1/cdt/Makefile.am
   M /trunk/asn1/cdt/Makefile.common
   M /trunk/asn1/cdt/Makefile.nmake
   M /trunk/asn1/cdt/packet-cdt-template.c
   M /trunk/asn1/cdt/packet-cdt-template.h
   M /trunk/asn1/charging_ase/Makefile.am
   M /trunk/asn1/charging_ase/Makefile.common
   M /trunk/asn1/charging_ase/Makefile.nmake
   M /trunk/asn1/charging_ase/packet-charging_ase-template.c
   M /trunk/asn1/charging_ase/packet-charging_ase-template.h
   M /trunk/asn1/cmip/Makefile.am
   M /trunk/asn1/cmip/Makefile.common
   M /trunk/asn1/cmip/Makefile.nmake
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/cmip/packet-cmip-template.h
   M /trunk/asn1/cmp/Makefile.am
   M /trunk/asn1/cmp/Makefile.common
   M /trunk/asn1/cmp/Makefile.nmake
   M /trunk/asn1/cmp/packet-cmp-template.c
   M /trunk/asn1/cmp/packet-cmp-template.h
   M /trunk/asn1/cms/Makefile.am
   M /trunk/asn1/cms/Makefile.common
   M /trunk/asn1/cms/Makefile.nmake
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/cms/packet-cms-template.h
   M /trunk/asn1/credssp/Makefile.am
   M /trunk/asn1/credssp/Makefile.common
   M /trunk/asn1/credssp/Makefile.nmake
   M /trunk/asn1/credssp/packet-credssp-template.c
   M /trunk/asn1/credssp/packet-credssp-template.h
   M /trunk/asn1/crmf/Makefile.am
   M /trunk/asn1/crmf/Makefile.common
   M /trunk/asn1/crmf/Makefile.nmake
   M /trunk/asn1/crmf/packet-crmf-template.c
   M /trunk/asn1/crmf/packet-crmf-template.h
   M /trunk/asn1/dap/Makefile.am
   M /trunk/asn1/dap/Makefile.common
   M /trunk/asn1/dap/Makefile.nmake
   M /trunk/asn1/dap/packet-dap-template.c
   M /trunk/asn1/dap/packet-dap-template.h
   M /trunk/asn1/disp/Makefile.am
   M /trunk/asn1/disp/Makefile.common
   M /trunk/asn1/disp/Makefile.nmake
   M /trunk/asn1/disp/packet-disp-template.c
   M /trunk/asn1/disp/packet-disp-template.h
   M /trunk/asn1/dop/Makefile.am
   M /trunk/asn1/dop/Makefile.common
   M /trunk/asn1/dop/Makefile.nmake
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/dop/packet-dop-template.h
   M /trunk/asn1/dsp/Makefile.am
   M /trunk/asn1/dsp/Makefile.common
   M /trunk/asn1/dsp/Makefile.nmake
   M /trunk/asn1/dsp/packet-dsp-template.c
   M /trunk/asn1/dsp/packet-dsp-template.h
   M /trunk/asn1/ess/Makefile.am
   M /trunk/asn1/ess/Makefile.common
   M /trunk/asn1/ess/Makefile.nmake
   M /trunk/asn1/ess/packet-ess-template.c
   M /trunk/asn1/ess/packet-ess-template.h
   M /trunk/asn1/ftam/Makefile.am
   M /trunk/asn1/ftam/Makefile.common
   M /trunk/asn1/ftam/Makefile.nmake
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/ftam/packet-ftam-template.h
   M /trunk/asn1/gnm/Makefile.am
   M /trunk/asn1/gnm/Makefile.common
   M /trunk/asn1/gnm/Makefile.nmake
   M /trunk/asn1/gnm/packet-gnm-template.c
   M /trunk/asn1/gnm/packet-gnm-template.h
   M /trunk/asn1/goose/Makefile.am
   M /trunk/asn1/goose/Makefile.common
   M /trunk/asn1/goose/Makefile.nmake
   M /trunk/asn1/goose/packet-goose-template.c
   M /trunk/asn1/gprscdr/Makefile.am
   M /trunk/asn1/gprscdr/Makefile.common
   M /trunk/asn1/gprscdr/Makefile.nmake
   M /trunk/asn1/gprscdr/packet-gprscdr-template.c
   M /trunk/asn1/gprscdr/packet-gprscdr-template.h
   M /trunk/asn1/gsm_map/Makefile.am
   M /trunk/asn1/gsm_map/Makefile.common
   M /trunk/asn1/gsm_map/Makefile.nmake
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/asn1/gsm_map/packet-gsm_map-template.h
   M /trunk/asn1/h225/Makefile.am
   M /trunk/asn1/h225/Makefile.common
   M /trunk/asn1/h225/Makefile.nmake
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/h225/packet-h225-template.h
   M /trunk/asn1/h235/Makefile.am
   M /trunk/asn1/h235/Makefile.common
   M /trunk/asn1/h235/Makefile.nmake
   M /trunk/asn1/h235/packet-h235-template.c
   M /trunk/asn1/h235/packet-h235-template.h
   M /trunk/asn1/h245/Makefile.am
   M /trunk/asn1/h245/Makefile.common
   M /trunk/asn1/h245/Makefile.nmake
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/asn1/h245/packet-h245-template.h
   M /trunk/asn1/h248/Makefile.am
   M /trunk/asn1/h248/Makefile.common
   M /trunk/asn1/h248/Makefile.nmake
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/h248/packet-h248-template.h
   M /trunk/asn1/h282/Makefile.am
   M /trunk/asn1/h282/Makefile.common
   M /trunk/asn1/h282/Makefile.nmake
   M /trunk/asn1/h282/packet-h282-template.c
   M /trunk/asn1/h283/Makefile.am
   M /trunk/asn1/h283/Makefile.common
   M /trunk/asn1/h283/Makefile.nmake
   M /trunk/asn1/h283/packet-h283-template.c
   M /trunk/asn1/h323/Makefile.am
   M /trunk/asn1/h323/Makefile.common
   M /trunk/asn1/h323/Makefile.nmake
   M /trunk/asn1/h323/packet-h323-template.c
   M /trunk/asn1/h323/packet-h323-template.h
   M /trunk/asn1/h450/Makefile.am
   M /trunk/asn1/h450/Makefile.common
   M /trunk/asn1/h450/Makefile.nmake
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/asn1/h450-ros/Makefile.am
   M /trunk/asn1/h450-ros/Makefile.common
   M /trunk/asn1/h450-ros/Makefile.nmake
   M /trunk/asn1/h450-ros/packet-h450-ros-template.c
   M /trunk/asn1/h450-ros/packet-h450-ros-template.h
   M /trunk/asn1/h460/Makefile.am
   M /trunk/asn1/h460/Makefile.common
   M /trunk/asn1/h460/Makefile.nmake
   M /trunk/asn1/h460/packet-h460-template.c
   M /trunk/asn1/h501/Makefile.am
   M /trunk/asn1/h501/Makefile.common
   M /trunk/asn1/h501/Makefile.nmake
   M /trunk/asn1/h501/packet-h501-template.c
   M /trunk/asn1/hnbap/Makefile.am
   M /trunk/asn1/hnbap/Makefile.common
   M /trunk/asn1/hnbap/Makefile.nmake
   M /trunk/asn1/hnbap/packet-hnbap-template.c
   M /trunk/asn1/idmp/Makefile.am
   M /trunk/asn1/idmp/Makefile.common
   M /trunk/asn1/idmp/Makefile.nmake
   M /trunk/asn1/idmp/packet-idmp-template.c
   M /trunk/asn1/idmp/packet-idmp-template.h
   M /trunk/asn1/inap/Makefile.am
   M /trunk/asn1/inap/Makefile.common
   M /trunk/asn1/inap/Makefile.nmake
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/asn1/kerberos/Makefile.am
   M /trunk/asn1/kerberos/Makefile.common
   M /trunk/asn1/kerberos/Makefile.nmake
   M /trunk/asn1/kerberos/packet-kerberos-template.c
   M /trunk/asn1/kerberos/packet-kerberos-template.h
   M /trunk/asn1/lcsap/Makefile.am
   M /trunk/asn1/lcsap/Makefile.common
   M /trunk/asn1/lcsap/Makefile.nmake
   M /trunk/asn1/lcsap/packet-lcsap-template.c
   M /trunk/asn1/lcsap/packet-lcsap-template.h
   M /trunk/asn1/ldap/Makefile.am
   M /trunk/asn1/ldap/Makefile.common
   M /trunk/asn1/ldap/Makefile.nmake
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/ldap/packet-ldap-template.h
   M /trunk/asn1/logotypecertextn/Makefile.am
   M /trunk/asn1/logotypecertextn/Makefile.common
   M /trunk/asn1/logotypecertextn/Makefile.nmake
   M /trunk/asn1/logotypecertextn/packet-logotypecertextn-template.c
   M /trunk/asn1/logotypecertextn/packet-logotypecertextn-template.h
   M /trunk/asn1/lpp/Makefile.am
   M /trunk/asn1/lpp/Makefile.common
   M /trunk/asn1/lpp/Makefile.nmake
   M /trunk/asn1/lpp/packet-lpp-template.c
   M /trunk/asn1/lpp/packet-lpp-template.h
   M /trunk/asn1/lppa/Makefile.am
   M /trunk/asn1/lppa/Makefile.common
   M /trunk/asn1/lppa/Makefile.nmake
   M /trunk/asn1/lppa/packet-lppa-template.c
   M /trunk/asn1/lte-rrc/Makefile.am
   M /trunk/asn1/lte-rrc/Makefile.common
   M /trunk/asn1/lte-rrc/Makefile.nmake
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.c
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.h
   M /trunk/asn1/m3ap/Makefile.am
   M /trunk/asn1/m3ap/Makefile.common
   M /trunk/asn1/m3ap/Makefile.nmake
   M /trunk/asn1/m3ap/packet-m3ap-template.c
   M /trunk/asn1/mms/Makefile.am
   M /trunk/asn1/mms/Makefile.common
   M /trunk/asn1/mms/Makefile.nmake
   M /trunk/asn1/mms/packet-mms-template.c
   M /trunk/asn1/mms/packet-mms-template.h
   M /trunk/asn1/mpeg-audio/Makefile.am
   M /trunk/asn1/mpeg-audio/Makefile.common
   M /trunk/asn1/mpeg-audio/Makefile.nmake
   M /trunk/asn1/mpeg-audio/packet-mpeg-audio-template.c
   M /trunk/asn1/mpeg-pes/Makefile.am
   M /trunk/asn1/mpeg-pes/Makefile.common
   M /trunk/asn1/mpeg-pes/Makefile.nmake
   M /trunk/asn1/mpeg-pes/packet-mpeg-pes-template.c
   M /trunk/asn1/nbap/Makefile.am
   M /trunk/asn1/nbap/Makefile.common
   M /trunk/asn1/nbap/Makefile.nmake
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/asn1/ns_cert_exts/Makefile.am
   M /trunk/asn1/ns_cert_exts/Makefile.common
   M /trunk/asn1/ns_cert_exts/Makefile.nmake
   M /trunk/asn1/ns_cert_exts/packet-ns_cert_exts-template.c
   M /trunk/asn1/ocsp/Makefile.am
   M /trunk/asn1/ocsp/Makefile.common
   M /trunk/asn1/ocsp/Makefile.nmake
   M /trunk/asn1/ocsp/packet-ocsp-template.c
   M /trunk/asn1/ocsp/packet-ocsp-template.h
   M /trunk/asn1/p1/Makefile.am
   M /trunk/asn1/p1/Makefile.common
   M /trunk/asn1/p1/Makefile.nmake
   M /trunk/asn1/p1/packet-p1-template.c
   M /trunk/asn1/p1/packet-p1-template.h
   M /trunk/asn1/p22/Makefile.am
   M /trunk/asn1/p22/Makefile.common
   M /trunk/asn1/p22/Makefile.nmake
   M /trunk/asn1/p22/packet-p22-template.c
   M /trunk/asn1/p22/packet-p22-template.h
   M /trunk/asn1/p7/Makefile.am
   M /trunk/asn1/p7/Makefile.common
   M /trunk/asn1/p7/Makefile.nmake
   M /trunk/asn1/p7/packet-p7-template.c
   M /trunk/asn1/p7/packet-p7-template.h
   M /trunk/asn1/p772/Makefile.am
   M /trunk/asn1/p772/Makefile.common
   M /trunk/asn1/p772/Makefile.nmake
   M /trunk/asn1/p772/packet-p772-template.c
   M /trunk/asn1/p772/packet-p772-template.h
   M /trunk/asn1/pcap/Makefile.am
   M /trunk/asn1/pcap/Makefile.common
   M /trunk/asn1/pcap/Makefile.nmake
   M /trunk/asn1/pcap/packet-pcap-template.c
   M /trunk/asn1/pkcs1/Makefile.am
   M /trunk/asn1/pkcs1/Makefile.common
   M /trunk/asn1/pkcs1/Makefile.nmake
   M /trunk/asn1/pkcs1/packet-pkcs1-template.c
   M /trunk/asn1/pkcs1/packet-pkcs1-template.h
   M /trunk/asn1/pkcs12/Makefile.am
   M /trunk/asn1/pkcs12/Makefile.common
   M /trunk/asn1/pkcs12/Makefile.nmake
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/asn1/pkcs12/packet-pkcs12-template.h
   M /trunk/asn1/pkinit/Makefile.am
   M /trunk/asn1/pkinit/Makefile.common
   M /trunk/asn1/pkinit/Makefile.nmake
   M /trunk/asn1/pkinit/packet-pkinit-template.c
   M /trunk/asn1/pkinit/packet-pkinit-template.h
   M /trunk/asn1/pkix1explicit/Makefile.am
   M /trunk/asn1/pkix1explicit/Makefile.common
   M /trunk/asn1/pkix1explicit/Makefile.nmake
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.h
   M /trunk/asn1/pkix1implicit/Makefile.am
   M /trunk/asn1/pkix1implicit/Makefile.common
   M /trunk/asn1/pkix1implicit/Makefile.nmake
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.c
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.h
   M /trunk/asn1/pkixac/Makefile.am
   M /trunk/asn1/pkixac/Makefile.common
   M /trunk/asn1/pkixac/Makefile.nmake
   M /trunk/asn1/pkixac/packet-pkixac-template.c
   M /trunk/asn1/pkixac/packet-pkixac-template.h
   M /trunk/asn1/pkixproxy/Makefile.am
   M /trunk/asn1/pkixproxy/Makefile.common
   M /trunk/asn1/pkixproxy/Makefile.nmake
   M /trunk/asn1/pkixproxy/packet-pkixproxy-template.c
   M /trunk/asn1/pkixproxy/packet-pkixproxy-template.h
   M /trunk/asn1/pkixqualified/Makefile.am
   M /trunk/asn1/pkixqualified/Makefile.common
   M /trunk/asn1/pkixqualified/Makefile.nmake
   M /trunk/asn1/pkixqualified/packet-pkixqualified-template.c
   M /trunk/asn1/pkixqualified/packet-pkixqualified-template.h
   M /trunk/asn1/pkixtsp/Makefile.am
   M /trunk/asn1/pkixtsp/Makefile.common
   M /trunk/asn1/pkixtsp/Makefile.nmake
   M /trunk/asn1/pkixtsp/packet-pkixtsp-template.c
   M /trunk/asn1/pkixtsp/packet-pkixtsp-template.h
   M /trunk/asn1/pres/Makefile.am
   M /trunk/asn1/pres/Makefile.common
   M /trunk/asn1/pres/Makefile.nmake
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/pres/packet-pres-template.h
   M /trunk/asn1/q932/Makefile.am
   M /trunk/asn1/q932/Makefile.common
   M /trunk/asn1/q932/Makefile.nmake
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/asn1/q932/packet-q932-template.h
   M /trunk/asn1/q932-ros/Makefile.am
   M /trunk/asn1/q932-ros/Makefile.common
   M /trunk/asn1/q932-ros/Makefile.nmake
   M /trunk/asn1/q932-ros/packet-q932-ros-template.c
   M /trunk/asn1/qsig/Makefile.am
   M /trunk/asn1/qsig/Makefile.common
   M /trunk/asn1/qsig/Makefile.nmake
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/asn1/qsig/packet-qsig-template.h
   M /trunk/asn1/ranap/Makefile.am
   M /trunk/asn1/ranap/Makefile.common
   M /trunk/asn1/ranap/Makefile.nmake
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/asn1/ranap/packet-ranap-template.h
   M /trunk/asn1/rnsap/Makefile.am
   M /trunk/asn1/rnsap/Makefile.common
   M /trunk/asn1/rnsap/Makefile.nmake
   M /trunk/asn1/rnsap/packet-rnsap-template.c
   M /trunk/asn1/ros/Makefile.am
   M /trunk/asn1/ros/Makefile.common
   M /trunk/asn1/ros/Makefile.nmake
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/ros/packet-ros-template.h
   M /trunk/asn1/rrc/Makefile.am
   M /trunk/asn1/rrc/Makefile.common
   M /trunk/asn1/rrc/Makefile.nmake
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/asn1/rrc/packet-rrc-template.h
   M /trunk/asn1/rrlp/Makefile.am
   M /trunk/asn1/rrlp/Makefile.common
   M /trunk/asn1/rrlp/Makefile.nmake
   M /trunk/asn1/rrlp/packet-rrlp-template.c
   M /trunk/asn1/rtse/Makefile.am
   M /trunk/asn1/rtse/Makefile.common
   M /trunk/asn1/rtse/Makefile.nmake
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/asn1/rtse/packet-rtse-template.h
   M /trunk/asn1/rua/Makefile.am
   M /trunk/asn1/rua/Makefile.common
   M /trunk/asn1/rua/Makefile.nmake
   M /trunk/asn1/rua/packet-rua-template.c
   M /trunk/asn1/s1ap/Makefile.am
   M /trunk/asn1/s1ap/Makefile.common
   M /trunk/asn1/s1ap/Makefile.nmake
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/asn1/s1ap/packet-s1ap-template.h
   M /trunk/asn1/sabp/Makefile.am
   M /trunk/asn1/sabp/Makefile.common
   M /trunk/asn1/sabp/Makefile.nmake
   M /trunk/asn1/sabp/packet-sabp-template.c
   M /trunk/asn1/sbc-ap/Makefile.am
   M /trunk/asn1/sbc-ap/Makefile.common
   M /trunk/asn1/sbc-ap/Makefile.nmake
   M /trunk/asn1/sbc-ap/packet-sbc-ap-template.c
   M /trunk/asn1/smrse/Makefile.am
   M /trunk/asn1/smrse/Makefile.common
   M /trunk/asn1/smrse/Makefile.nmake
   M /trunk/asn1/smrse/packet-smrse-template.c
   M /trunk/asn1/smrse/packet-smrse-template.h
   M /trunk/asn1/snmp/Makefile.am
   M /trunk/asn1/snmp/Makefile.common
   M /trunk/asn1/snmp/Makefile.nmake
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/packet-snmp-template.h
   M /trunk/asn1/spnego/Makefile.am
   M /trunk/asn1/spnego/Makefile.common
   M /trunk/asn1/spnego/Makefile.nmake
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/asn1/sv/Makefile.am
   M /trunk/asn1/sv/Makefile.common
   M /trunk/asn1/sv/Makefile.nmake
   M /trunk/asn1/sv/packet-sv-template.c
   M /trunk/asn1/sv/packet-sv-template.h
   M /trunk/asn1/t124/Makefile.am
   M /trunk/asn1/t124/Makefile.common
   M /trunk/asn1/t124/Makefile.nmake
   M /trunk/asn1/t124/packet-t124-template.c
   M /trunk/asn1/t124/packet-t124-template.h
   M /trunk/asn1/t125/Makefile.am
   M /trunk/asn1/t125/Makefile.common
   M /trunk/asn1/t125/Makefile.nmake
   M /trunk/asn1/t125/packet-t125-template.c
   M /trunk/asn1/t125/packet-t125-template.h
   M /trunk/asn1/t38/Makefile.am
   M /trunk/asn1/t38/Makefile.common
   M /trunk/asn1/t38/Makefile.nmake
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/asn1/t38/packet-t38-template.h
   M /trunk/asn1/tcap/Makefile.am
   M /trunk/asn1/tcap/Makefile.common
   M /trunk/asn1/tcap/Makefile.nmake
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tetra/Makefile.am
   M /trunk/asn1/tetra/Makefile.common
   M /trunk/asn1/tetra/Makefile.nmake
   M /trunk/asn1/tetra/packet-tetra-template.c
   M /trunk/asn1/tetra/packet-tetra-template.h
   M /trunk/asn1/ulp/Makefile.am
   M /trunk/asn1/ulp/Makefile.common
   M /trunk/asn1/ulp/Makefile.nmake
   M /trunk/asn1/ulp/packet-ulp-template.c
   M /trunk/asn1/wlancertextn/Makefile.am
   M /trunk/asn1/wlancertextn/Makefile.common
   M /trunk/asn1/wlancertextn/Makefile.nmake
   M /trunk/asn1/wlancertextn/packet-wlancertextn-template.c
   M /trunk/asn1/wlancertextn/packet-wlancertextn-template.h
   M /trunk/asn1/x2ap/Makefile.am
   M /trunk/asn1/x2ap/Makefile.common
   M /trunk/asn1/x2ap/Makefile.nmake
   M /trunk/asn1/x2ap/packet-x2ap-template.c
   M /trunk/asn1/x509af/Makefile.am
   M /trunk/asn1/x509af/Makefile.common
   M /trunk/asn1/x509af/Makefile.nmake
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509af/packet-x509af-template.h
   M /trunk/asn1/x509ce/Makefile.am
   M /trunk/asn1/x509ce/Makefile.common
   M /trunk/asn1/x509ce/Makefile.nmake
   M /trunk/asn1/x509ce/packet-x509ce-template.c
   M /trunk/asn1/x509ce/packet-x509ce-template.h
   M /trunk/asn1/x509if/Makefile.am
   M /trunk/asn1/x509if/Makefile.common
   M /trunk/asn1/x509if/Makefile.nmake
   M /trunk/asn1/x509if/packet-x509if-template.c
   M /trunk/asn1/x509if/packet-x509if-template.h
   M /trunk/asn1/x509sat/Makefile.am
   M /trunk/asn1/x509sat/Makefile.common
   M /trunk/asn1/x509sat/Makefile.nmake
   M /trunk/asn1/x509sat/packet-x509sat-template.c
   M /trunk/asn1/x509sat/packet-x509sat-template.h
   M /trunk/asn1/x721/Makefile.am
   M /trunk/asn1/x721/Makefile.common
   M /trunk/asn1/x721/Makefile.nmake
   M /trunk/capinfos.c
   M /trunk/capture-pcap-util-int.h
   M /trunk/capture-pcap-util-unix.c
   M /trunk/capture-pcap-util.c
   M /trunk/capture-pcap-util.h
   M /trunk/capture-wpcap.c
   M /trunk/capture-wpcap.h
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_ifinfo.c
   M /trunk/capture_ifinfo.h
   M /trunk/capture_info.c
   M /trunk/capture_info.h
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/capture_stop_conditions.c
   M /trunk/capture_stop_conditions.h
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/capture_ui_utils.c
   M /trunk/capture_ui_utils.h
   M /trunk/capture_wpcap_packet.c
   M /trunk/capture_wpcap_packet.h
   M /trunk/cfile.c
   M /trunk/cfile.h
   M /trunk/clopts_common.c
   M /trunk/clopts_common.h
   M /trunk/cmdarg_err.h
   M /trunk/codecs/CMakeLists.txt
   M /trunk/codecs/G711a/G711adecode.c
   M /trunk/codecs/G711a/G711adecode.h
   M /trunk/codecs/G711a/G711atable.h
   M /trunk/codecs/G711u/G711udecode.c
   M /trunk/codecs/G711u/G711udecode.h
   M /trunk/codecs/G711u/G711utable.h
   M /trunk/codecs/Makefile.am
   M /trunk/color.h
   M /trunk/color_filters.c
   M /trunk/color_filters.h
   M /trunk/conditions.c
   M /trunk/conditions.h
   M /trunk/console_io.h
   M /trunk/dftest.c
   M /trunk/disabled_protos.c
   M /trunk/disabled_protos.h
   M /trunk/doc/Makefile.am
   M /trunk/doc/Makefile.nmake
   M /trunk/doc/README.python
   M /trunk/doc/README.stats_tree
   M /trunk/docbook/CMakeLists.txt
   M /trunk/docbook/check_svn_version.sh
   M /trunk/docbook/make-wsluarm.pl
   M /trunk/dumpcap.c
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/Makefile.am
   M /trunk/epan/addr_and_mask.c
   M /trunk/epan/addr_and_mask.h
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h
   M /trunk/epan/address.h
   M /trunk/epan/address_to_str.c
   M /trunk/epan/adler32.c
   M /trunk/epan/adler32.h
   M /trunk/epan/afn.c
   M /trunk/epan/afn.h
   M /trunk/epan/aftypes.h
   M /trunk/epan/arptypes.h
   M /trunk/epan/asm_utils.c
   M /trunk/epan/asm_utils.h
   M /trunk/epan/asm_utils_win32_x86.asm
   M /trunk/epan/asn1.c
   M /trunk/epan/asn1.h
   M /trunk/epan/atalk-utils.c
   M /trunk/epan/atalk-utils.h
   M /trunk/epan/base64.c
   M /trunk/epan/base64.h
   M /trunk/epan/bitswap.c
   M /trunk/epan/bitswap.h
   M /trunk/epan/bridged_pids.h
   M /trunk/epan/camel-persistentdata.c
   M /trunk/epan/camel-persistentdata.h
   M /trunk/epan/charsets.c
   M /trunk/epan/charsets.h
   M /trunk/epan/chdlctypes.h
   M /trunk/epan/circuit.c
   M /trunk/epan/circuit.h
   M /trunk/epan/codecs.c
   M /trunk/epan/codecs.h
   M /trunk/epan/column-utils.c
   M /trunk/epan/column-utils.h
   M /trunk/epan/column.c
   M /trunk/epan/column.h
   M /trunk/epan/column_info.h
   M /trunk/epan/conv_id.h
   M /trunk/epan/conversation.c
   M /trunk/epan/conversation.h
   M /trunk/epan/crypt/Makefile.am
   M /trunk/epan/crypt/Makefile.common
   M /trunk/epan/crypt/eax.c
   M /trunk/epan/crypt/eax.h
   M /trunk/epan/dfilter/Makefile.common
   M /trunk/epan/dfilter/dfilter-int.h
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dfilter/dfilter-macro.h
   M /trunk/epan/dfilter/dfilter.c
   M /trunk/epan/dfilter/dfilter.h
   M /trunk/epan/dfilter/dfunctions.c
   M /trunk/epan/dfilter/dfunctions.h
   M /trunk/epan/dfilter/dfvm.c
   M /trunk/epan/dfilter/dfvm.h
   M /trunk/epan/dfilter/drange.c
   M /trunk/epan/dfilter/drange.h
   M /trunk/epan/dfilter/gencode.c
   M /trunk/epan/dfilter/gencode.h
   M /trunk/epan/dfilter/semcheck.c
   M /trunk/epan/dfilter/semcheck.h
   M /trunk/epan/dfilter/sttype-function.c
   M /trunk/epan/dfilter/sttype-function.h
   M /trunk/epan/dfilter/sttype-integer.c
   M /trunk/epan/dfilter/sttype-pointer.c
   M /trunk/epan/dfilter/sttype-range.c
   M /trunk/epan/dfilter/sttype-range.h
   M /trunk/epan/dfilter/sttype-string.c
   M /trunk/epan/dfilter/sttype-test.c
   M /trunk/epan/dfilter/sttype-test.h
   M /trunk/epan/dfilter/syntax-tree.c
   M /trunk/epan/dfilter/syntax-tree.h
   M /trunk/epan/dissector_filters.c
   M /trunk/epan/dissector_filters.h
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/dcerpc/CMakeLists.txt
   M /trunk/epan/dissectors/dcerpc/Makefile.am
   M /trunk/epan/dissectors/dcerpc/budb/packet-dcerpc-budb-template.c
   M /trunk/epan/dissectors/dcerpc/budb/packet-dcerpc-budb-template.h
   M /trunk/epan/dissectors/dcerpc/butc/packet-dcerpc-butc-template.c
   M /trunk/epan/dissectors/dcerpc/butc/packet-dcerpc-butc-template.h
   M /trunk/epan/dissectors/dcerpc/drsuapi/packet-dcerpc-drsuapi-template.c
   M /trunk/epan/dissectors/dcerpc/drsuapi/packet-dcerpc-drsuapi-template.h
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c
   M /trunk/epan/dissectors/packet-2dparityfec.c
   M /trunk/epan/dissectors/packet-3com-njack.c
   M /trunk/epan/dissectors/packet-3com-xns.c
   M /trunk/epan/dissectors/packet-6lowpan.c
   M /trunk/epan/dissectors/packet-HI2Operations.c
   M /trunk/epan/dissectors/packet-aarp.c
   M /trunk/epan/dissectors/packet-acap.c
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-acp133.h
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-acse.h
   M /trunk/epan/dissectors/packet-actrace.c
   M /trunk/epan/dissectors/packet-actrace.h
   M /trunk/epan/dissectors/packet-adwin-config.c
   M /trunk/epan/dissectors/packet-adwin.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-afp.h
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-agentx.c
   M /trunk/epan/dissectors/packet-aim.h
   M /trunk/epan/dissectors/packet-amqp.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_map.h
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-ap1394.c
   M /trunk/epan/dissectors/packet-ap1394.h
   M /trunk/epan/dissectors/packet-applemidi.c
   M /trunk/epan/dissectors/packet-arcnet.h
   M /trunk/epan/dissectors/packet-arp.h
   M /trunk/epan/dissectors/packet-artnet.c
   M /trunk/epan/dissectors/packet-aruba-adp.c
   M /trunk/epan/dissectors/packet-ascend.c
   M /trunk/epan/dissectors/packet-assa_r3.c
   M /trunk/epan/dissectors/packet-at.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-atalk.h
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-atm.h
   M /trunk/epan/dissectors/packet-auto_rp.c
   M /trunk/epan/dissectors/packet-ayiya.c
   M /trunk/epan/dissectors/packet-bacapp.h
   M /trunk/epan/dissectors/packet-bctp.c
   M /trunk/epan/dissectors/packet-beep.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-bfd.h
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-bjnp.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-bootparams.c
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-bt-dht.c
   M /trunk/epan/dissectors/packet-bt-utp.c
   M /trunk/epan/dissectors/packet-bthci_acl.h
   M /trunk/epan/dissectors/packet-btl2cap.h
   M /trunk/epan/dissectors/packet-btrfcomm.h
   M /trunk/epan/dissectors/packet-btsdp.h
   M /trunk/epan/dissectors/packet-bzr.c
   M /trunk/epan/dissectors/packet-c1222.c
   M /trunk/epan/dissectors/packet-c1222.h
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-cdt.h
   M /trunk/epan/dissectors/packet-cgmp.c
   M /trunk/epan/dissectors/packet-charging_ase.c
   M /trunk/epan/dissectors/packet-charging_ase.h
   M /trunk/epan/dissectors/packet-chdlc.c
   M /trunk/epan/dissectors/packet-chdlc.h
   M /trunk/epan/dissectors/packet-cisco-erspan.c
   M /trunk/epan/dissectors/packet-cisco-oui.c
   M /trunk/epan/dissectors/packet-cisco-wids.c
   M /trunk/epan/dissectors/packet-clearcase.c
   M /trunk/epan/dissectors/packet-clearcase.h
   M /trunk/epan/dissectors/packet-clip.c
   M /trunk/epan/dissectors/packet-clip.h
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmip.h
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h
   M /trunk/epan/dissectors/packet-coap.c
   M /trunk/epan/dissectors/packet-collectd.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-coseventcomm.c
   M /trunk/epan/dissectors/packet-cosine.c
   M /trunk/epan/dissectors/packet-cosnaming.c
   M /trunk/epan/dissectors/packet-cpha.c
   M /trunk/epan/dissectors/packet-credssp.c
   M /trunk/epan/dissectors/packet-credssp.h
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-crmf.h
   M /trunk/epan/dissectors/packet-csn1.c
   M /trunk/epan/dissectors/packet-csn1.h
   M /trunk/epan/dissectors/packet-cups.c
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-dap.h
   M /trunk/epan/dissectors/packet-data.c
   M /trunk/epan/dissectors/packet-data.h
   M /trunk/epan/dissectors/packet-daytime.c
   M /trunk/epan/dissectors/packet-db-lsp.c
   M /trunk/epan/dissectors/packet-dcc.c
   M /trunk/epan/dissectors/packet-dcc.h
   M /trunk/epan/dissectors/packet-dcerpc-bossvr.c
   M /trunk/epan/dissectors/packet-dcerpc-browser.c
   M /trunk/epan/dissectors/packet-dcerpc-browser.h
   M /trunk/epan/dissectors/packet-dcerpc-budb.c
   M /trunk/epan/dissectors/packet-dcerpc-budb.h
   M /trunk/epan/dissectors/packet-dcerpc-butc.c
   M /trunk/epan/dissectors/packet-dcerpc-butc.h
   M /trunk/epan/dissectors/packet-dcerpc-cds_clerkserver.c
   M /trunk/epan/dissectors/packet-dcerpc-cds_solicit.c
   M /trunk/epan/dissectors/packet-dcerpc-conv.c
   M /trunk/epan/dissectors/packet-dcerpc-cprpc_server.c
   M /trunk/epan/dissectors/packet-dcerpc-dce122.c
   M /trunk/epan/dissectors/packet-dcerpc-dce122.h
   M /trunk/epan/dissectors/packet-dcerpc-dcom.h
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.h
   M /trunk/epan/dissectors/packet-dcerpc-dtsprovider.c
   M /trunk/epan/dissectors/packet-dcerpc-dtsstime_req.c
   M /trunk/epan/dissectors/packet-dcerpc-epm.c
   M /trunk/epan/dissectors/packet-dcerpc-fileexp.c
   M /trunk/epan/dissectors/packet-dcerpc-fldb.c
   M /trunk/epan/dissectors/packet-dcerpc-frsapi.c
   M /trunk/epan/dissectors/packet-dcerpc-frsapi.h
   M /trunk/epan/dissectors/packet-dcerpc-ftserver.c
   M /trunk/epan/dissectors/packet-dcerpc-icl_rpc.c
   M /trunk/epan/dissectors/packet-dcerpc-krb5rpc.c
   M /trunk/epan/dissectors/packet-dcerpc-llb.c
   M /trunk/epan/dissectors/packet-dcerpc-messenger.c
   M /trunk/epan/dissectors/packet-dcerpc-mgmt.c
   M /trunk/epan/dissectors/packet-dcerpc-ndr.c
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.h
   M /trunk/epan/dissectors/packet-dcerpc-nt.c
   M /trunk/epan/dissectors/packet-dcerpc-nt.h
   M /trunk/epan/dissectors/packet-dcerpc-pnp.c
   M /trunk/epan/dissectors/packet-dcerpc-pnp.h
   M /trunk/epan/dissectors/packet-dcerpc-rdaclif.c
   M /trunk/epan/dissectors/packet-dcerpc-rep_proc.c
   M /trunk/epan/dissectors/packet-dcerpc-roverride.c
   M /trunk/epan/dissectors/packet-dcerpc-rpriv.c
   M /trunk/epan/dissectors/packet-dcerpc-rras.c
   M /trunk/epan/dissectors/packet-dcerpc-rras.h
   M /trunk/epan/dissectors/packet-dcerpc-rs_acct.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_attr.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_attr_schema.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_bind.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_misc.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pgo.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_plcy.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_acct.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_acl.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_attr.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_pgo.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_plcy.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pwd_mgmt.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_repadm.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_replist.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_repmgr.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_unix.c
   M /trunk/epan/dissectors/packet-dcerpc-rsec_login.c
   M /trunk/epan/dissectors/packet-dcerpc-secidmap.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.h
   M /trunk/epan/dissectors/packet-dcerpc-svcctl.c
   M /trunk/epan/dissectors/packet-dcerpc-svcctl.h
   M /trunk/epan/dissectors/packet-dcerpc-tapi.c
   M /trunk/epan/dissectors/packet-dcerpc-tapi.h
   M /trunk/epan/dissectors/packet-dcerpc-tkn4int.c
   M /trunk/epan/dissectors/packet-dcerpc-trksvr.c
   M /trunk/epan/dissectors/packet-dcerpc-ubikdisk.c
   M /trunk/epan/dissectors/packet-dcerpc-ubikvote.c
   M /trunk/epan/dissectors/packet-dcerpc-update.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-dcm.h
   M /trunk/epan/dissectors/packet-dcom-dispatch.c
   M /trunk/epan/dissectors/packet-dcom-dispatch.h
   M /trunk/epan/dissectors/packet-dcom-oxid.c
   M /trunk/epan/dissectors/packet-dcom-remact.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom-sysact.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h
   M /trunk/epan/dissectors/packet-ddtp.c
   M /trunk/epan/dissectors/packet-ddtp.h
   M /trunk/epan/dissectors/packet-dec-bpdu.c
   M /trunk/epan/dissectors/packet-dec-dnart.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-diameter.h
   M /trunk/epan/dissectors/packet-dis-enums.c
   M /trunk/epan/dissectors/packet-dis-enums.h
   M /trunk/epan/dissectors/packet-dis-fields.c
   M /trunk/epan/dissectors/packet-dis-fields.h
   M /trunk/epan/dissectors/packet-dis-pdus.c
   M /trunk/epan/dissectors/packet-dis-pdus.h
   M /trunk/epan/dissectors/packet-dis.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-disp.h
   M /trunk/epan/dissectors/packet-dlsw.c
   M /trunk/epan/dissectors/packet-dns.h
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dop.h
   M /trunk/epan/dissectors/packet-dplay.c
   M /trunk/epan/dissectors/packet-drda.c
   M /trunk/epan/dissectors/packet-dsi.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-dsp.h
   M /trunk/epan/dissectors/packet-dtn.c
   M /trunk/epan/dissectors/packet-dtn.h
   M /trunk/epan/dissectors/packet-dtp.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-dvmrp.c
   M /trunk/epan/dissectors/packet-dvmrp.h
   M /trunk/epan/dissectors/packet-e100.c
   M /trunk/epan/dissectors/packet-e164.h
   M /trunk/epan/dissectors/packet-e212.c
   M /trunk/epan/dissectors/packet-e212.h
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-echo.c
   M /trunk/epan/dissectors/packet-eigrp.c
   M /trunk/epan/dissectors/packet-elcom.c
   M /trunk/epan/dissectors/packet-enc.h
   M /trunk/epan/dissectors/packet-enttec.c
   M /trunk/epan/dissectors/packet-epl.c
   M /trunk/epan/dissectors/packet-epmd.c
   M /trunk/epan/dissectors/packet-epmd.h
   M /trunk/epan/dissectors/packet-erldp.c
   M /trunk/epan/dissectors/packet-esis.c
   M /trunk/epan/dissectors/packet-esis.h
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ess.h
   M /trunk/epan/dissectors/packet-etch.c
   M /trunk/epan/dissectors/packet-eth.h
   M /trunk/epan/dissectors/packet-extreme.c
   M /trunk/epan/dissectors/packet-fc.h
   M /trunk/epan/dissectors/packet-fcbls.h
   M /trunk/epan/dissectors/packet-fcct.h
   M /trunk/epan/dissectors/packet-fcdns.h
   M /trunk/epan/dissectors/packet-fcels.h
   M /trunk/epan/dissectors/packet-fcfcs.h
   M /trunk/epan/dissectors/packet-fcfzs.h
   M /trunk/epan/dissectors/packet-fclctl.h
   M /trunk/epan/dissectors/packet-fcp.h
   M /trunk/epan/dissectors/packet-fcsb3.h
   M /trunk/epan/dissectors/packet-fcswils.h
   M /trunk/epan/dissectors/packet-fddi.c
   M /trunk/epan/dissectors/packet-fddi.h
   M /trunk/epan/dissectors/packet-fefd.c
   M /trunk/epan/dissectors/packet-ff.c
   M /trunk/epan/dissectors/packet-ff.h
   M /trunk/epan/dissectors/packet-flip.c
   M /trunk/epan/dissectors/packet-fmp.c
   M /trunk/epan/dissectors/packet-fmp.h
   M /trunk/epan/dissectors/packet-fmp_notify.c
   M /trunk/epan/dissectors/packet-fmtp.c
   M /trunk/epan/dissectors/packet-force10-oui.c
   M /trunk/epan/dissectors/packet-fp_hint.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-fr.h
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-frame.h
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftam.h
   M /trunk/epan/dissectors/packet-ftp.c
   M /trunk/epan/dissectors/packet-fw1.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-giop.h
   M /trunk/epan/dissectors/packet-git.c
   M /trunk/epan/dissectors/packet-glbp.c
   M /trunk/epan/dissectors/packet-gmhdr.c
   M /trunk/epan/dissectors/packet-gmr1_bcch.c
   M /trunk/epan/dissectors/packet-gmr1_common.c
   M /trunk/epan/dissectors/packet-gmr1_common.h
   M /trunk/epan/dissectors/packet-gmr1_dtap.c
   M /trunk/epan/dissectors/packet-gmr1_rr.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-gnm.h
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-gpef.c
   M /trunk/epan/dissectors/packet-gprscdr.c
   M /trunk/epan/dissectors/packet-gprscdr.h
   M /trunk/epan/dissectors/packet-gre.c
   M /trunk/epan/dissectors/packet-gre.h
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-gsm_rlcmac.c
   M /trunk/epan/dissectors/packet-gsm_rlcmac.h
   M /trunk/epan/dissectors/packet-gsm_um.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-gssapi.h
   M /trunk/epan/dissectors/packet-h1.c
   M /trunk/epan/dissectors/packet-h221_nonstd.c
   M /trunk/epan/dissectors/packet-h223.c
   M /trunk/epan/dissectors/packet-h223.h
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h235.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h
   M /trunk/epan/dissectors/packet-h248_10.c
   M /trunk/epan/dissectors/packet-h248_2.c
   M /trunk/epan/dissectors/packet-h248_3gpp.c
   M /trunk/epan/dissectors/packet-h248_7.c
   M /trunk/epan/dissectors/packet-h248_annex_c.c
   M /trunk/epan/dissectors/packet-h248_annex_e.c
   M /trunk/epan/dissectors/packet-h248_q1950.c
   M /trunk/epan/dissectors/packet-h261.c
   M /trunk/epan/dissectors/packet-h263.c
   M /trunk/epan/dissectors/packet-h263.h
   M /trunk/epan/dissectors/packet-h263p.c
   M /trunk/epan/dissectors/packet-h282.c
   M /trunk/epan/dissectors/packet-h283.c
   M /trunk/epan/dissectors/packet-h323.c
   M /trunk/epan/dissectors/packet-h323.h
   M /trunk/epan/dissectors/packet-h450-ros.c
   M /trunk/epan/dissectors/packet-h450-ros.h
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h460.c
   M /trunk/epan/dissectors/packet-h501.c
   M /trunk/epan/dissectors/packet-hci_h4.h
   M /trunk/epan/dissectors/packet-hclnfsd.c
   M /trunk/epan/dissectors/packet-hclnfsd.h
   M /trunk/epan/dissectors/packet-hdcp.h
   M /trunk/epan/dissectors/packet-hdfs.c
   M /trunk/epan/dissectors/packet-hdfsdata.c
   M /trunk/epan/dissectors/packet-hnbap.c
   M /trunk/epan/dissectors/packet-homeplug-av.c
   M /trunk/epan/dissectors/packet-homeplug.c
   M /trunk/epan/dissectors/packet-hsrp.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-http.h
   M /trunk/epan/dissectors/packet-hyperscsi.c
   M /trunk/epan/dissectors/packet-i2c.h
   M /trunk/epan/dissectors/packet-iana-oui.c
   M /trunk/epan/dissectors/packet-icap.c
   M /trunk/epan/dissectors/packet-icmp.c
   M /trunk/epan/dissectors/packet-icmp.h
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-icp.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-idmp.c
   M /trunk/epan/dissectors/packet-idmp.h
   M /trunk/epan/dissectors/packet-idp.c
   M /trunk/epan/dissectors/packet-idp.h
   M /trunk/epan/dissectors/packet-iec104.c
   M /trunk/epan/dissectors/packet-ieee802154.c
   M /trunk/epan/dissectors/packet-ieee802154.h
   M /trunk/epan/dissectors/packet-ieee8021ah.c
   M /trunk/epan/dissectors/packet-ieee8021ah.h
   M /trunk/epan/dissectors/packet-ieee8023.c
   M /trunk/epan/dissectors/packet-ieee8023.h
   M /trunk/epan/dissectors/packet-ieee802a.c
   M /trunk/epan/dissectors/packet-ieee802a.h
   M /trunk/epan/dissectors/packet-igap.c
   M /trunk/epan/dissectors/packet-igap.h
   M /trunk/epan/dissectors/packet-igmp.h
   M /trunk/epan/dissectors/packet-igrp.c
   M /trunk/epan/dissectors/packet-image-png.c
   M /trunk/epan/dissectors/packet-imap.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-imf.h
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-interlink.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ip.h
   M /trunk/epan/dissectors/packet-ipars.c
   M /trunk/epan/dissectors/packet-ipfc.h
   M /trunk/epan/dissectors/packet-ipnet.c
   M /trunk/epan/dissectors/packet-ipoib.c
   M /trunk/epan/dissectors/packet-ipp.c
   M /trunk/epan/dissectors/packet-ipsec-tcp.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipsec.h
   M /trunk/epan/dissectors/packet-ipsi-ctl.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipv6.h
   M /trunk/epan/dissectors/packet-ipvs-syncd.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-ipx.h
   M /trunk/epan/dissectors/packet-ipxwan.c
   M /trunk/epan/dissectors/packet-irc.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-isakmp.h
   M /trunk/epan/dissectors/packet-isdn.c
   M /trunk/epan/dissectors/packet-isis-clv.c
   M /trunk/epan/dissectors/packet-isis-clv.h
   M /trunk/epan/dissectors/packet-isis-hello.c
   M /trunk/epan/dissectors/packet-isis-hello.h
   M /trunk/epan/dissectors/packet-isis-lsp.c
   M /trunk/epan/dissectors/packet-isis-lsp.h
   M /trunk/epan/dissectors/packet-isis-snp.c
   M /trunk/epan/dissectors/packet-isis-snp.h
   M /trunk/epan/dissectors/packet-isis.c
   M /trunk/epan/dissectors/packet-isis.h
   M /trunk/epan/dissectors/packet-isl.c
   M /trunk/epan/dissectors/packet-isl.h
   M /trunk/epan/dissectors/packet-ismacryp.c
   M /trunk/epan/dissectors/packet-jmirror.c
   M /trunk/epan/dissectors/packet-jpeg.c
   M /trunk/epan/dissectors/packet-juniper.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-jxta.h
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-kadm5.c
   M /trunk/epan/dissectors/packet-kdp.c
   M /trunk/epan/dissectors/packet-kdsp.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos.h
   M /trunk/epan/dissectors/packet-kerberos4.c
   M /trunk/epan/dissectors/packet-kingfisher.c
   M /trunk/epan/dissectors/packet-kink.c
   M /trunk/epan/dissectors/packet-kismet.c
   M /trunk/epan/dissectors/packet-klm.c
   M /trunk/epan/dissectors/packet-klm.h
   M /trunk/epan/dissectors/packet-knet.c
   M /trunk/epan/dissectors/packet-kpasswd.c
   M /trunk/epan/dissectors/packet-l1-events.c
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-lapbether.c
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-lapdm.c
   M /trunk/epan/dissectors/packet-lapsat.c
   M /trunk/epan/dissectors/packet-lcsap.c
   M /trunk/epan/dissectors/packet-lcsap.h
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldap.h
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-ldp.h
   M /trunk/epan/dissectors/packet-linx.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-llc.h
   M /trunk/epan/dissectors/packet-lmi.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-logotypecertextn.h
   M /trunk/epan/dissectors/packet-loop.c
   M /trunk/epan/dissectors/packet-lpd.c
   M /trunk/epan/dissectors/packet-lpp.c
   M /trunk/epan/dissectors/packet-lpp.h
   M /trunk/epan/dissectors/packet-lppa.c
   M /trunk/epan/dissectors/packet-lsc.c
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-lte-rrc.h
   M /trunk/epan/dissectors/packet-lwapp.c
   M /trunk/epan/dissectors/packet-lwres.c
   M /trunk/epan/dissectors/packet-m3ap.c
   M /trunk/epan/dissectors/packet-mac-lte-framed.c
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-mac-lte.h
   M /trunk/epan/dissectors/packet-maccontrol.c
   M /trunk/epan/dissectors/packet-media.c
   M /trunk/epan/dissectors/packet-megaco.c
   M /trunk/epan/dissectors/packet-memcache.c
   M /trunk/epan/dissectors/packet-meta.c
   M /trunk/epan/dissectors/packet-mgcp.c
   M /trunk/epan/dissectors/packet-mgcp.h
   M /trunk/epan/dissectors/packet-mime-encap.c
   M /trunk/epan/dissectors/packet-miop.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mms.h
   M /trunk/epan/dissectors/packet-mndp.c
   M /trunk/epan/dissectors/packet-mount.c
   M /trunk/epan/dissectors/packet-mount.h
   M /trunk/epan/dissectors/packet-mp2t.c
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-mpeg-sect.h
   M /trunk/epan/dissectors/packet-mpeg1.c
   M /trunk/epan/dissectors/packet-mpls.c
   M /trunk/epan/dissectors/packet-mpls.h
   M /trunk/epan/dissectors/packet-mq-pcf.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mq.h
   M /trunk/epan/dissectors/packet-mrdisc.c
   M /trunk/epan/dissectors/packet-mrdisc.h
   M /trunk/epan/dissectors/packet-ms-mms.c
   M /trunk/epan/dissectors/packet-msn-messenger.c
   M /trunk/epan/dissectors/packet-msnip.c
   M /trunk/epan/dissectors/packet-msnip.h
   M /trunk/epan/dissectors/packet-msproxy.c
   M /trunk/epan/dissectors/packet-msrp.h
   M /trunk/epan/dissectors/packet-mux27010.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-nas_eps.c
   M /trunk/epan/dissectors/packet-nat-pmp.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-nbipx.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ncp-int.h
   M /trunk/epan/dissectors/packet-ncp-nmas.c
   M /trunk/epan/dissectors/packet-ncp-nmas.h
   M /trunk/epan/dissectors/packet-ncp-sss.c
   M /trunk/epan/dissectors/packet-ncp-sss.h
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/epan/dissectors/packet-ncs.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-ndmp.h
   M /trunk/epan/dissectors/packet-ndp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-ndps.h
   M /trunk/epan/dissectors/packet-netanalyzer.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-netbios.h
   M /trunk/epan/dissectors/packet-netsync.c
   M /trunk/epan/dissectors/packet-nflog.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-nfs.h
   M /trunk/epan/dissectors/packet-nfsacl.c
   M /trunk/epan/dissectors/packet-nfsauth.c
   M /trunk/epan/dissectors/packet-nhrp.c
   M /trunk/epan/dissectors/packet-nhrp.h
   M /trunk/epan/dissectors/packet-nisplus.c
   M /trunk/epan/dissectors/packet-nisplus.h
   M /trunk/epan/dissectors/packet-nlm.c
   M /trunk/epan/dissectors/packet-nlm.h
   M /trunk/epan/dissectors/packet-nlsp.c
   M /trunk/epan/dissectors/packet-nntp.c
   M /trunk/epan/dissectors/packet-ns_cert_exts.c
   M /trunk/epan/dissectors/packet-nsrp.c
   M /trunk/epan/dissectors/packet-nt-oui.c
   M /trunk/epan/dissectors/packet-nt-tpcp.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-ntlmssp.h
   M /trunk/epan/dissectors/packet-null.c
   M /trunk/epan/dissectors/packet-null.h
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-ocsp.h
   M /trunk/epan/dissectors/packet-oicq.c
   M /trunk/epan/dissectors/packet-opensafety.c
   M /trunk/epan/dissectors/packet-openwire.c
   M /trunk/epan/dissectors/packet-osi-options.c
   M /trunk/epan/dissectors/packet-osi-options.h
   M /trunk/epan/dissectors/packet-osi.c
   M /trunk/epan/dissectors/packet-osi.h
   M /trunk/epan/dissectors/packet-ositp.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-p1.c
   M /trunk/epan/dissectors/packet-p1.h
   M /trunk/epan/dissectors/packet-p22.c
   M /trunk/epan/dissectors/packet-p22.h
   M /trunk/epan/dissectors/packet-p7.c
   M /trunk/epan/dissectors/packet-p7.h
   M /trunk/epan/dissectors/packet-p772.c
   M /trunk/epan/dissectors/packet-p772.h
   M /trunk/epan/dissectors/packet-packetlogger.c
   M /trunk/epan/dissectors/packet-pagp.c
   M /trunk/epan/dissectors/packet-parlay.c
   M /trunk/epan/dissectors/packet-pcap.c
   M /trunk/epan/dissectors/packet-pcep.c
   M /trunk/epan/dissectors/packet-pcli.c
   M /trunk/epan/dissectors/packet-pcnfsd.c
   M /trunk/epan/dissectors/packet-pcnfsd.h
   M /trunk/epan/dissectors/packet-pcp.c
   M /trunk/epan/dissectors/packet-pdcp-lte.c
   M /trunk/epan/dissectors/packet-pdcp-lte.h
   M /trunk/epan/dissectors/packet-peekremote.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-pim.h
   M /trunk/epan/dissectors/packet-pkcs1.c
   M /trunk/epan/dissectors/packet-pkcs1.h
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkcs12.h
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkinit.h
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.h
   M /trunk/epan/dissectors/packet-pkixac.c
   M /trunk/epan/dissectors/packet-pkixac.h
   M /trunk/epan/dissectors/packet-pkixproxy.c
   M /trunk/epan/dissectors/packet-pkixproxy.h
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-pkixqualified.h
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-pkixtsp.h
   M /trunk/epan/dissectors/packet-pktc.c
   M /trunk/epan/dissectors/packet-pktc.h
   M /trunk/epan/dissectors/packet-pop.c
   M /trunk/epan/dissectors/packet-portmap.c
   M /trunk/epan/dissectors/packet-portmap.h
   M /trunk/epan/dissectors/packet-ppi.h
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-ppp.h
   M /trunk/epan/dissectors/packet-pppoe.c
   M /trunk/epan/dissectors/packet-pptp.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-pres.h
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-pw-common.h
   M /trunk/epan/dissectors/packet-q2931.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-q931.h
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-q932.h
   M /trunk/epan/dissectors/packet-q933.c
   M /trunk/epan/dissectors/packet-qllc.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-qsig.h
   M /trunk/epan/dissectors/packet-quake.c
   M /trunk/epan/dissectors/packet-quake2.c
   M /trunk/epan/dissectors/packet-quake3.c
   M /trunk/epan/dissectors/packet-quakeworld.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-radius.h
   M /trunk/epan/dissectors/packet-radius_packetcable.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-ranap.h
   M /trunk/epan/dissectors/packet-raw.c
   M /trunk/epan/dissectors/packet-raw.h
   M /trunk/epan/dissectors/packet-rdp.c
   M /trunk/epan/dissectors/packet-rdt.c
   M /trunk/epan/dissectors/packet-rdt.h
   M /trunk/epan/dissectors/packet-redback.c
   M /trunk/epan/dissectors/packet-redbackli.c
   M /trunk/epan/dissectors/packet-reload.h
   M /trunk/epan/dissectors/packet-retix-bpdu.c
   M /trunk/epan/dissectors/packet-rfc2190.c
   M /trunk/epan/dissectors/packet-rfid-felica.c
   M /trunk/epan/dissectors/packet-rfid-mifare.c
   M /trunk/epan/dissectors/packet-rfid-pn532.c
   M /trunk/epan/dissectors/packet-rgmp.c
   M /trunk/epan/dissectors/packet-rgmp.h
   M /trunk/epan/dissectors/packet-rip.c
   M /trunk/epan/dissectors/packet-ripng.c
   M /trunk/epan/dissectors/packet-rlc-lte.c
   M /trunk/epan/dissectors/packet-rlc-lte.h
   M /trunk/epan/dissectors/packet-rlc.c
   M /trunk/epan/dissectors/packet-rlc.h
   M /trunk/epan/dissectors/packet-rlogin.c
   M /trunk/epan/dissectors/packet-rmp.c
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-rohc.c
   M /trunk/epan/dissectors/packet-rohc.h
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-ros.h
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rpc.h
   M /trunk/epan/dissectors/packet-rpcap.c
   M /trunk/epan/dissectors/packet-rpl.c
   M /trunk/epan/dissectors/packet-rquota.c
   M /trunk/epan/dissectors/packet-rquota.h
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrc.h
   M /trunk/epan/dissectors/packet-rrlp.c
   M /trunk/epan/dissectors/packet-rsl.c
   M /trunk/epan/dissectors/packet-rstat.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-rsvp.h
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtcp.h
   M /trunk/epan/dissectors/packet-rtmpt.c
   M /trunk/epan/dissectors/packet-rtnet.c
   M /trunk/epan/dissectors/packet-rtp-events.c
   M /trunk/epan/dissectors/packet-rtp-events.h
   M /trunk/epan/dissectors/packet-rtp-midi.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtp.h
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-rtse.h
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-rtsp.h
   M /trunk/epan/dissectors/packet-rua.c
   M /trunk/epan/dissectors/packet-rudp.c
   M /trunk/epan/dissectors/packet-rwall.c
   M /trunk/epan/dissectors/packet-rwall.h
   M /trunk/epan/dissectors/packet-rx.c
   M /trunk/epan/dissectors/packet-rx.h
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-s1ap.h
   M /trunk/epan/dissectors/packet-s5066.c
   M /trunk/epan/dissectors/packet-sabp.c
   M /trunk/epan/dissectors/packet-sadmind.c
   M /trunk/epan/dissectors/packet-sap.c
   M /trunk/epan/dissectors/packet-sbc-ap.c
   M /trunk/epan/dissectors/packet-scop.c
   M /trunk/epan/dissectors/packet-scsi-mmc.c
   M /trunk/epan/dissectors/packet-scsi-mmc.h
   M /trunk/epan/dissectors/packet-scsi-osd.c
   M /trunk/epan/dissectors/packet-scsi-osd.h
   M /trunk/epan/dissectors/packet-scsi-sbc.c
   M /trunk/epan/dissectors/packet-scsi-sbc.h
   M /trunk/epan/dissectors/packet-scsi-smc.c
   M /trunk/epan/dissectors/packet-scsi-smc.h
   M /trunk/epan/dissectors/packet-scsi-ssc.c
   M /trunk/epan/dissectors/packet-scsi-ssc.h
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-scsi.h
   M /trunk/epan/dissectors/packet-sctp.h
   M /trunk/epan/dissectors/packet-sdlc.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-sdp.h
   M /trunk/epan/dissectors/packet-sebek.c
   M /trunk/epan/dissectors/packet-sercosiii.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-ses.h
   M /trunk/epan/dissectors/packet-sgsap.c
   M /trunk/epan/dissectors/packet-simulcrypt.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-sip.h
   M /trunk/epan/dissectors/packet-sipfrag.c
   M /trunk/epan/dissectors/packet-skinny.h
   M /trunk/epan/dissectors/packet-slimp3.c
   M /trunk/epan/dissectors/packet-sll.c
   M /trunk/epan/dissectors/packet-sll.h
   M /trunk/epan/dissectors/packet-slowprotocols.c
   M /trunk/epan/dissectors/packet-smb-browse.c
   M /trunk/epan/dissectors/packet-smb-browse.h
   M /trunk/epan/dissectors/packet-smb-common.c
   M /trunk/epan/dissectors/packet-smb-common.h
   M /trunk/epan/dissectors/packet-smb-logon.c
   M /trunk/epan/dissectors/packet-smb-mailslot.c
   M /trunk/epan/dissectors/packet-smb-mailslot.h
   M /trunk/epan/dissectors/packet-smb-pipe.c
   M /trunk/epan/dissectors/packet-smb-pipe.h
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c
   M /trunk/epan/dissectors/packet-smb-sidsnooping.h
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h
   M /trunk/epan/dissectors/packet-smb2.c
   M /trunk/epan/dissectors/packet-smb2.h
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-smrse.h
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-snaeth.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h
   M /trunk/epan/dissectors/packet-socketcan.c
   M /trunk/epan/dissectors/packet-socks.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-spp.c
   M /trunk/epan/dissectors/packet-spray.c
   M /trunk/epan/dissectors/packet-spray.h
   M /trunk/epan/dissectors/packet-sqloracle.c
   M /trunk/epan/dissectors/packet-sqloracle.h
   M /trunk/epan/dissectors/packet-srp.c
   M /trunk/epan/dissectors/packet-srvloc.c
   M /trunk/epan/dissectors/packet-sscf-nni.c
   M /trunk/epan/dissectors/packet-sscop.c
   M /trunk/epan/dissectors/packet-sscop.h
   M /trunk/epan/dissectors/packet-ssh.c
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.h
   M /trunk/epan/dissectors/packet-starteam.c
   M /trunk/epan/dissectors/packet-stat-notify.c
   M /trunk/epan/dissectors/packet-stat-notify.h
   M /trunk/epan/dissectors/packet-stat.c
   M /trunk/epan/dissectors/packet-stat.h
   M /trunk/epan/dissectors/packet-sv.c
   M /trunk/epan/dissectors/packet-sv.h
   M /trunk/epan/dissectors/packet-symantec.c
   M /trunk/epan/dissectors/packet-syslog.c
   M /trunk/epan/dissectors/packet-t124.c
   M /trunk/epan/dissectors/packet-t124.h
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-t125.h
   M /trunk/epan/dissectors/packet-t30.c
   M /trunk/epan/dissectors/packet-t30.h
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-t38.h
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-tacacs.h
   M /trunk/epan/dissectors/packet-tango.c
   M /trunk/epan/dissectors/packet-tapa.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcp.h
   M /trunk/epan/dissectors/packet-teamspeak2.c
   M /trunk/epan/dissectors/packet-teimanagement.c
   M /trunk/epan/dissectors/packet-teklink.c
   M /trunk/epan/dissectors/packet-telkonet.c
   M /trunk/epan/dissectors/packet-telnet.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tetra.c
   M /trunk/epan/dissectors/packet-tetra.h
   M /trunk/epan/dissectors/packet-text-media.c
   M /trunk/epan/dissectors/packet-tftp.c
   M /trunk/epan/dissectors/packet-time.c
   M /trunk/epan/dissectors/packet-tipc.c
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-tn3270.h
   M /trunk/epan/dissectors/packet-tn5250.c
   M /trunk/epan/dissectors/packet-tn5250.h
   M /trunk/epan/dissectors/packet-tnef.c
   M /trunk/epan/dissectors/packet-tns.c
   M /trunk/epan/dissectors/packet-tns.h
   M /trunk/epan/dissectors/packet-tpkt.c
   M /trunk/epan/dissectors/packet-tpkt.h
   M /trunk/epan/dissectors/packet-tpncp.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/dissectors/packet-tr.h
   M /trunk/epan/dissectors/packet-trmac.c
   M /trunk/epan/dissectors/packet-tsp.c
   M /trunk/epan/dissectors/packet-tuxedo.c
   M /trunk/epan/dissectors/packet-tzsp.c
   M /trunk/epan/dissectors/packet-udld.c
   M /trunk/epan/dissectors/packet-udp.h
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h
   M /trunk/epan/dissectors/packet-umts_mac.c
   M /trunk/epan/dissectors/packet-umts_mac.h
   M /trunk/epan/dissectors/packet-usb-ccid.c
   M /trunk/epan/dissectors/packet-usb-hid.c
   M /trunk/epan/dissectors/packet-usb-hid.h
   M /trunk/epan/dissectors/packet-usb-masstorage.c
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-usb.h
   M /trunk/epan/dissectors/packet-user_encap.c
   M /trunk/epan/dissectors/packet-uts.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/dissectors/packet-v52.c
   M /trunk/epan/dissectors/packet-v5dl.c
   M /trunk/epan/dissectors/packet-v5ef.c
   M /trunk/epan/dissectors/packet-vines.c
   M /trunk/epan/dissectors/packet-vines.h
   M /trunk/epan/dissectors/packet-vlan.c
   M /trunk/epan/dissectors/packet-vlan.h
   M /trunk/epan/dissectors/packet-vmlab.c
   M /trunk/epan/dissectors/packet-vrrp.c
   M /trunk/epan/dissectors/packet-vssmonitoring.c
   M /trunk/epan/dissectors/packet-vtp.c
   M /trunk/epan/dissectors/packet-vuze-dht.c
   M /trunk/epan/dissectors/packet-vxi11.c
   M /trunk/epan/dissectors/packet-vxlan.c
   M /trunk/epan/dissectors/packet-wai.c
   M /trunk/epan/dissectors/packet-wap.c
   M /trunk/epan/dissectors/packet-wap.h
   M /trunk/epan/dissectors/packet-wassp.c
   M /trunk/epan/dissectors/packet-wccp.c
   M /trunk/epan/dissectors/packet-wccp.h
   M /trunk/epan/dissectors/packet-wcp.c
   M /trunk/epan/dissectors/packet-wfleet-hdlc.c
   M /trunk/epan/dissectors/packet-who.c
   M /trunk/epan/dissectors/packet-wifi-p2p.c
   M /trunk/epan/dissectors/packet-wifi-p2p.h
   M /trunk/epan/dissectors/packet-windows-common.c
   M /trunk/epan/dissectors/packet-windows-common.h
   M /trunk/epan/dissectors/packet-winsrepl.c
   M /trunk/epan/dissectors/packet-wlancertextn.c
   M /trunk/epan/dissectors/packet-wlancertextn.h
   M /trunk/epan/dissectors/packet-wps.c
   M /trunk/epan/dissectors/packet-wps.h
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-wsp.h
   M /trunk/epan/dissectors/packet-wtls.c
   M /trunk/epan/dissectors/packet-wtls.h
   M /trunk/epan/dissectors/packet-wtp.c
   M /trunk/epan/dissectors/packet-wtp.h
   M /trunk/epan/dissectors/packet-x224.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-x29.c
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509ce.h
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509if.h
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h
   M /trunk/epan/dissectors/packet-xdmcp.c
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/epan/dissectors/packet-xmpp-conference.c
   M /trunk/epan/dissectors/packet-xmpp-conference.h
   M /trunk/epan/dissectors/packet-xmpp-core.c
   M /trunk/epan/dissectors/packet-xmpp-core.h
   M /trunk/epan/dissectors/packet-xmpp-gtalk.c
   M /trunk/epan/dissectors/packet-xmpp-gtalk.h
   M /trunk/epan/dissectors/packet-xmpp-jingle.c
   M /trunk/epan/dissectors/packet-xmpp-jingle.h
   M /trunk/epan/dissectors/packet-xmpp-other.c
   M /trunk/epan/dissectors/packet-xmpp-other.h
   M /trunk/epan/dissectors/packet-xmpp-utils.c
   M /trunk/epan/dissectors/packet-xmpp-utils.h
   M /trunk/epan/dissectors/packet-xmpp.c
   M /trunk/epan/dissectors/packet-xmpp.h
   M /trunk/epan/dissectors/packet-xot.c
   M /trunk/epan/dissectors/packet-xyplex.c
   M /trunk/epan/dissectors/packet-yhoo.c
   M /trunk/epan/dissectors/packet-ypbind.c
   M /trunk/epan/dissectors/packet-ypbind.h
   M /trunk/epan/dissectors/packet-yppasswd.c
   M /trunk/epan/dissectors/packet-yppasswd.h
   M /trunk/epan/dissectors/packet-ypserv.c
   M /trunk/epan/dissectors/packet-ypserv.h
   M /trunk/epan/dissectors/packet-ypxfr.c
   M /trunk/epan/dissectors/packet-ypxfr.h
   M /trunk/epan/dissectors/packet-zbee-aps.c
   M /trunk/epan/dissectors/packet-zbee-aps.h
   M /trunk/epan/dissectors/packet-zbee-nwk.c
   M /trunk/epan/dissectors/packet-zbee-security.c
   M /trunk/epan/dissectors/packet-zbee-security.h
   M /trunk/epan/dissectors/packet-zbee-zcl.c
   M /trunk/epan/dissectors/packet-zbee-zcl.h
   M /trunk/epan/dissectors/packet-zbee-zdp-binding.c
   M /trunk/epan/dissectors/packet-zbee-zdp-discovery.c
   M /trunk/epan/dissectors/packet-zbee-zdp-management.c
   M /trunk/epan/dissectors/packet-zbee-zdp.c
   M /trunk/epan/dissectors/packet-zbee-zdp.h
   M /trunk/epan/dissectors/packet-zbee.h
   M /trunk/epan/dissectors/packet-zebra.c
   M /trunk/epan/dissectors/packet-zep.c
   M /trunk/epan/dissectors/packet-zep.h
   M /trunk/epan/dissectors/packet-ziop.c
   M /trunk/epan/dissectors/packet-ziop.h
   M /trunk/epan/dissectors/packet-zrtp.c
   M /trunk/epan/dissectors/pidl/Makefile.am
   M /trunk/epan/dissectors/rpc_defrag.h
   M /trunk/epan/eap.h
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h
   M /trunk/epan/epan.c
   M /trunk/epan/epan.h
   M /trunk/epan/epan_dissect.h
   M /trunk/epan/etypes.h
   M /trunk/epan/ex-opt.c
   M /trunk/epan/ex-opt.h
   M /trunk/epan/exceptions.h
   M /trunk/epan/exntest.c
   M /trunk/epan/expert.c
   M /trunk/epan/expert.h
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/epan/filter_expressions.c
   M /trunk/epan/filter_expressions.h
   M /trunk/epan/follow.c
   M /trunk/epan/follow.h
   M /trunk/epan/frame_data.c
   M /trunk/epan/frame_data.h
   M /trunk/epan/frequency-utils.c
   M /trunk/epan/frequency-utils.h
   M /trunk/epan/ftypes/Makefile.am
   M /trunk/epan/ftypes/Makefile.common
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/ftypes/ftype-double.c
   M /trunk/epan/ftypes/ftype-guid.c
   M /trunk/epan/ftypes/ftype-integer.c
   M /trunk/epan/ftypes/ftype-ipv4.c
   M /trunk/epan/ftypes/ftype-ipv6.c
   M /trunk/epan/ftypes/ftype-none.c
   M /trunk/epan/ftypes/ftype-pcre.c
   M /trunk/epan/ftypes/ftype-string.c
   M /trunk/epan/ftypes/ftype-time.c
   M /trunk/epan/ftypes/ftype-tvbuff.c
   M /trunk/epan/ftypes/ftypes-int.h
   M /trunk/epan/ftypes/ftypes.c
   M /trunk/epan/ftypes/ftypes.h
   M /trunk/epan/funnel.c
   M /trunk/epan/funnel.h
   M /trunk/epan/garrayfix.h
   M /trunk/epan/gcp.c
   M /trunk/epan/gcp.h
   M /trunk/epan/geoip_db.c
   M /trunk/epan/geoip_db.h
   M /trunk/epan/golay.c
   M /trunk/epan/golay.h
   M /trunk/epan/greproto.h
   M /trunk/epan/guid-utils.c
   M /trunk/epan/guid-utils.h
   M /trunk/epan/h225-persistentdata.c
   M /trunk/epan/h225-persistentdata.h
   M /trunk/epan/iana_snap_pid.h
   M /trunk/epan/iax2_codec_type.h
   M /trunk/epan/ip_opts.h
   M /trunk/epan/ipproto.c
   M /trunk/epan/ipproto.h
   M /trunk/epan/ipv4.c
   M /trunk/epan/ipv4.h
   M /trunk/epan/ipv6-utils.h
   M /trunk/epan/lapd_sapi.h
   M /trunk/epan/llcsaps.h
   M /trunk/epan/next_tvb.c
   M /trunk/epan/next_tvb.h
   M /trunk/epan/nlpid.h
   M /trunk/epan/nstime.h
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h
   M /trunk/epan/osi-utils.c
   M /trunk/epan/osi-utils.h
   M /trunk/epan/oui.h
   M /trunk/epan/packet_info.h
   M /trunk/epan/params.h
   M /trunk/epan/pint.h
   M /trunk/epan/plugins.c
   M /trunk/epan/plugins.h
   M /trunk/epan/ppptypes.h
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/epan/proto.h
   M /trunk/epan/ptvcursor.h
   M /trunk/epan/range.c
   M /trunk/epan/range.h
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h
   M /trunk/epan/reassemble_test.c
   M /trunk/epan/report_err.c
   M /trunk/epan/report_err.h
   M /trunk/epan/req_resp_hdrs.c
   M /trunk/epan/req_resp_hdrs.h
   M /trunk/epan/rtp_pt.h
   M /trunk/epan/sctpppids.h
   M /trunk/epan/slab.h
   M /trunk/epan/sminmpec.h
   M /trunk/epan/sna-utils.c
   M /trunk/epan/sna-utils.h
   M /trunk/epan/stat_cmd_args.c
   M /trunk/epan/stat_cmd_args.h
   M /trunk/epan/stats_tree.c
   M /trunk/epan/stats_tree.h
   M /trunk/epan/stats_tree_priv.h
   M /trunk/epan/stream.c
   M /trunk/epan/stream.h
   M /trunk/epan/strutil.c
   M /trunk/epan/strutil.h
   M /trunk/epan/t35.c
   M /trunk/epan/t35.h
   M /trunk/epan/tap-voip.h
   M /trunk/epan/tap.c
   M /trunk/epan/tap.h
   M /trunk/epan/tcap-persistentdata.c
   M /trunk/epan/tcap-persistentdata.h
   M /trunk/epan/time_fmt.h
   M /trunk/epan/timestamp.c
   M /trunk/epan/timestamp.h
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h
   M /trunk/epan/tpg.c
   M /trunk/epan/tpg.h
   M /trunk/epan/tvbtest.c
   M /trunk/epan/tvbuff-int.h
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h
   M /trunk/epan/uat-int.h
   M /trunk/epan/uat.c
   M /trunk/epan/uat.h
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h
   M /trunk/epan/wslua/CMakeLists.txt
   M /trunk/epan/wslua/Makefile.am
   M /trunk/epan/wslua/console.lua
   M /trunk/epan/wslua/dtd_gen.lua
   M /trunk/epan/wslua/init_wslua.c
   M /trunk/epan/wslua/make-init-lua.pl
   M /trunk/epan/wslua/make-reg.pl
   M /trunk/epan/wslua/make-taps.pl
   M /trunk/epan/wslua/taps
   M /trunk/epan/wslua/template-init.lua
   M /trunk/epan/wslua/wslua.h
   M /trunk/epan/wslua/wslua_dumper.c
   M /trunk/epan/wslua/wslua_field.c
   M /trunk/epan/wslua/wslua_gui.c
   M /trunk/epan/wslua/wslua_listener.c
   M /trunk/epan/wslua/wslua_pinfo.c
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tree.c
   M /trunk/epan/wslua/wslua_tvb.c
   M /trunk/epan/wslua/wslua_util.c
   M /trunk/epan/wspython/CMakeLists.txt
   M /trunk/epan/wspython/Makefile.am
   M /trunk/epan/wspython/register-dissector.py
   M /trunk/epan/wspython/wspy_dissector.py
   M /trunk/epan/wspython/wspy_libws.py
   M /trunk/epan/wspython/wspy_proto.c
   M /trunk/epan/wspython/wspy_proto.h
   M /trunk/epan/wspython/wspy_register.c
   M /trunk/epan/wspython/wspy_register.h
   M /trunk/epan/x264_prt_id.h
   M /trunk/epan/xdlc.c
   M /trunk/epan/xdlc.h
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/fileset.c
   M /trunk/fileset.h
   M /trunk/filters.c
   M /trunk/filters.h
   M /trunk/frame_data_sequence.c
   M /trunk/frame_data_sequence.h
   M /trunk/g711.h
   M /trunk/globals.h
   M /trunk/help/Makefile.am
   M /trunk/iface_monitor.c
   M /trunk/iface_monitor.h
   M /trunk/isprint.h
   M /trunk/log.h
   M /trunk/manuf
   M /trunk/manuf.tmpl
   M /trunk/merge.h
   M /trunk/mkcap.c
   M /trunk/packaging/u3/tools/sysdep.c
   M /trunk/packaging/u3/tools/sysdep.h
   M /trunk/packaging/u3/tools/utest.c
   M /trunk/packaging/u3/tools/uuid.c
   M /trunk/packaging/u3/tools/uuid.h
   M /trunk/packaging/u3/win32/u3util.c
   M /trunk/packaging/u3/win32/wireshark.bat
   M /trunk/packet-range.c
   M /trunk/packet-range.h
   M /trunk/pcapio.c
   M /trunk/pcapio.h
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/asn1/CMakeLists.txt
   M /trunk/plugins/asn1/Makefile.am
   M /trunk/plugins/asn1/Makefile.common
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/docsis/CMakeLists.txt
   M /trunk/plugins/docsis/Makefile.am
   M /trunk/plugins/docsis/Makefile.common
   M /trunk/plugins/easy_codec/Makefile.common
   M /trunk/plugins/ethercat/CMakeLists.txt
   M /trunk/plugins/ethercat/Makefile.am
   M /trunk/plugins/ethercat/Makefile.common
   M /trunk/plugins/ethercat/packet-ams.c
   M /trunk/plugins/ethercat/packet-ams.h
   M /trunk/plugins/ethercat/packet-ecatmb.c
   M /trunk/plugins/ethercat/packet-ecatmb.h
   M /trunk/plugins/ethercat/packet-esl.c
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c
   M /trunk/plugins/ethercat/packet-ethercat-datagram.h
   M /trunk/plugins/ethercat/packet-ethercat-frame.c
   M /trunk/plugins/ethercat/packet-ethercat-frame.h
   M /trunk/plugins/ethercat/packet-ioraw.c
   M /trunk/plugins/ethercat/packet-ioraw.h
   M /trunk/plugins/ethercat/packet-nv.c
   M /trunk/plugins/ethercat/packet-nv.h
   M /trunk/plugins/gryphon/CMakeLists.txt
   M /trunk/plugins/gryphon/Makefile.am
   M /trunk/plugins/gryphon/Makefile.common
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/plugins/gryphon/packet-gryphon.h
   M /trunk/plugins/irda/CMakeLists.txt
   M /trunk/plugins/irda/Makefile.am
   M /trunk/plugins/irda/Makefile.common
   M /trunk/plugins/m2m/CMakeLists.txt
   M /trunk/plugins/m2m/Makefile.am
   M /trunk/plugins/m2m/Makefile.common
   M /trunk/plugins/m2m/moduleinfo.h
   M /trunk/plugins/m2m/packet-m2m.c
   M /trunk/plugins/m2m/wimax_tlv.c
   M /trunk/plugins/mate/CMakeLists.txt
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/mate/Makefile.common
   M /trunk/plugins/opcua/CMakeLists.txt
   M /trunk/plugins/opcua/Makefile.am
   M /trunk/plugins/opcua/Makefile.common
   M /trunk/plugins/profinet/CMakeLists.txt
   M /trunk/plugins/profinet/Makefile.am
   M /trunk/plugins/profinet/Makefile.common
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c
   M /trunk/plugins/profinet/packet-dcom-cba-acco.c
   M /trunk/plugins/profinet/packet-dcom-cba-acco.h
   M /trunk/plugins/profinet/packet-dcom-cba.c
   M /trunk/plugins/profinet/packet-pn-dcp.c
   M /trunk/plugins/profinet/packet-pn-rt.c
   M /trunk/plugins/profinet/packet-pn.c
   M /trunk/plugins/profinet/packet-pn.h
   M /trunk/plugins/stats_tree/CMakeLists.txt
   M /trunk/plugins/stats_tree/Makefile.am
   M /trunk/plugins/stats_tree/Makefile.common
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c
   M /trunk/plugins/stats_tree/pinfo_stats_tree.h
   M /trunk/plugins/tpg/CMakeLists.txt
   M /trunk/plugins/tpg/Makefile.am
   M /trunk/plugins/tpg/http.tpg
   M /trunk/plugins/unistim/CMakeLists.txt
   M /trunk/plugins/unistim/Makefile.am
   M /trunk/plugins/unistim/Makefile.common
   M /trunk/plugins/unistim/audio.h
   M /trunk/plugins/unistim/basic.h
   M /trunk/plugins/unistim/broadcast.h
   M /trunk/plugins/unistim/defines.h
   M /trunk/plugins/unistim/display.h
   M /trunk/plugins/unistim/expansion.h
   M /trunk/plugins/unistim/key.h
   M /trunk/plugins/unistim/network.h
   M /trunk/plugins/unistim/packet-unistim.c
   M /trunk/plugins/unistim/packet-unistim.h
   M /trunk/plugins/unistim/uftp.h
   M /trunk/plugins/wimax/CMakeLists.txt
   M /trunk/plugins/wimax/Makefile.am
   M /trunk/plugins/wimax/Makefile.common
   M /trunk/plugins/wimax/crc.c
   M /trunk/plugins/wimax/crc.h
   M /trunk/plugins/wimax/crc_data.c
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c
   M /trunk/plugins/wimax/mac_hd_type1_decoder.c
   M /trunk/plugins/wimax/mac_hd_type2_decoder.c
   M /trunk/plugins/wimax/mac_mgmt_msg_decoder.c
   M /trunk/plugins/wimax/msg_aas_beam.c
   M /trunk/plugins/wimax/msg_aas_fbck.c
   M /trunk/plugins/wimax/msg_arq.c
   M /trunk/plugins/wimax/msg_clk_cmp.c
   M /trunk/plugins/wimax/msg_dcd.c
   M /trunk/plugins/wimax/msg_dlmap.c
   M /trunk/plugins/wimax/msg_dreg.c
   M /trunk/plugins/wimax/msg_dsa.c
   M /trunk/plugins/wimax/msg_dsc.c
   M /trunk/plugins/wimax/msg_dsd.c
   M /trunk/plugins/wimax/msg_dsx_rvd.c
   M /trunk/plugins/wimax/msg_fpc.c
   M /trunk/plugins/wimax/msg_pkm.c
   M /trunk/plugins/wimax/msg_pmc.c
   M /trunk/plugins/wimax/msg_prc_lt_ctrl.c
   M /trunk/plugins/wimax/msg_reg_req.c
   M /trunk/plugins/wimax/msg_reg_rsp.c
   M /trunk/plugins/wimax/msg_rep.c
   M /trunk/plugins/wimax/msg_res_cmd.c
   M /trunk/plugins/wimax/msg_rng_req.c
   M /trunk/plugins/wimax/msg_rng_rsp.c
   M /trunk/plugins/wimax/msg_sbc.c
   M /trunk/plugins/wimax/msg_ucd.c
   M /trunk/plugins/wimax/msg_ulmap.c
   M /trunk/plugins/wimax/packet-wmx.c
   M /trunk/plugins/wimax/wimax_bits.h
   M /trunk/plugins/wimax/wimax_cdma_code_decoder.c
   M /trunk/plugins/wimax/wimax_compact_dlmap_ie_decoder.c
   M /trunk/plugins/wimax/wimax_compact_ulmap_ie_decoder.c
   M /trunk/plugins/wimax/wimax_fch_decoder.c
   M /trunk/plugins/wimax/wimax_ffb_decoder.c
   M /trunk/plugins/wimax/wimax_hack_decoder.c
   M /trunk/plugins/wimax/wimax_harq_map_decoder.c
   M /trunk/plugins/wimax/wimax_mac.h
   M /trunk/plugins/wimax/wimax_pdu_decoder.c
   M /trunk/plugins/wimax/wimax_phy_attributes_decoder.c
   M /trunk/plugins/wimax/wimax_tlv.c
   M /trunk/plugins/wimax/wimax_tlv.h
   M /trunk/plugins/wimax/wimax_utils.c
   M /trunk/plugins/wimax/wimax_utils.h
   M /trunk/plugins/wimaxasncp/CMakeLists.txt
   M /trunk/plugins/wimaxasncp/Makefile.am
   M /trunk/plugins/wimaxasncp/Makefile.common
   M /trunk/print.c
   M /trunk/print.h
   M /trunk/proto_hier_stats.c
   M /trunk/proto_hier_stats.h
   M /trunk/ps.h
   M /trunk/randpkt.c
   M /trunk/rawshark.c
   M /trunk/recent.c
   M /trunk/register.h
   M /trunk/ringbuffer.c
   M /trunk/ringbuffer.h
   M /trunk/summary.c
   M /trunk/summary.h
   M /trunk/sync_pipe.h
   M /trunk/sync_pipe_write.c
   M /trunk/tap-megaco-common.c
   M /trunk/tap-megaco-common.h
   M /trunk/tap-rtp-common.c
   M /trunk/tap-rtp-common.h
   M /trunk/tempfile.c
   M /trunk/tempfile.h
   M /trunk/test/config.sh
   M /trunk/test/suite-capture.sh
   M /trunk/test/suite-clopts.sh
   M /trunk/test/suite-decryption.sh
   M /trunk/test/suite-fileformats.sh
   M /trunk/test/suite-io.sh
   M /trunk/test/suite-unittests.sh
   M /trunk/test/test-backend.sh
   M /trunk/test/test.sh
   M /trunk/text2pcap.c
   M /trunk/text2pcap.h
   M /trunk/timestats.c
   M /trunk/timestats.h
   M /trunk/tools/Makefile.am
   M /trunk/tools/WiresharkXML.py
   M /trunk/tools/checkfiltername.pl
   M /trunk/tools/checkhf.pl
   M /trunk/tools/dfilter-test.py
   M /trunk/tools/lemon/CMakeLists.txt
   M /trunk/tools/lemon/Makefile.am
   M /trunk/tools/make-services.pl
   M /trunk/tools/make-sminmpec.pl
   M /trunk/tools/msnchat
   M /trunk/tools/ncp2222.py
   M /trunk/tools/netscreen2dump.py
   M /trunk/tools/rdps.py
   M /trunk/tools/tpg/Makefile.am
   M /trunk/tools/tpg/V2P.pm
   M /trunk/tools/tpg/tpg.pl
   M /trunk/tools/tpg/tpg.yp
   M /trunk/tools/wireshark_gen.py
   M /trunk/trigcap.c
   M /trunk/tshark.c
   M /trunk/u3.c
   M /trunk/u3.h
   M /trunk/ui/Makefile.am
   M /trunk/ui/Makefile.common
   M /trunk/ui/alert_box.c
   M /trunk/ui/alert_box.h
   M /trunk/ui/cli/Makefile.am
   M /trunk/ui/cli/Makefile.common
   M /trunk/ui/cli/tap-afpstat.c
   M /trunk/ui/cli/tap-ansi_astat.c
   M /trunk/ui/cli/tap-bootpstat.c
   M /trunk/ui/cli/tap-camelcounter.c
   M /trunk/ui/cli/tap-camelsrt.c
   M /trunk/ui/cli/tap-comparestat.c
   M /trunk/ui/cli/tap-dcerpcstat.c
   M /trunk/ui/cli/tap-diameter-avp.c
   M /trunk/ui/cli/tap-expert.c
   M /trunk/ui/cli/tap-follow.c
   M /trunk/ui/cli/tap-funnel.c
   M /trunk/ui/cli/tap-gsm_astat.c
   M /trunk/ui/cli/tap-h225counter.c
   M /trunk/ui/cli/tap-h225rassrt.c
   M /trunk/ui/cli/tap-hosts.c
   M /trunk/ui/cli/tap-httpstat.c
   M /trunk/ui/cli/tap-icmpstat.c
   M /trunk/ui/cli/tap-icmpv6stat.c
   M /trunk/ui/cli/tap-iostat.c
   M /trunk/ui/cli/tap-iousers.c
   M /trunk/ui/cli/tap-macltestat.c
   M /trunk/ui/cli/tap-megacostat.c
   M /trunk/ui/cli/tap-mgcpstat.c
   M /trunk/ui/cli/tap-protocolinfo.c
   M /trunk/ui/cli/tap-protohierstat.c
   M /trunk/ui/cli/tap-radiusstat.c
   M /trunk/ui/cli/tap-rlcltestat.c
   M /trunk/ui/cli/tap-rpcprogs.c
   M /trunk/ui/cli/tap-rpcstat.c
   M /trunk/ui/cli/tap-rtp.c
   M /trunk/ui/cli/tap-rtspstat.c
   M /trunk/ui/cli/tap-scsistat.c
   M /trunk/ui/cli/tap-sctpchunkstat.c
   M /trunk/ui/cli/tap-sipstat.c
   M /trunk/ui/cli/tap-smbsids.c
   M /trunk/ui/cli/tap-smbstat.c
   M /trunk/ui/cli/tap-stats_tree.c
   M /trunk/ui/cli/tap-sv.c
   M /trunk/ui/cli/tap-wspstat.c
   M /trunk/ui/gtk/CMakeLists.txt
   M /trunk/ui/gtk/Makefile.am
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/about_dlg.h
   M /trunk/ui/gtk/afp_stat.c
   M /trunk/ui/gtk/airpcap_dlg.c
   M /trunk/ui/gtk/airpcap_dlg.h
   M /trunk/ui/gtk/airpcap_gui_utils.c
   M /trunk/ui/gtk/airpcap_gui_utils.h
   M /trunk/ui/gtk/ansi_a_stat.c
   M /trunk/ui/gtk/ansi_map_stat.c
   M /trunk/ui/gtk/bootp_stat.c
   M /trunk/ui/gtk/camel_counter.c
   M /trunk/ui/gtk/camel_srt.c
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_dlg.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.h
   M /trunk/ui/gtk/capture_globals.h
   M /trunk/ui/gtk/capture_if_details_dlg_win32.c
   M /trunk/ui/gtk/capture_if_details_dlg_win32.h
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.h
   M /trunk/ui/gtk/capture_info_dlg.c
   M /trunk/ui/gtk/cfilter_combo_utils.c
   M /trunk/ui/gtk/cfilter_combo_utils.h
   M /trunk/ui/gtk/color_dlg.c
   M /trunk/ui/gtk/color_dlg.h
   M /trunk/ui/gtk/color_edit_dlg.h
   M /trunk/ui/gtk/color_utils.c
   M /trunk/ui/gtk/color_utils.h
   M /trunk/ui/gtk/conversations_eth.c
   M /trunk/ui/gtk/conversations_fc.c
   M /trunk/ui/gtk/conversations_fddi.c
   M /trunk/ui/gtk/conversations_ip.c
   M /trunk/ui/gtk/conversations_ipv6.c
   M /trunk/ui/gtk/conversations_ipx.c
   M /trunk/ui/gtk/conversations_jxta.c
   M /trunk/ui/gtk/conversations_ncp.c
   M /trunk/ui/gtk/conversations_rsvp.c
   M /trunk/ui/gtk/conversations_sctp.c
   M /trunk/ui/gtk/conversations_table.c
   M /trunk/ui/gtk/conversations_table.h
   M /trunk/ui/gtk/conversations_tcpip.c
   M /trunk/ui/gtk/conversations_tr.c
   M /trunk/ui/gtk/conversations_udpip.c
   M /trunk/ui/gtk/conversations_usb.c
   M /trunk/ui/gtk/conversations_wlan.c
   M /trunk/ui/gtk/dcerpc_stat.c
   M /trunk/ui/gtk/decode_as_ber.c
   M /trunk/ui/gtk/decode_as_ber.h
   M /trunk/ui/gtk/decode_as_dcerpc.c
   M /trunk/ui/gtk/decode_as_dcerpc.h
   M /trunk/ui/gtk/decode_as_dlg.c
   M /trunk/ui/gtk/decode_as_dlg.h
   M /trunk/ui/gtk/dfilter_expr_dlg.h
   M /trunk/ui/gtk/diameter_stat.c
   M /trunk/ui/gtk/dissector_tables_dlg.c
   M /trunk/ui/gtk/dissector_tables_dlg.h
   M /trunk/ui/gtk/dlg_utils.c
   M /trunk/ui/gtk/dlg_utils.h
   M /trunk/ui/gtk/drag_and_drop.c
   M /trunk/ui/gtk/drag_and_drop.h
   M /trunk/ui/gtk/edit_packet_comment_dlg.c
   M /trunk/ui/gtk/edit_packet_comment_dlg.h
   M /trunk/ui/gtk/expert_comp_dlg.c
   M /trunk/ui/gtk/expert_comp_dlg.h
   M /trunk/ui/gtk/expert_comp_table.c
   M /trunk/ui/gtk/expert_comp_table.h
   M /trunk/ui/gtk/export_sslkeys.c
   M /trunk/ui/gtk/export_sslkeys.h
   M /trunk/ui/gtk/fc_stat.c
   M /trunk/ui/gtk/file_dlg.c
   M /trunk/ui/gtk/file_dlg.h
   M /trunk/ui/gtk/file_import_dlg.h
   M /trunk/ui/gtk/fileset_dlg.c
   M /trunk/ui/gtk/fileset_dlg.h
   M /trunk/ui/gtk/filter_autocomplete.c
   M /trunk/ui/gtk/filter_autocomplete.h
   M /trunk/ui/gtk/filter_dlg.c
   M /trunk/ui/gtk/filter_dlg.h
   M /trunk/ui/gtk/filter_expression_save_dlg.c
   M /trunk/ui/gtk/filter_expression_save_dlg.h
   M /trunk/ui/gtk/filter_utils.c
   M /trunk/ui/gtk/filter_utils.h
   M /trunk/ui/gtk/find_dlg.c
   M /trunk/ui/gtk/find_dlg.h
   M /trunk/ui/gtk/firewall_dlg.c
   M /trunk/ui/gtk/firewall_dlg.h
   M /trunk/ui/gtk/flow_graph.c
   M /trunk/ui/gtk/follow_ssl.h
   M /trunk/ui/gtk/follow_tcp.h
   M /trunk/ui/gtk/follow_udp.h
   M /trunk/ui/gtk/font_utils.c
   M /trunk/ui/gtk/font_utils.h
   M /trunk/ui/gtk/funnel_stat.c
   M /trunk/ui/gtk/goto_dlg.c
   M /trunk/ui/gtk/goto_dlg.h
   M /trunk/ui/gtk/graph_analysis.c
   M /trunk/ui/gtk/graph_analysis.h
   M /trunk/ui/gtk/gsm_a_stat.c
   M /trunk/ui/gtk/gsm_map_stat.c
   M /trunk/ui/gtk/gsm_map_summary.c
   M /trunk/ui/gtk/gtk_iface_monitor.c
   M /trunk/ui/gtk/gtk_iface_monitor.h
   M /trunk/ui/gtk/gtkglobals.h
   M /trunk/ui/gtk/gtp_stat.c
   M /trunk/ui/gtk/gui_stat_menu.h
   M /trunk/ui/gtk/gui_stat_util.c
   M /trunk/ui/gtk/gui_stat_util.h
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/gui_utils.h
   M /trunk/ui/gtk/h225_counter.c
   M /trunk/ui/gtk/h225_ras_srt.c
   M /trunk/ui/gtk/help_dlg.c
   M /trunk/ui/gtk/help_dlg.h
   M /trunk/ui/gtk/hostlist_eth.c
   M /trunk/ui/gtk/hostlist_fc.c
   M /trunk/ui/gtk/hostlist_fddi.c
   M /trunk/ui/gtk/hostlist_ip.c
   M /trunk/ui/gtk/hostlist_ipv6.c
   M /trunk/ui/gtk/hostlist_ipx.c
   M /trunk/ui/gtk/hostlist_jxta.c
   M /trunk/ui/gtk/hostlist_ncp.c
   M /trunk/ui/gtk/hostlist_rsvp.c
   M /trunk/ui/gtk/hostlist_sctp.c
   M /trunk/ui/gtk/hostlist_table.c
   M /trunk/ui/gtk/hostlist_table.h
   M /trunk/ui/gtk/hostlist_tcpip.c
   M /trunk/ui/gtk/hostlist_tr.c
   M /trunk/ui/gtk/hostlist_udpip.c
   M /trunk/ui/gtk/hostlist_usb.c
   M /trunk/ui/gtk/hostlist_wlan.c
   M /trunk/ui/gtk/iax2_analysis.c
   M /trunk/ui/gtk/iax2_analysis.h
   M /trunk/ui/gtk/iface_lists.c
   M /trunk/ui/gtk/iface_lists.h
   M /trunk/ui/gtk/io_stat.c
   M /trunk/ui/gtk/keys.h
   M /trunk/ui/gtk/ldap_stat.c
   M /trunk/ui/gtk/mac_lte_stat_dlg.c
   M /trunk/ui/gtk/macros_dlg.c
   M /trunk/ui/gtk/macros_dlg.h
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_80211_toolbar.c
   M /trunk/ui/gtk/main_80211_toolbar.h
   M /trunk/ui/gtk/main_airpcap_toolbar.c
   M /trunk/ui/gtk/main_airpcap_toolbar.h
   M /trunk/ui/gtk/main_filter_toolbar.c
   M /trunk/ui/gtk/main_filter_toolbar.h
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_menubar_private.h
   M /trunk/ui/gtk/main_statusbar.c
   M /trunk/ui/gtk/main_statusbar_private.h
   M /trunk/ui/gtk/main_titlebar.c
   M /trunk/ui/gtk/main_titlebar.h
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/main_toolbar.h
   M /trunk/ui/gtk/main_toolbar_private.h
   M /trunk/ui/gtk/main_welcome.c
   M /trunk/ui/gtk/main_welcome.h
   M /trunk/ui/gtk/manual_addr_resolv.c
   M /trunk/ui/gtk/manual_addr_resolv.h
   M /trunk/ui/gtk/mcast_stream.c
   M /trunk/ui/gtk/mcast_stream.h
   M /trunk/ui/gtk/mcast_stream_dlg.c
   M /trunk/ui/gtk/mcast_stream_dlg.h
   M /trunk/ui/gtk/megaco_stat.c
   M /trunk/ui/gtk/menus.h
   M /trunk/ui/gtk/mgcp_stat.c
   M /trunk/ui/gtk/mtp3_stat.c
   M /trunk/ui/gtk/mtp3_summary.c
   M /trunk/ui/gtk/ncp_stat.c
   M /trunk/ui/gtk/old-gtk-compat.h
   M /trunk/ui/gtk/packet_history.c
   M /trunk/ui/gtk/packet_history.h
   M /trunk/ui/gtk/packet_panes.c
   M /trunk/ui/gtk/packet_panes.h
   M /trunk/ui/gtk/packet_win.c
   M /trunk/ui/gtk/packet_win.h
   M /trunk/ui/gtk/pixmap_save.c
   M /trunk/ui/gtk/pixmap_save.h
   M /trunk/ui/gtk/plugins_dlg.c
   M /trunk/ui/gtk/plugins_dlg.h
   M /trunk/ui/gtk/prefs_capture.c
   M /trunk/ui/gtk/prefs_capture.h
   M /trunk/ui/gtk/prefs_column.c
   M /trunk/ui/gtk/prefs_column.h
   M /trunk/ui/gtk/prefs_dlg.c
   M /trunk/ui/gtk/prefs_dlg.h
   M /trunk/ui/gtk/prefs_filter_expressions.c
   M /trunk/ui/gtk/prefs_filter_expressions.h
   M /trunk/ui/gtk/prefs_gui.c
   M /trunk/ui/gtk/prefs_gui.h
   M /trunk/ui/gtk/prefs_layout.c
   M /trunk/ui/gtk/prefs_layout.h
   M /trunk/ui/gtk/prefs_nameres.c
   M /trunk/ui/gtk/prefs_nameres.h
   M /trunk/ui/gtk/prefs_print.c
   M /trunk/ui/gtk/prefs_print.h
   M /trunk/ui/gtk/prefs_protocols.c
   M /trunk/ui/gtk/prefs_protocols.h
   M /trunk/ui/gtk/prefs_stream.c
   M /trunk/ui/gtk/prefs_stream.h
   M /trunk/ui/gtk/prefs_taps.c
   M /trunk/ui/gtk/prefs_taps.h
   M /trunk/ui/gtk/print_dlg.c
   M /trunk/ui/gtk/profile_dlg.c
   M /trunk/ui/gtk/profile_dlg.h
   M /trunk/ui/gtk/progress_dlg.c
   M /trunk/ui/gtk/proto_dlg.c
   M /trunk/ui/gtk/proto_dlg.h
   M /trunk/ui/gtk/proto_help.c
   M /trunk/ui/gtk/proto_help.h
   M /trunk/ui/gtk/proto_hier_stats_dlg.c
   M /trunk/ui/gtk/proto_hier_stats_dlg.h
   M /trunk/ui/gtk/radius_stat.c
   M /trunk/ui/gtk/range_utils.c
   M /trunk/ui/gtk/range_utils.h
   M /trunk/ui/gtk/rlc_lte_stat_dlg.c
   M /trunk/ui/gtk/rpc_progs.c
   M /trunk/ui/gtk/rpc_stat.c
   M /trunk/ui/gtk/rtp_analysis.c
   M /trunk/ui/gtk/rtp_analysis.h
   M /trunk/ui/gtk/rtp_player.c
   M /trunk/ui/gtk/rtp_player.h
   M /trunk/ui/gtk/rtp_stream.c
   M /trunk/ui/gtk/rtp_stream.h
   M /trunk/ui/gtk/rtp_stream_dlg.c
   M /trunk/ui/gtk/rtp_stream_dlg.h
   M /trunk/ui/gtk/sat.h
   M /trunk/ui/gtk/scsi_stat.c
   M /trunk/ui/gtk/sctp_assoc_analyse.c
   M /trunk/ui/gtk/sctp_byte_graph_dlg.c
   M /trunk/ui/gtk/sctp_chunk_stat.c
   M /trunk/ui/gtk/sctp_chunk_stat_dlg.c
   M /trunk/ui/gtk/sctp_error_dlg.c
   M /trunk/ui/gtk/sctp_graph_dlg.c
   M /trunk/ui/gtk/sctp_stat.c
   M /trunk/ui/gtk/sctp_stat.h
   M /trunk/ui/gtk/sctp_stat_dlg.c
   M /trunk/ui/gtk/service_response_time_table.c
   M /trunk/ui/gtk/service_response_time_table.h
   M /trunk/ui/gtk/simple_dialog.c
   M /trunk/ui/gtk/sip_stat.c
   M /trunk/ui/gtk/smb2_stat.c
   M /trunk/ui/gtk/smb_stat.c
   M /trunk/ui/gtk/stats_tree_stat.c
   M /trunk/ui/gtk/stock_icons.c
   M /trunk/ui/gtk/stock_icons.h
   M /trunk/ui/gtk/summary_dlg.c
   M /trunk/ui/gtk/summary_dlg.h
   M /trunk/ui/gtk/supported_protos_dlg.c
   M /trunk/ui/gtk/supported_protos_dlg.h
   M /trunk/ui/gtk/tap_param_dlg.c
   M /trunk/ui/gtk/tap_param_dlg.h
   M /trunk/ui/gtk/tcp_graph.c
   M /trunk/ui/gtk/text_import.h
   M /trunk/ui/gtk/text_import_scanner.h
   M /trunk/ui/gtk/text_page_utils.c
   M /trunk/ui/gtk/text_page_utils.h
   M /trunk/ui/gtk/time_shift_dlg.c
   M /trunk/ui/gtk/time_shift_dlg.h
   M /trunk/ui/gtk/uat_gui.c
   M /trunk/ui/gtk/uat_gui.h
   M /trunk/ui/gtk/utf8_entities.h
   M /trunk/ui/gtk/voip_calls.c
   M /trunk/ui/gtk/voip_calls.h
   M /trunk/ui/gtk/voip_calls_dlg.c
   M /trunk/ui/gtk/voip_calls_dlg.h
   M /trunk/ui/gtk/webbrowser.h
   M /trunk/ui/gtk/wlan_stat_dlg.c
   M /trunk/ui/gtk/wsp_stat.c
   M /trunk/ui/last_open_dir.h
   M /trunk/ui/main_statusbar.h
   M /trunk/ui/progress_dlg.h
   M /trunk/ui/qt/CMakeLists.txt
   M /trunk/ui/qt/Makefile.am
   M /trunk/ui/qt/Makefile.common
   M /trunk/ui/qt/byte_view_tab.cpp
   M /trunk/ui/qt/byte_view_tab.h
   M /trunk/ui/qt/byte_view_text.cpp
   M /trunk/ui/qt/byte_view_text.h
   M /trunk/ui/qt/capture_file_dialog.cpp
   M /trunk/ui/qt/capture_file_dialog.h
   M /trunk/ui/qt/capture_info_dialog.cpp
   M /trunk/ui/qt/capture_info_dialog.h
   M /trunk/ui/qt/capture_interface_dialog.cpp
   M /trunk/ui/qt/capture_interface_dialog.h
   M /trunk/ui/qt/color_dialog.cpp
   M /trunk/ui/qt/color_dialog.h
   M /trunk/ui/qt/color_utils.cpp
   M /trunk/ui/qt/color_utils.h
   M /trunk/ui/qt/display_filter_combo.cpp
   M /trunk/ui/qt/display_filter_combo.h
   M /trunk/ui/qt/display_filter_edit.cpp
   M /trunk/ui/qt/display_filter_edit.h
   M /trunk/ui/qt/fileset_dialog.cpp
   M /trunk/ui/qt/fileset_dialog.h
   M /trunk/ui/qt/gpl-template.txt
   M /trunk/ui/qt/interface_tree.cpp
   M /trunk/ui/qt/interface_tree.h
   M /trunk/ui/qt/label_stack.cpp
   M /trunk/ui/qt/label_stack.h
   M /trunk/ui/qt/main.cpp
   M /trunk/ui/qt/main_status_bar.cpp
   M /trunk/ui/qt/main_status_bar.h
   M /trunk/ui/qt/main_welcome.cpp
   M /trunk/ui/qt/main_welcome.h
   M /trunk/ui/qt/main_window.cpp
   M /trunk/ui/qt/main_window.h
   M /trunk/ui/qt/monospace_font.cpp
   M /trunk/ui/qt/monospace_font.h
   M /trunk/ui/qt/packet_list.cpp
   M /trunk/ui/qt/packet_list.h
   M /trunk/ui/qt/packet_list_model.cpp
   M /trunk/ui/qt/packet_list_model.h
   M /trunk/ui/qt/packet_list_record.cpp
   M /trunk/ui/qt/packet_list_record.h
   M /trunk/ui/qt/progress_dialog.cpp
   M /trunk/ui/qt/progress_dialog.h
   M /trunk/ui/qt/proto_tree.cpp
   M /trunk/ui/qt/proto_tree.h
   M /trunk/ui/qt/qt_ui_utils.cpp
   M /trunk/ui/qt/qt_ui_utils.h
   M /trunk/ui/qt/recent_file_status.cpp
   M /trunk/ui/qt/recent_file_status.h
   M /trunk/ui/qt/simple_dialog_qt.cpp
   M /trunk/ui/qt/simple_dialog_qt.h
   M /trunk/ui/qt/wireshark_application.cpp
   M /trunk/ui/qt/wireshark_application.h
   M /trunk/ui/recent.h
   M /trunk/ui/recent_utils.h
   M /trunk/ui/simple_dialog.h
   M /trunk/ui/ui_util.h
   M /trunk/ui/util.c
   M /trunk/ui/util.h
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/ui/win32/file_dlg_win32.h
   M /trunk/ui/win32/print_win32.c
   M /trunk/ui/win32/print_win32.h
   M /trunk/update.c
   M /trunk/version_info.c
   M /trunk/version_info.h
   M /trunk/wiretap/5views.c
   M /trunk/wiretap/5views.h
   M /trunk/wiretap/CMakeLists.txt
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/aethra.c
   M /trunk/wiretap/aethra.h
   M /trunk/wiretap/airopeek9.c
   M /trunk/wiretap/airopeek9.h
   M /trunk/wiretap/ascend-int.h
   M /trunk/wiretap/ascend.y
   M /trunk/wiretap/ascendtext.c
   M /trunk/wiretap/ascendtext.h
   M /trunk/wiretap/atm.c
   M /trunk/wiretap/atm.h
   M /trunk/wiretap/ber.c
   M /trunk/wiretap/ber.h
   M /trunk/wiretap/btsnoop.c
   M /trunk/wiretap/btsnoop.h
   M /trunk/wiretap/buffer.c
   M /trunk/wiretap/buffer.h
   M /trunk/wiretap/catapult_dct2000.c
   M /trunk/wiretap/catapult_dct2000.h
   M /trunk/wiretap/cosine.c
   M /trunk/wiretap/cosine.h
   M /trunk/wiretap/csids.c
   M /trunk/wiretap/csids.h
   M /trunk/wiretap/dbs-etherwatch.c
   M /trunk/wiretap/dbs-etherwatch.h
   M /trunk/wiretap/dct3trace.c
   M /trunk/wiretap/dct3trace.h
   M /trunk/wiretap/etherpeek.c
   M /trunk/wiretap/etherpeek.h
   M /trunk/wiretap/eyesdn.c
   M /trunk/wiretap/eyesdn.h
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/file_wrappers.h
   M /trunk/wiretap/hcidump.c
   M /trunk/wiretap/hcidump.h
   M /trunk/wiretap/i4btrace.c
   M /trunk/wiretap/i4btrace.h
   M /trunk/wiretap/ipfix.c
   M /trunk/wiretap/ipfix.h
   M /trunk/wiretap/iptrace.c
   M /trunk/wiretap/iptrace.h
   M /trunk/wiretap/iseries.c
   M /trunk/wiretap/iseries.h
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/k12.h
   M /trunk/wiretap/lanalyzer.c
   M /trunk/wiretap/lanalyzer.h
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/libpcap.h
   M /trunk/wiretap/mime_file.c
   M /trunk/wiretap/mime_file.h
   M /trunk/wiretap/mp2t.c
   M /trunk/wiretap/mp2t.h
   M /trunk/wiretap/mpeg.c
   M /trunk/wiretap/mpeg.h
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/netmon.h
   M /trunk/wiretap/netscaler.c
   M /trunk/wiretap/netscaler.h
   M /trunk/wiretap/netscreen.c
   M /trunk/wiretap/netscreen.h
   M /trunk/wiretap/netxray.c
   M /trunk/wiretap/netxray.h
   M /trunk/wiretap/ngsniffer.c
   M /trunk/wiretap/ngsniffer.h
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/pcap-common.h
   M /trunk/wiretap/pcap-encap.h
   M /trunk/wiretap/pcapng.c
   M /trunk/wiretap/pcapng.h
   M /trunk/wiretap/pppdump.c
   M /trunk/wiretap/pppdump.h
   M /trunk/wiretap/radcom.c
   M /trunk/wiretap/radcom.h
   M /trunk/wiretap/snoop.c
   M /trunk/wiretap/snoop.h
   M /trunk/wiretap/tnef.c
   M /trunk/wiretap/tnef.h
   M /trunk/wiretap/toshiba.c
   M /trunk/wiretap/toshiba.h
   M /trunk/wiretap/visual.c
   M /trunk/wiretap/visual.h
   M /trunk/wiretap/vms.c
   M /trunk/wiretap/vms.h
   M /trunk/wiretap/vwr.c
   M /trunk/wiretap/vwr.h
   M /trunk/wiretap/wtap-int.h
   M /trunk/wka.tmpl
   M /trunk/ws80211_utils.h
   M /trunk/wsutil/CMakeLists.txt
   M /trunk/wsutil/Makefile.am
   M /trunk/wsutil/Makefile.common
   M /trunk/wsutil/crc6.c
   M /trunk/wsutil/crcdrm.h
   M /trunk/wsutil/file_util.c
   M /trunk/wsutil/file_util.h
   M /trunk/wsutil/inet_aton.h
   M /trunk/wsutil/inet_v6defs.h
   M /trunk/wsutil/mpeg-audio.c
   M /trunk/wsutil/mpeg-audio.h
   M /trunk/wsutil/privileges.c
   M /trunk/wsutil/privileges.h
   M /trunk/wsutil/str_util.c
   M /trunk/wsutil/str_util.h
   M /trunk/wsutil/strptime.h
   M /trunk/wsutil/type_util.c
   M /trunk/wsutil/type_util.h
   M /trunk/wsutil/unicode-utils.c
   M /trunk/wsutil/unicode-utils.h

Update Free Software Foundation address.

(COPYING will be updated in next commit)

------------------------------------------------------------------------
r43537 | darkjames | 2012-06-28 16:02:28 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/COPYING

Update GPL-2 license in COPYING

------------------------------------------------------------------------
r43538 | darkjames | 2012-06-28 16:18:38 -0700 (Thu, 28 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_tcap/packet-ansi_tcap-template.h
   M /trunk/asn1/inap/packet-inap-template.h
   M /trunk/asn1/tcap/packet-tcap-template.h
   M /trunk/docbook/GPL_appendix.xml
   M /trunk/epan/arcnet_pids.h
   M /trunk/epan/crc16-tvb.c
   M /trunk/epan/crc16-tvb.h
   M /trunk/epan/crc32-tvb.c
   M /trunk/epan/crc32-tvb.h
   M /trunk/epan/crc8-tvb.c
   M /trunk/epan/crc8-tvb.h
   M /trunk/epan/crypt/md5.c
   M /trunk/epan/crypt/md5.h
   M /trunk/epan/crypt/sha1.c
   M /trunk/epan/crypt/sha1.h
   M /trunk/epan/dissectors/packet-3g-a11.c
   M /trunk/epan/dissectors/packet-9p.c
   M /trunk/epan/dissectors/packet-aastra-aasp.c
   M /trunk/epan/dissectors/packet-aim-admin.c
   M /trunk/epan/dissectors/packet-aim-adverts.c
   M /trunk/epan/dissectors/packet-aim-bos.c
   M /trunk/epan/dissectors/packet-aim-buddylist.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim-chatnav.c
   M /trunk/epan/dissectors/packet-aim-directory.c
   M /trunk/epan/dissectors/packet-aim-email.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-invitation.c
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim-oft.c
   M /trunk/epan/dissectors/packet-aim-popup.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim-ssi.c
   M /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim-stats.c
   M /trunk/epan/dissectors/packet-aim-translate.c
   M /trunk/epan/dissectors/packet-aim-userlookup.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-alcap.c
   M /trunk/epan/dissectors/packet-alcap.h
   M /trunk/epan/dissectors/packet-amr.c
   M /trunk/epan/dissectors/packet-ans.c
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-ansi_683.c
   M /trunk/epan/dissectors/packet-ansi_801.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-ansi_a.h
   M /trunk/epan/dissectors/packet-ansi_tcap.h
   M /trunk/epan/dissectors/packet-aodv.c
   M /trunk/epan/dissectors/packet-app-pkix-cert.c
   M /trunk/epan/dissectors/packet-arcnet.c
   M /trunk/epan/dissectors/packet-armagetronad.c
   M /trunk/epan/dissectors/packet-asap.c
   M /trunk/epan/dissectors/packet-ax4000.c
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacnet.c
   M /trunk/epan/dissectors/packet-bofl.c
   M /trunk/epan/dissectors/packet-brdwlk.c
   M /trunk/epan/dissectors/packet-bssap.c
   M /trunk/epan/dissectors/packet-bssap.h
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-bssgp.h
   M /trunk/epan/dissectors/packet-btamp.c
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-bthci_cmd.c
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-bthci_sco.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-btsdp.c
   M /trunk/epan/dissectors/packet-bvlc.c
   M /trunk/epan/dissectors/packet-calcappprotocol.c
   M /trunk/epan/dissectors/packet-cast.c
   M /trunk/epan/dissectors/packet-ccsds.c
   M /trunk/epan/dissectors/packet-cell_broadcast.c
   M /trunk/epan/dissectors/packet-cell_broadcast.h
   M /trunk/epan/dissectors/packet-cfm.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-cimd.c
   M /trunk/epan/dissectors/packet-cimetrics.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-cip.h
   M /trunk/epan/dissectors/packet-cipmotion.c
   M /trunk/epan/dissectors/packet-cipsafety.c
   M /trunk/epan/dissectors/packet-cipsafety.h
   M /trunk/epan/dissectors/packet-cisco-sm.c
   M /trunk/epan/dissectors/packet-classicstun.c
   M /trunk/epan/dissectors/packet-cnip.c
   M /trunk/epan/dissectors/packet-componentstatus.c
   M /trunk/epan/dissectors/packet-cpfi.c
   M /trunk/epan/dissectors/packet-csm-encaps.c
   M /trunk/epan/dissectors/packet-ctdb.c
   M /trunk/epan/dissectors/packet-daap.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dccp.h
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dissectors/packet-dect.c
   M /trunk/epan/dissectors/packet-diameter_3gpp.c
   M /trunk/epan/dissectors/packet-diffserv-mpls-common.c
   M /trunk/epan/dissectors/packet-diffserv-mpls-common.h
   M /trunk/epan/dissectors/packet-distcc.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dpnss-link.c
   M /trunk/epan/dissectors/packet-dpnss.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-dua.c
   M /trunk/epan/dissectors/packet-dvb-ipdc.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-edonkey.h
   M /trunk/epan/dissectors/packet-egd.c
   M /trunk/epan/dissectors/packet-ehdlc.c
   M /trunk/epan/dissectors/packet-ehs.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-enip.h
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-epl_v1.c
   M /trunk/epan/dissectors/packet-erf.c
   M /trunk/epan/dissectors/packet-esio.c
   M /trunk/epan/dissectors/packet-etsi_card_app_toolkit.c
   M /trunk/epan/dissectors/packet-evrc.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcct.c
   M /trunk/epan/dissectors/packet-fcdns.c
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-fcfcs.c
   M /trunk/epan/dissectors/packet-fcfzs.c
   M /trunk/epan/dissectors/packet-fcip.c
   M /trunk/epan/dissectors/packet-fclctl.c
   M /trunk/epan/dissectors/packet-fcoe.c
   M /trunk/epan/dissectors/packet-fcoib.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-fcsb3.c
   M /trunk/epan/dissectors/packet-fcsp.c
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/epan/dissectors/packet-fip.c
   M /trunk/epan/dissectors/packet-fix.c
   M /trunk/epan/dissectors/packet-fractalgeneratorprotocol.c
   M /trunk/epan/dissectors/packet-g723.c
   M /trunk/epan/dissectors/packet-gadu-gadu.c
   M /trunk/epan/dissectors/packet-gift.c
   M /trunk/epan/dissectors/packet-gmrp.c
   M /trunk/epan/dissectors/packet-gnutella.c
   M /trunk/epan/dissectors/packet-gnutella.h
   M /trunk/epan/dissectors/packet-gprs-llc.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_abis_om2000.c
   M /trunk/epan/dissectors/packet-gsm_abis_oml.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c
   M /trunk/epan/dissectors/packet-gsm_cbch.c
   M /trunk/epan/dissectors/packet-gsm_ipa.c
   M /trunk/epan/dissectors/packet-gsm_sim.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gsm_sms.h
   M /trunk/epan/dissectors/packet-gsm_sms_ud.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gtp.h
   M /trunk/epan/dissectors/packet-gtpv2.c
   M /trunk/epan/dissectors/packet-gtpv2.h
   M /trunk/epan/dissectors/packet-gvrp.c
   M /trunk/epan/dissectors/packet-h264.c
   M /trunk/epan/dissectors/packet-h264.h
   M /trunk/epan/dissectors/packet-hci_h1.c
   M /trunk/epan/dissectors/packet-hci_h4.c
   M /trunk/epan/dissectors/packet-hip.c
   M /trunk/epan/dissectors/packet-hsr-prp-supervision.c
   M /trunk/epan/dissectors/packet-hsr.c
   M /trunk/epan/dissectors/packet-iapp.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-iax2.h
   M /trunk/epan/dissectors/packet-icep.c
   M /trunk/epan/dissectors/packet-ieee1722.c
   M /trunk/epan/dissectors/packet-ieee17221.c
   M /trunk/epan/dissectors/packet-ieee80211-airopeek.c
   M /trunk/epan/dissectors/packet-ieee80211-netmon.c
   M /trunk/epan/dissectors/packet-ieee80211-prism.c
   M /trunk/epan/dissectors/packet-ieee80211-radio.c
   M /trunk/epan/dissectors/packet-ieee80211-radiotap.c
   M /trunk/epan/dissectors/packet-ieee80211-radiotap.h
   M /trunk/epan/dissectors/packet-ieee80211-wlancap.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee80211.h
   M /trunk/epan/dissectors/packet-ifcp.c
   M /trunk/epan/dissectors/packet-image-gif.c
   M /trunk/epan/dissectors/packet-image-jfif.c
   M /trunk/epan/dissectors/packet-inap.h
   M /trunk/epan/dissectors/packet-infiniband.h
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-ipfc.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-ismp.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-iso7816.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-isup.h
   M /trunk/epan/dissectors/packet-itdm.c
   M /trunk/epan/dissectors/packet-iua.c
   M /trunk/epan/dissectors/packet-json.c
   M /trunk/epan/dissectors/packet-lanforge.c
   M /trunk/epan/dissectors/packet-laplink.c
   M /trunk/epan/dissectors/packet-ldss.c
   M /trunk/epan/dissectors/packet-lge_monitor.c
   M /trunk/epan/dissectors/packet-lldp.c
   M /trunk/epan/dissectors/packet-lldp.h
   M /trunk/epan/dissectors/packet-llt.c
   M /trunk/epan/dissectors/packet-lon.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-m2tp.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-maap.c
   M /trunk/epan/dissectors/packet-manolito.c
   M /trunk/epan/dissectors/packet-mbtcp.c
   M /trunk/epan/dissectors/packet-mbtcp.h
   M /trunk/epan/dissectors/packet-mdshdr.c
   M /trunk/epan/dissectors/packet-mip.c
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-mp4ves.c
   M /trunk/epan/dissectors/packet-mp4ves.h
   M /trunk/epan/dissectors/packet-mpls-echo.c
   M /trunk/epan/dissectors/packet-mpls-pm.c
   M /trunk/epan/dissectors/packet-mpls-psc.c
   M /trunk/epan/dissectors/packet-mpls-y1711.c
   M /trunk/epan/dissectors/packet-mrp-mmrp.c
   M /trunk/epan/dissectors/packet-mrp-msrp.c
   M /trunk/epan/dissectors/packet-mrp-mvrp.c
   M /trunk/epan/dissectors/packet-msdp.c
   M /trunk/epan/dissectors/packet-msnlb.c
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-mstp.c
   M /trunk/epan/dissectors/packet-mstp.h
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-mtp3.h
   M /trunk/epan/dissectors/packet-mtp3mg.c
   M /trunk/epan/dissectors/packet-multipart.c
   M /trunk/epan/dissectors/packet-nasdaq-itch.c
   M /trunk/epan/dissectors/packet-nasdaq-soup.c
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-netperfmeter.c
   M /trunk/epan/dissectors/packet-newmail.c
   M /trunk/epan/dissectors/packet-noe.c
   M /trunk/epan/dissectors/packet-nsip.c
   M /trunk/epan/dissectors/packet-nstrace.c
   M /trunk/epan/dissectors/packet-nwmtp.c
   M /trunk/epan/dissectors/packet-olsr.c
   M /trunk/epan/dissectors/packet-opsi.c
   M /trunk/epan/dissectors/packet-packetbb.c
   M /trunk/epan/dissectors/packet-pana.c
   M /trunk/epan/dissectors/packet-pgsql.c
   M /trunk/epan/dissectors/packet-pingpongprotocol.c
   M /trunk/epan/dissectors/packet-pktgen.c
   M /trunk/epan/dissectors/packet-ppcap.c
   M /trunk/epan/dissectors/packet-prp.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-pw-atm.c
   M /trunk/epan/dissectors/packet-pw-atm.h
   M /trunk/epan/dissectors/packet-pw-cesopsn.c
   M /trunk/epan/dissectors/packet-pw-common.c
   M /trunk/epan/dissectors/packet-pw-eth.c
   M /trunk/epan/dissectors/packet-pw-fr.c
   M /trunk/epan/dissectors/packet-pw-hdlc.c
   M /trunk/epan/dissectors/packet-pw-satop.c
   M /trunk/epan/dissectors/packet-reload-framing.c
   M /trunk/epan/dissectors/packet-reload.c
   M /trunk/epan/dissectors/packet-rlm.c
   M /trunk/epan/dissectors/packet-rmi.c
   M /trunk/epan/dissectors/packet-rmi.h
   M /trunk/epan/dissectors/packet-rmt-alc.c
   M /trunk/epan/dissectors/packet-rmt-alc.h
   M /trunk/epan/dissectors/packet-rmt-common.c
   M /trunk/epan/dissectors/packet-rmt-common.h
   M /trunk/epan/dissectors/packet-rmt-fec.c
   M /trunk/epan/dissectors/packet-rmt-fec.h
   M /trunk/epan/dissectors/packet-rmt-lct.c
   M /trunk/epan/dissectors/packet-rmt-lct.h
   M /trunk/epan/dissectors/packet-rmt-norm.c
   M /trunk/epan/dissectors/packet-rmt-norm.h
   M /trunk/epan/dissectors/packet-rsh.c
   M /trunk/epan/dissectors/packet-rsip.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtps.c
   M /trunk/epan/dissectors/packet-rtps.h
   M /trunk/epan/dissectors/packet-rtps2.c
   M /trunk/epan/dissectors/packet-rtps2.h
   M /trunk/epan/dissectors/packet-sbus.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-sccp.h
   M /trunk/epan/dissectors/packet-sccpmg.c
   M /trunk/epan/dissectors/packet-scriptingservice.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sflow.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-smpp.h
   M /trunk/epan/dissectors/packet-sndcp-xid.c
   M /trunk/epan/dissectors/packet-sndcp.c
   M /trunk/epan/dissectors/packet-spice.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-stun.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/dissectors/packet-synergy.c
   M /trunk/epan/dissectors/packet-synphasor.c
   M /trunk/epan/dissectors/packet-tali.c
   M /trunk/epan/dissectors/packet-tcap.h
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-tivoconnect.c
   M /trunk/epan/dissectors/packet-turbocell.c
   M /trunk/epan/dissectors/packet-turnchannel.c
   M /trunk/epan/dissectors/packet-ua.c
   M /trunk/epan/dissectors/packet-ua.h
   M /trunk/epan/dissectors/packet-ua3g.c
   M /trunk/epan/dissectors/packet-uasip.c
   M /trunk/epan/dissectors/packet-uaudp.c
   M /trunk/epan/dissectors/packet-uaudp.h
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/epan/dissectors/packet-uma.c
   M /trunk/epan/dissectors/packet-v5ua.c
   M /trunk/epan/dissectors/packet-vcdu.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/dissectors/packet-wbxml.c
   M /trunk/epan/dissectors/packet-x11-keysymdef.h
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-xcsl.c
   M /trunk/epan/dissectors/packet-xmcp.c
   M /trunk/epan/dissectors/packet-yami.c
   M /trunk/epan/dissectors/packet-zbee-nwk.h
   M /trunk/epan/dissectors/x11-fields
   M /trunk/epan/dtd.h
   M /trunk/epan/dtd_grammar.lemon
   M /trunk/epan/dtd_parse.h
   M /trunk/epan/nstime.c
   M /trunk/epan/sigcomp-udvm.c
   M /trunk/epan/sigcomp-udvm.h
   M /trunk/epan/sigcomp_state_hdlr.c
   M /trunk/epan/sigcomp_state_hdlr.h
   M /trunk/epan/tvbparse.c
   M /trunk/epan/tvbparse.h
   M /trunk/plugins/asn1/COPYING
   M /trunk/plugins/docsis/packet-bintrngreq.c
   M /trunk/plugins/docsis/packet-bpkmattr.c
   M /trunk/plugins/docsis/packet-bpkmreq.c
   M /trunk/plugins/docsis/packet-bpkmrsp.c
   M /trunk/plugins/docsis/packet-cmctrlreq.c
   M /trunk/plugins/docsis/packet-cmctrlrsp.c
   M /trunk/plugins/docsis/packet-cmstatus.c
   M /trunk/plugins/docsis/packet-dbcack.c
   M /trunk/plugins/docsis/packet-dbcreq.c
   M /trunk/plugins/docsis/packet-dbcrsp.c
   M /trunk/plugins/docsis/packet-dccack.c
   M /trunk/plugins/docsis/packet-dccreq.c
   M /trunk/plugins/docsis/packet-dccrsp.c
   M /trunk/plugins/docsis/packet-dcd.c
   M /trunk/plugins/docsis/packet-docsis.c
   M /trunk/plugins/docsis/packet-dpvreq.c
   M /trunk/plugins/docsis/packet-dpvrsp.c
   M /trunk/plugins/docsis/packet-dsaack.c
   M /trunk/plugins/docsis/packet-dsareq.c
   M /trunk/plugins/docsis/packet-dsarsp.c
   M /trunk/plugins/docsis/packet-dscack.c
   M /trunk/plugins/docsis/packet-dscreq.c
   M /trunk/plugins/docsis/packet-dscrsp.c
   M /trunk/plugins/docsis/packet-dsdreq.c
   M /trunk/plugins/docsis/packet-dsdrsp.c
   M /trunk/plugins/docsis/packet-intrngreq.c
   M /trunk/plugins/docsis/packet-macmgmt.c
   M /trunk/plugins/docsis/packet-map.c
   M /trunk/plugins/docsis/packet-mdd.c
   M /trunk/plugins/docsis/packet-regack.c
   M /trunk/plugins/docsis/packet-regreq.c
   M /trunk/plugins/docsis/packet-regreqmp.c
   M /trunk/plugins/docsis/packet-regrsp.c
   M /trunk/plugins/docsis/packet-regrspmp.c
   M /trunk/plugins/docsis/packet-rngreq.c
   M /trunk/plugins/docsis/packet-rngrsp.c
   M /trunk/plugins/docsis/packet-sync.c
   M /trunk/plugins/docsis/packet-tlv-cmctrl.c
   M /trunk/plugins/docsis/packet-tlv.c
   M /trunk/plugins/docsis/packet-tlv.h
   M /trunk/plugins/docsis/packet-type29ucd.c
   M /trunk/plugins/docsis/packet-uccreq.c
   M /trunk/plugins/docsis/packet-uccrsp.c
   M /trunk/plugins/docsis/packet-ucd.c
   M /trunk/plugins/docsis/packet-vendor.c
   M /trunk/plugins/easy_codec/codec-g722.c
   M /trunk/plugins/easy_codec/codec-g722.h
   M /trunk/plugins/easy_codec/codec-g7231.c
   M /trunk/plugins/easy_codec/codec-g7231.h
   M /trunk/plugins/easy_codec/codec-g729a.c
   M /trunk/plugins/easy_codec/codec-g729a.h
   M /trunk/plugins/easy_codec/easy_codec_plugin.c
   M /trunk/plugins/ethercat/COPYING
   M /trunk/plugins/gryphon/COPYING
   M /trunk/plugins/irda/irda-appl.h
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/m2m/COPYING
   M /trunk/plugins/mate/COPYING
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/mate_util.h
   M /trunk/plugins/mate/packet-mate.c
   M /trunk/plugins/opcua/COPYING
   M /trunk/plugins/profinet/COPYING
   M /trunk/plugins/profinet/packet-pn-mrp.c
   M /trunk/plugins/profinet/packet-pn-mrrt.c
   M /trunk/plugins/profinet/packet-pn-ptcp.c
   M /trunk/plugins/stats_tree/stats_tree_plugin.c
   M /trunk/plugins/unistim/COPYING
   M /trunk/plugins/wimax/COPYING
   M /trunk/plugins/wimaxasncp/COPYING
   M /trunk/tools/checkAPIs.pl
   M /trunk/tools/fix-encoding-args.pl
   M /trunk/tools/fixhf.pl
   M /trunk/tools/indexcap.py
   M /trunk/tools/list_protos_in_cap.sh
   M /trunk/tools/process-x11-fields.pl
   M /trunk/tools/process-x11-xcb.pl
   M /trunk/tools/setuid-root.pl.in
   M /trunk/tools/svnadd
   M /trunk/tools/test-fuzzed-cap.sh
   M /trunk/tools/valgrind-wireshark.sh
   M /trunk/ui/gtk/compare_stat.c
   M /trunk/ui/gtk/gsm_map_stat.h
   M /trunk/ui/gtk/mtp3_stat.h
   M /trunk/ui/gtk/webbrowser.c
   M /trunk/wsutil/crc16.c
   M /trunk/wsutil/crc16.h
   M /trunk/wsutil/crc32.c
   M /trunk/wsutil/crc32.h
   M /trunk/wsutil/crc8.c
   M /trunk/wsutil/crc8.h
   M /trunk/wsutil/crcdrm.c

Update FSF address - part II.

------------------------------------------------------------------------
r43539 | wmeier | 2012-06-28 18:55:05 -0700 (Thu, 28 Jun 2012) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mp2t.c
   M /trunk/epan/dissectors/packet-mpeg-dsmcc.c

From Ð Ð¾Ð¼Ð°Ð½ Ð”Ð¾Ð½Ñ‡ÐµÐ½ÐºÐ¾: "Adaptation" misspelled as "adaption"

In MPEG-related dissectors, "adaption" is used instead of "adaptation" several
times. See patch (it also fixes an unrelated typo that happens to be on the
same line).

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7421

------------------------------------------------------------------------
r43540 | darkjames | 2012-06-29 04:07:08 -0700 (Fri, 29 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dfilter/dfunctions.c

Also support FT_STRINGZ and FT_UINT_STRING in lower()/ upper() functions.

------------------------------------------------------------------------
r43541 | darkjames | 2012-06-29 04:11:24 -0700 (Fri, 29 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dfilter/dfunctions.c

Add len() function to dfilter. For now only support FT_STRING*

Note: it returns bytes-length, not number of UTF-8 characters.

------------------------------------------------------------------------
r43542 | darkjames | 2012-06-29 08:23:21 -0700 (Fri, 29 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dbus.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

Initial support for D-Bus dissection (bug #5502)

------------------------------------------------------------------------
r43543 | darkjames | 2012-06-29 10:44:48 -0700 (Fri, 29 Jun 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dbus.c

Try to fix win64 buildbot.

packet-dbus.c(354) : error C2220: warning treated as error - no 'object' file generated
packet-dbus.c(354) : warning C4267: '=' : conversion from 'size_t' to 'int', possible loss of data

------------------------------------------------------------------------
r43544 | guy | 2012-06-29 11:03:17 -0700 (Fri, 29 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/iface_lists.c

ui/gtk/iface_lists.c no longer needs <wsutil/file_util.h>, as the
"determine the interface type" code moved to capture_ifinfo.c.

------------------------------------------------------------------------
r43545 | guy | 2012-06-29 11:04:11 -0700 (Fri, 29 Jun 2012) | 10 lines
Changed paths:
   M /trunk/iface_monitor.c
   M /trunk/iface_monitor.h

Add support for listening for interface arrival/departure events on
PF_SYSTEM sockets on OS X.

Pull iface_mon_nl_init() into iface_mon_start(), to make it a little
easier to figure out what interface monitoring code on other platforms
should do.

Add a bunch of XXX comments about additional things we should perhaps
do.

------------------------------------------------------------------------
r43546 | pascal | 2012-06-29 13:10:25 -0700 (Fri, 29 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvbci.c

From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7420 :
CI/CI+: dissect CICAM NIT

------------------------------------------------------------------------
r43547 | morriss | 2012-06-29 14:18:35 -0700 (Fri, 29 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Clean up capture option tooltip spacing and remove an extraneous word (at the end of the monitor mode description).  Also use sizeof for a buffer size.
------------------------------------------------------------------------
r43548 | guy | 2012-06-29 15:52:13 -0700 (Fri, 29 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_dlg.h

Clarify *which* capture dialogs are handled by capture_dlg.c.

------------------------------------------------------------------------
r43549 | guy | 2012-06-29 17:32:03 -0700 (Fri, 29 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Separate the code for each column in the interface list with blank
lines.

------------------------------------------------------------------------
r43550 | darkjames | 2012-06-30 03:43:50 -0700 (Sat, 30 Jun 2012) | 8 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/packet_panes.c
   M /trunk/ui/gtk/packet_panes.h
   M /trunk/ui/gtk/proto_tree_model.c
   M /trunk/ui/gtk/proto_tree_model.h

Fix bug #7425: Per-packet right-click network or MAC name resolution not working

proto_tree_draw() from r43189 is lazy, and it don't fills tree with all item labels.
To fix it, move 'gbl_resolv_flags' hack to proto_tree_model_get_value().

XXX could we pass resolving flags to proto_item_fill_label()?


------------------------------------------------------------------------
r43551 | gerald | 2012-07-01 07:03:32 -0700 (Sun, 01 Jul 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-01]
------------------------------------------------------------------------
r43555 | morriss | 2012-07-02 14:15:51 -0700 (Mon, 02 Jul 2012) | 4 lines
Changed paths:
   M /trunk/tools/runlex.sh

From Todd Eigenschink via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7411 :

Have runlex.sh exit with the exit status of lex (if it failed).

------------------------------------------------------------------------
r43556 | alagoutte | 2012-07-03 05:28:06 -0700 (Tue, 03 Jul 2012) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From report of Dennis Mendoza via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7429
Wireshark > 1.4 does not correctly read Association ID for PS Poll packets

Wireless Frame with subtype 0x1a don't interpret the Association ID (always 0).

Fix : 
proto_tree_add_uint() wasn't changed to proto_tree_add_item()

#BACKPORT

------------------------------------------------------------------------
r43557 | morriss | 2012-07-03 10:48:21 -0700 (Tue, 03 Jul 2012) | 4 lines
Changed paths:
   M /trunk/iface_monitor.c

From Pontus Fuchs on -dev:

Fix collision between net/if.h and linux/if.h (which is included by libnl3).

------------------------------------------------------------------------
r43558 | wmeier | 2012-07-03 11:49:12 -0700 (Tue, 03 Jul 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-vnc.c
   D /trunk/epan/dissectors/packet-x11-keysym.h
   M /trunk/epan/dissectors/packet-x11.c
   A /trunk/epan/dissectors/packet-x11.h
   A /trunk/epan/dissectors/x11-keysym.h

Improve use of the value_string x11_keysym_vals_source[]:
 - Compile the value_string only as part of packet-x11.c
 - Create a value_string_ext to ref the value_string;
 - packet_vnc.c: Access the value_string using the value_string_ext;
 - packet-x11.c: Access the value-string using the value_string_ext
                 rather then building a temp GTree from the value_string.

------------------------------------------------------------------------
r43559 | wmeier | 2012-07-03 12:47:54 -0700 (Tue, 03 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/x11-keysym.h

Remove a leftover // "comment to self" (fixes checkAPI error).

------------------------------------------------------------------------
r43560 | pascal | 2012-07-03 13:07:53 -0700 (Tue, 03 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eap.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7430 :
Dissection of EAP-SIM and EAP-AKA is broken

------------------------------------------------------------------------
r43561 | guy | 2012-07-03 13:12:50 -0700 (Tue, 03 Jul 2012) | 18 lines
Changed paths:
   M /trunk/Makefile.am

As per Gentoo bug 423743

	https://bugs.gentoo.org/show_bug.cgi?id=423743

"The Makefile.am claims including GLIB_LIBS when linking wireshark is
unnecessary, because wireshark links to GTK_LIBS which is a superset.
It is not actually a superset: gmodule is included in GLIB_LIBS but
not in GTK_LIBS (unless accidentally on older glibs/gtks)."

so we must explicitly link with GLIB_LIBS.

Update the comment to reflect that - and to reflect that GTK+ doesn't
necessarily run atop X11 - while we're at it.

Fixes bug 7427.

#BACKPORT

------------------------------------------------------------------------
r43563 | morriss | 2012-07-03 14:55:55 -0700 (Tue, 03 Jul 2012) | 8 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

As suggested by Jakub in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7429#c4 :

Add checks for calls to proto_tree_add_XXX (where XXX != item and a few other
functions) with an encoding (ENC_*) argument.


Also add a comment to checkAddTextCalls() about why 3 loops are used.

------------------------------------------------------------------------
r43564 | guy | 2012-07-03 15:42:14 -0700 (Tue, 03 Jul 2012) | 3 lines
Changed paths:
   M /trunk/Makefile.am

Expand that comment to note that there's no guarantee that GLIB_LIBS has
-gmodule or that GTK_LIBS doesn't have it.

------------------------------------------------------------------------
r43565 | pascal | 2012-07-04 03:08:22 -0700 (Wed, 04 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bmc.c

From Evan Huus via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7433 :
Remove unused mask variable in packet-bmc.c

------------------------------------------------------------------------
r43566 | wmeier | 2012-07-04 06:04:16 -0700 (Wed, 04 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-amqp.c

The amqp dissector is not a plugin; remove comment indicating that it's a plugin.
Also: Fix some "4 space tab" indentation (replace with spaces).

------------------------------------------------------------------------
r43567 | guy | 2012-07-04 18:59:00 -0700 (Wed, 04 Jul 2012) | 8 lines
Changed paths:
   M /trunk/ui/gtk/main_80211_toolbar.c

From Pontus Fuchs:

    Fix wireless toolbar

    The compilation fix for mac got it slightly wrong:

    s/HAVE_PCAP/HAVE_LIBPCAP/

------------------------------------------------------------------------
r43568 | guy | 2012-07-04 19:01:43 -0700 (Wed, 04 Jul 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/iface_lists.c
   M /trunk/ui/gtk/main_80211_toolbar.c
   M /trunk/ui/gtk/main_80211_toolbar.h

From Pontus Fuchs:

    Refresh wireless toolbar too

    The recently improved refresh interfaces code forgot the wireless
    toolbar. Make sure to refresh it too.

------------------------------------------------------------------------
r43569 | pascal | 2012-07-04 22:26:28 -0700 (Wed, 04 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-negoex.c

From Richard Sharpe via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7428 :
Add SPNEGO Extended Negotiation (NEGOEX) Security Mechanism dissector

------------------------------------------------------------------------
r43570 | guy | 2012-07-04 22:36:50 -0700 (Wed, 04 Jul 2012) | 8 lines
Changed paths:
   M /trunk/ui/gtk/main_80211_toolbar.c

From Pontus Fuchs:

   Remove refresh button from wireless toolbar

   With a "refresh interfaces" menu option and device hotplug
   notification in place there is no longer need for a refresh
   button in the toolbar.

------------------------------------------------------------------------
r43571 | pascal | 2012-07-05 01:44:30 -0700 (Thu, 05 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/EUTRA-InterNodeDefinitions.asn
   M /trunk/asn1/lte-rrc/EUTRA-RRC-Definitions.asn
   M /trunk/asn1/lte-rrc/EUTRA-UE-Variables.asn
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.c
   M /trunk/epan/dissectors/packet-lte-rrc.c

Upgrade LTE RRC dissector to v10.6.0

------------------------------------------------------------------------
r43572 | pascal | 2012-07-05 02:02:08 -0700 (Thu, 05 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-negoex.c

Fix compilation with gcc 4.3.2

------------------------------------------------------------------------
r43573 | pascal | 2012-07-05 12:10:46 -0700 (Thu, 05 Jul 2012) | 3 lines
Changed paths:
   M /trunk/plugins/docsis/packet-bpkmattr.c

From Guy Martin via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7439 :
Add support for DOCSIS 3.0 AES keys

------------------------------------------------------------------------
r43574 | morriss | 2012-07-05 12:10:47 -0700 (Thu, 05 Jul 2012) | 3 lines
Changed paths:
   M /trunk/version_info.c

List whether we were compiled with LIBNL or not (including which major
version).

------------------------------------------------------------------------
r43575 | pascal | 2012-07-05 13:07:43 -0700 (Thu, 05 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ptp.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7437 :
PTP Cancel unicast transmission and Acknowledge cancel unicast transmission packets are decoded as malformed

------------------------------------------------------------------------
r43576 | darkjames | 2012-07-05 14:09:34 -0700 (Thu, 05 Jul 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Fix bug #7436

offset returned from dissect_nfs_open_claim4, dissect_nfs_openflag4 were different
when we were building tree and where we didn't.
Fix other similar cases.

------------------------------------------------------------------------
r43577 | morriss | 2012-07-05 16:31:17 -0700 (Thu, 05 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Remove a couple set-but-unused variables.  I *think* the new tree isn't
particularly useful...

------------------------------------------------------------------------
r43578 | martinm | 2012-07-05 18:52:09 -0700 (Thu, 05 Jul 2012) | 3 lines
Changed paths:
   M /trunk/ui/cli/tap-macltestat.c
   M /trunk/ui/cli/tap-rlcltestat.c
   M /trunk/ui/gtk/mac_lte_stat_dlg.c
   M /trunk/ui/gtk/rlc_lte_stat_dlg.c

Take yet more care not to be dividing by zero when calculating the bit
rate of the channel/UE. Times four... 

------------------------------------------------------------------------
r43579 | etxrab | 2012-07-05 21:48:36 -0700 (Thu, 05 Jul 2012) | 2 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/config.nmake
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h
   M /trunk/epan/geoip_db.c
   M /trunk/epan/geoip_db.h
   M /trunk/epan/oids.c
   M /trunk/epan/oids.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/rawshark.c
   M /trunk/tshark.c
   M /trunk/ui/gtk/CMakeLists.txt
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/manual_addr_resolv.c
   M /trunk/ui/gtk/packet_panes.c
   M /trunk/ui/gtk/packet_panes.h
   M /trunk/ui/gtk/prefs_dlg.c
   M /trunk/ui/gtk/proto_tree_model.c
   M /trunk/ui/gtk/proto_tree_model.h
   M /trunk/ui/win32/file_dlg_win32.c

From Michael Mann:
Generic preferences implementation - Printing and Name Resolution.
------------------------------------------------------------------------
r43580 | pascal | 2012-07-05 22:17:09 -0700 (Thu, 05 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-artnet.c

From Michael Mann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7407 :
Update ESTA manufacturer IDs and OEM code values

------------------------------------------------------------------------
r43581 | pascal | 2012-07-05 22:33:55 -0700 (Thu, 05 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-artnet.c

Add a few missing ENC_ASCII and remove a few unused hf entries

------------------------------------------------------------------------
r43582 | darkjames | 2012-07-06 00:06:09 -0700 (Fri, 06 Jul 2012) | 4 lines
Changed paths:
   M /trunk/epan/addr_resolv.h

Try to fix compilation on compilers != MSVC.

Note: we should get rid of this circular dependency.

------------------------------------------------------------------------
r43583 | darkjames | 2012-07-06 00:24:22 -0700 (Fri, 06 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/oids.c

Fix compilation of epan/oids.c without HAVE_LIBSMI

------------------------------------------------------------------------
r43584 | darkjames | 2012-07-06 00:34:08 -0700 (Fri, 06 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/packet_panes.c
   M /trunk/ui/gtk/packet_panes.h
   M /trunk/ui/gtk/proto_tree_model.c
   M /trunk/ui/gtk/proto_tree_model.h

- e_addr_resolve is structure so pass it by pointer.
- name_resolve_concurrency must be only defined when used.

------------------------------------------------------------------------
r43585 | darkjames | 2012-07-06 00:49:36 -0700 (Fri, 06 Jul 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake

Revert part of r43579, MSVC_VARIANT should be not defined.

------------------------------------------------------------------------
r43586 | darkjames | 2012-07-06 00:55:58 -0700 (Fri, 06 Jul 2012) | 4 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/prefs.c

- remove no longer used #defines
- prefs.name_resolve_concurrency is now just 'name_resolve_concurrency'
- add notes about possible (?) integer overflows.

------------------------------------------------------------------------
r43587 | pascal | 2012-07-06 05:25:54 -0700 (Fri, 06 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/ipproto.c
   M /trunk/epan/prefs.c
   M /trunk/ui/gtk/capture_file_dlg.c

Fix compilation with gcc 4.3.2 and without GEOIP

------------------------------------------------------------------------
r43588 | darkjames | 2012-07-06 10:02:08 -0700 (Fri, 06 Jul 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Fix logic typo, it should fix bug #7434

------------------------------------------------------------------------
r43589 | darkjames | 2012-07-06 14:24:16 -0700 (Fri, 06 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c

Gadu-Gadu: dissect more packets.

------------------------------------------------------------------------
r43590 | morriss | 2012-07-06 14:25:47 -0700 (Fri, 06 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Display (and allow filtering on) the "reserved for national use" bit in the AI.
(This bit is already decoded as the "national indicator" bit in ANSI.)

------------------------------------------------------------------------
r43591 | guy | 2012-07-06 16:21:03 -0700 (Fri, 06 Jul 2012) | 19 lines
Changed paths:
   D /trunk/ui/gtk/prefs_nameres.c
   D /trunk/ui/gtk/prefs_nameres.h
   D /trunk/ui/gtk/prefs_print.c
   D /trunk/ui/gtk/prefs_print.h
   D /trunk/ui/gtk/prefs_protocols.c
   D /trunk/ui/gtk/prefs_protocols.h
   D /trunk/ui/gtk/prefs_taps.c
   D /trunk/ui/gtk/prefs_taps.h

As per Michael Mann's email:

	Yes, the following files can now be deleted:
 
	\wireshark\ui\gtk\prefs_nameres.c
	\wireshark\ui\gtk\prefs_nameres.h
	\wireshark\ui\gtk\prefs_print.c
	\wireshark\ui\gtk\prefs_print.h
	\wireshark\ui\gtk\prefs_protocols.c
	\wireshark\ui\gtk\prefs_protocols.h
	\wireshark\ui\gtk\prefs_taps.c
	\wireshark\ui\gtk\prefs_taps.h
 
	I thought removing them was part of the patch for bug 7402, but
	they still show up in the SVN (perhaps I didn't create the patch
	correctly).

Make it so.

------------------------------------------------------------------------
r43592 | guy | 2012-07-06 17:30:47 -0700 (Fri, 06 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c

Get rid of most tabs (which cleans up mixed indenting with tabs and
4-tab spaces).

------------------------------------------------------------------------
r43593 | guy | 2012-07-06 17:41:12 -0700 (Fri, 06 Jul 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/prefs_dlg.c

Uniformly use two-space indents (most of the file uses it).

------------------------------------------------------------------------
r43594 | guy | 2012-07-06 18:26:58 -0700 (Fri, 06 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/prefs-int.h

Clean up mix of tabs and 4-space-tab indents.

------------------------------------------------------------------------
r43595 | guy | 2012-07-06 19:10:44 -0700 (Fri, 06 Jul 2012) | 4 lines
Changed paths:
   M /trunk/epan/prefs.c

Ask about a possible simplification (by just handling all modules by
pathname, so that any module we create for a protocol is just created as
being under "Protocols/").

------------------------------------------------------------------------
r43596 | guy | 2012-07-06 19:49:17 -0700 (Fri, 06 Jul 2012) | 8 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/ui/gtk/prefs_dlg.c

Only one place is needed for creating preference panes; this clears up
some warnings from GTK+.

For interior nodes in the preference module tree, we create a page even
if the module itself has no preferences, so there's *something* we can
show if the user clicks on it.  (Showing the top-level protocols page is
a bit weird, and requires us to keep track of it.)

------------------------------------------------------------------------
r43597 | guy | 2012-07-07 01:15:41 -0700 (Sat, 07 Jul 2012) | 6 lines
Changed paths:
   M /trunk/doc/README.stats_tree
   M /trunk/epan/libwireshark.def
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/epan/stats_tree.c
   M /trunk/epan/stats_tree.h
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

From Michael Mann:

Add a preference for the packet length statistics.

Fixes bug 3239.

------------------------------------------------------------------------
r43598 | wmeier | 2012-07-07 07:11:38 -0700 (Sat, 07 Jul 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

From Evan Huus: fix "Unused variable in packet-ansi_a.c"

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7447

------------------------------------------------------------------------
r43599 | wmeier | 2012-07-07 07:21:20 -0700 (Sat, 07 Jul 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nt.c
   M /trunk/epan/dissectors/packet-dcerpc.c

From Evan Huus: Fix "Useless null checks in packet-dcerpc*"

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7448

------------------------------------------------------------------------
r43600 | morriss | 2012-07-07 07:54:14 -0700 (Sat, 07 Jul 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7445 :

"Find Next Mark" was duplicated in the Edit menu and "Find Previous Mark" was
missing (the 2nd "Find Next Mark" would, if selected, find the previous mark).

------------------------------------------------------------------------
r43601 | wmeier | 2012-07-07 15:35:55 -0700 (Sat, 07 Jul 2012) | 30 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in

Use -D_FORTIFY_SOURCE=2 only if the gc optimization level is greater than 0.

Fixes Bug #7449: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7449

-----
Issue:

Building Wireshark with '-O0 -D_FORTIFY_SOURCE=2 ...' fails

The warning [error] message:

/usr/include/features.h:314:4: error: #warning _FORTIFY_SOURCE requires
compiling with optimization (-O) [-Werror=cpp]`


A bit of research shows that this warning was added to a recent version of
glibc (on at least Fedora).

 See: http://sourceware.org/bugzilla/show_bug.cgi?id=13979

The warning message occurs if -D_FORTIFY_SOURCE=... is used and the gcc
'optimization level' == 0 (-O0).

Unfortunately when building with -O0 this warning message:

1. Causes compiles to fail (if -Werror [stop  on warning])
2. Causes ./configure to fail with an (incorrect) message
   about the pcap header being older than the libpcap version.


------------------------------------------------------------------------
r43602 | guy | 2012-07-07 15:40:02 -0700 (Sat, 07 Jul 2012) | 9 lines
Changed paths:
   M /trunk/ui/gtk/uat_gui.c

From Evan Huus:

There is no guarantee that uat->category is non-null, so check whether
it's null before checking whether it's UAT_CAT_FIELDS or not.

Fixes bug 7444.

#BACKPORT

------------------------------------------------------------------------
r43603 | guy | 2012-07-07 18:00:46 -0700 (Sat, 07 Jul 2012) | 26 lines
Changed paths:
   M /trunk/asn1/c1222/packet-c1222-template.c
   M /trunk/asn1/ess/packet-ess-template.c
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-c1222.c
   M /trunk/epan/dissectors/packet-dmp.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee802154.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-reload.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-user_encap.c
   M /trunk/epan/dissectors/packet-vcdu.c
   M /trunk/epan/dissectors/packet-zbee-security.c
   M /trunk/epan/geoip_db.c
   M /trunk/epan/oids.c
   M /trunk/epan/uat-int.h
   M /trunk/epan/uat.c
   M /trunk/epan/uat.h
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c
   M /trunk/ui/gtk/uat_gui.c

UATs could be put into "categories".  The categories were defined only
implicitly by the #define name and string they were defined to; not all
UATs neatly fit into any of the categories, so some of them were put
into categories that weren't obviously correct for them, and one - the
display filter macro UAT - wasn't put into any category at all (which
caused crashes when editing them, as the GUI code that handled UAT
changes from a dialog assumed the category field was non-null).

The category was, in practice, used only to decide, in the
aforementioned GUI code, whether the packet summary pane needed to be
updated or not.  It also offered no option of "don't update the packet
summary pane *and* don't redissect anything", which is what would be
appropriate for the display filter macro UAT.

Replace the category with a set of fields indicating what the UAT
affects; we currently offer "dissection", which applies to most UATs
(any UAT in libwireshark presumably affects dissection at a minimum) and
"the set of named fields that exist".  Changing any UAT that affects
dissection requires a redissection; changing any UAT that affects the
set of named fields that exist requires a redissection *and* rebuilding
the packet summary pane.

Perhaps we also need "filtering", so that if you change a display filter
macro, we re-filter, in case the display is currently filtered with a
display filter that uses a macro that changed.

------------------------------------------------------------------------
r43604 | guy | 2012-07-07 18:17:19 -0700 (Sat, 07 Jul 2012) | 12 lines
Changed paths:
   M /trunk/epan/epan.c
   M /trunk/epan/geoip_db.c
   M /trunk/epan/geoip_db.h

From Evan Huus:

Don't initialize GeoIP from epan_init(), as we probably haven't loaded the
preferences for it yet (thanks to it's new use of the UAT framework).

Instead, register a post_update callback with UAT and load it there. As a
bonus, this also means that applying GeoIP preferences no longer requires
restarting Wireshark - everything should Just Work with the new databases right
away.

Fixes bug 7446.

------------------------------------------------------------------------
r43605 | morriss | 2012-07-07 18:31:48 -0700 (Sat, 07 Jul 2012) | 25 lines
Changed paths:
   M /trunk/doc/rawshark.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod.template
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h
   M /trunk/epan/oids.c
   M /trunk/epan/prefs.c
   M /trunk/ui/gtk/main.c

First phase of fixing https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7380 :

Add a new name resolution option: whether or not use the configured (in the OS)
name resolver (e.g., DNS) to resolve network names.  When this option is disabled
but network name resolution is enabled then Wireshark will resolve only those
names that it can from local sources.  This includes (at least, AFAIK):

- name resolutions that Wireshark picks up on from DNS packets it decodes
- the "user hosts file" (~/.wireshark/hosts on *NIX)
- what Wireshark reads out of capture file (the PCAPNG name resolution block)

This new preference defaults to "use external resolvers" for backward
compatibility (so people turning on network name resolution will get the old
behavior).

This option can be set via Edit->Preferences and on the command line; there
remain several UIs (e.g., the "open capture file" dialog, the
View->Name Resolution menu, etc.) that don't have the new option yet.


Also expand on the "description" for the name resolution preferences: these
are used not only in the tooltips but are also written to the preferences
file.  The previous text didn't include enough context when written do the
preferences file.

------------------------------------------------------------------------
r43606 | guy | 2012-07-07 18:43:14 -0700 (Sat, 07 Jul 2012) | 13 lines
Changed paths:
   M /trunk/ws80211_utils.c
   M /trunk/ws80211_utils.h

Keep the NL80211_CHAN_ and WS80211_CHAN_ values distinct; only the
Linux version of the platform-dependent 802.11 stuff should use the
NL80211_CHAN_ stuff.  Map from the WS80211_CHAN_ values to the
corresponding NL80211_CHAN_ values in ws80211_set_freq(), and have the
channel_types bitset use bits indexed by WS80211_CHAN_ values rather
than NL80211_CHAN_.

This won't fix the problem of building this on Linuxes with old
nl80211.h headers that lack NL80211_CHAN_, but it narrows the set of
code that needs the NL80211_CHAN_ values, perhaps allowing the fix to be
a bit cleaner, as well as making it easier to make this work on
platforms other than Linux.

------------------------------------------------------------------------
r43607 | morriss | 2012-07-07 18:48:52 -0700 (Sat, 07 Jul 2012) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c

Don't bother printing the Description of STATIC_TEXT and UAT preferences:
they don't make it into the preferences file anyway...

------------------------------------------------------------------------
r43608 | guy | 2012-07-07 19:07:38 -0700 (Sat, 07 Jul 2012) | 9 lines
Changed paths:
   M /trunk/ws80211_utils.c

Unless NL80211_BAND_ATTR_HT_CAPA is defined, assume we don't have
channel-type-setting capabilities, and don't build the code to set the
channel type or fetch any channel types other than "no HT".

(It *looks* as if nl80211.h defines NL80211_BAND_ATTR_HT_CAPA as a
member of an enum *and* as a #define, at least in the kernels I've
looked at, so we can test for it with #ifdef - perhaps that's *why* it's
#defined.)

------------------------------------------------------------------------
r43609 | morriss | 2012-07-07 20:29:49 -0700 (Sat, 07 Jul 2012) | 23 lines
Changed paths:
   M /trunk/epan/dissectors/packet-coseventcomm.c
   M /trunk/epan/dissectors/packet-cosnaming.c
   M /trunk/epan/dissectors/packet-parlay.c
   M /trunk/epan/dissectors/packet-tango.c
   M /trunk/tools/wireshark_gen.py

Eliminate a lot of function-local variables by not storing the result of
(several of the) get_CDR_*() functions: instead call the function directly
in the proto_tree_add_text() calls.

Eliminate a lot of global variables that are only later used in (a single)
strcmp().

All the GIOP dissectors are built-in now; don't include the (#if'd out) plugin
registration code in the generated dissector.

Try to clean up the formatting of the generated code a bit.

Regenerate the IDL dissectors; as noted in r39932, this seems to involve a
lot of function re-ordering in packet-parlay.c (making the delta bigger).


These changes decrease the time to compile packet-parlay.c by, on my system,
about half.  But it still complains:

variable tracking size limit exceeded with -fvar-tracking-assignments, retrying without

and it still takes "too long."

------------------------------------------------------------------------
r43610 | morriss | 2012-07-07 20:57:35 -0700 (Sat, 07 Jul 2012) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cosnaming.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-giop.h
   M /trunk/epan/dissectors/packet-parlay.c
   M /trunk/epan/dissectors/packet-tango.c
   M /trunk/tools/wireshark_gen.py

Add a function to packet-giop.c that does what the code that 
template_get_CDR_string (in wireshark_gen.py) did.  This eliminates another
whole pile of function-local variables in packet-parlay.c.

Unfortunately it doesn't seem to speed up compilation (or eliminate the
variable tracking size limit problem).  But it does eliminate a lot of
lines of code...

------------------------------------------------------------------------
r43611 | gerald | 2012-07-08 07:03:29 -0700 (Sun, 08 Jul 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-08]
------------------------------------------------------------------------
r43615 | etxrab | 2012-07-08 18:36:54 -0700 (Sun, 08 Jul 2012) | 4 lines
Changed paths:
   M /trunk/image/file_dlg_win32.rc
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/ui/win32/file_dlg_win32.h

From Michael Mann:
GUI use external name resolver proliferation

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7380
------------------------------------------------------------------------
r43616 | etxrab | 2012-07-08 18:49:02 -0700 (Sun, 08 Jul 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rdp.c
   M /trunk/epan/emem.c
   M /trunk/mkcap.c
   M /trunk/plugins/mate/packet-mate.c
   M /trunk/ui/gtk/airpcap_dlg.c
   M /trunk/ui/gtk/main_welcome.c
   M /trunk/wiretap/vwr.c

From Evan Huus:
Grab-bag of unused variables.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7452
------------------------------------------------------------------------
r43617 | etxrab | 2012-07-08 18:56:27 -0700 (Sun, 08 Jul 2012) | 9 lines
Changed paths:
   M /trunk/epan/filesystem.c
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/mkcap.c
   M /trunk/ui/cli/tap-rtp.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/proto_hier_stats_dlg.c
   M /trunk/ws80211_utils.c

From Evan Huus:
Fix leaks

- don't g_strdup a string just to use it in a g_strdup_printf
- clean up properly in error cases in lua bindings
- misc. other missing g_free() calls
- one missing fclose() in the new 80211_utils

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7454
------------------------------------------------------------------------
r43618 | etxrab | 2012-07-08 19:02:03 -0700 (Sun, 08 Jul 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/iax2_analysis.c

From Evan Huus:
Redundant conditions in iax2_analysis.c

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7456
------------------------------------------------------------------------
r43619 | etxrab | 2012-07-08 19:24:07 -0700 (Sun, 08 Jul 2012) | 3 lines
Changed paths:
   M /trunk/tools/lemon/lemon.c

From Martin Kaiser:
CID 280531: "Argument cannot be negative" in lemon
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7453
------------------------------------------------------------------------
r43620 | etxrab | 2012-07-08 19:28:14 -0700 (Sun, 08 Jul 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvbci.c

From Martin Kaiser:
DVB-CI/CI+: dissect the payload of LSC messages.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7440
------------------------------------------------------------------------
r43621 | etxrab | 2012-07-08 19:33:39 -0700 (Sun, 08 Jul 2012) | 13 lines
Changed paths:
   M /trunk/ui/gtk/io_stat.c

From Evan Huus:
IO Graph Fixes

- Allow counting *any* type of field, FT_NONE, FT_PROTOCOL, whatever, by moving
FT_NONE case to default case per Jakub's suggestion.

- Fix get_it_value() for FT_PROTOCOL fields by breaking CALC_TYPE_COUNT_FRAMES
and CALC_TYPE_COUNT_FIELDS out of the adv_type switch statement just like
COUNT_TYPE_FRAMES.

- Avoid an overflow in pixmap_clicked_event() that was causing crashes when
clicking outside the data portion of the graph (when the capture hasn't enough
files to fill the entire graph window),
------------------------------------------------------------------------
r43622 | etxrab | 2012-07-08 19:40:20 -0700 (Sun, 08 Jul 2012) | 8 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/prefs_capture.c

From Michael Mann:
disable hide checkboxes with error messages

Updated preference dialog to include text if hide checkbox is disabled.

Used error message for "Local Interfaces" dialog.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2598
------------------------------------------------------------------------
r43623 | wmeier | 2012-07-08 20:00:03 -0700 (Sun, 08 Jul 2012) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-assa_r3.c

From Evan Huus: Struct cleanup in packet-assa_r3.c

Cleanup and simplify structures and arrays in packet-assa_r3.c as described in
my email to the -dev list [1].

[1] http://www.wireshark.org/lists/wireshark-dev/201207/msg00050.html


From me:
 Do the same as above for the commandDissectorParser_t struct mentioned in the EMail
 (but not fixed in the patch).


------------------------------------------------------------------------
r43624 | etxrab | 2012-07-09 07:09:59 -0700 (Mon, 09 Jul 2012) | 1 line
Changed paths:
   M /trunk/asn1/gprscdr/GPRSChargingDataTypesV641.asn
   A /trunk/asn1/gprscdr/GPRSChargingDataTypesV8e0.asn
   A /trunk/asn1/gprscdr/GenericChargingDataTypesV8e0.asn
   M /trunk/asn1/gprscdr/Makefile.common
   M /trunk/asn1/gprscdr/gprscdr.cnf
   M /trunk/epan/dissectors/packet-gprscdr.c
   M /trunk/epan/dissectors/packet-gprscdr.h
   M /trunk/epan/dissectors/packet-gtp.c

Dissect Release 8 CDR:s
------------------------------------------------------------------------
r43625 | etxrab | 2012-07-09 07:10:40 -0700 (Mon, 09 Jul 2012) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/epan/dissectors/packet-diameter_3gpp.c

Update AVP dissection.
------------------------------------------------------------------------
r43626 | cmaynard | 2012-07-09 07:45:30 -0700 (Mon, 09 Jul 2012) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Minor formatting changes:  Surround Clement Marrast's e-mail with <> like everyone else's and no need to capitalize Clement's entire last name.  Convert some spaces to tabs.  Remove spaces surrounding " [AT] ", as it seems that initially that's how they were being written.

------------------------------------------------------------------------
r43627 | morriss | 2012-07-09 13:45:14 -0700 (Mon, 09 Jul 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/funnel_stat.c

As suggested by Richard Sharpe: rename VALS_GROUP_NAMES[] so it's not all
upper case.

Don't mark stat_group_name()'s 'group' parameter unused: it is unused.

------------------------------------------------------------------------
r43628 | pascal | 2012-07-09 13:55:09 -0700 (Mon, 09 Jul 2012) | 3 lines
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/Makefile.nmake
   M /trunk/asn1/lpp/LPP.asn
   M /trunk/asn1/lpp/Makefile.common
   M /trunk/asn1/lpp/lpp.cnf
   M /trunk/asn1/lpp/packet-lpp-template.c
   M /trunk/asn1/lpp/packet-lpp-template.h
   A /trunk/asn1/lppe
   A /trunk/asn1/lppe/LPPe.asn
   A /trunk/asn1/lppe/Makefile.am
   A /trunk/asn1/lppe/Makefile.common
   A /trunk/asn1/lppe/Makefile.nmake
   A /trunk/asn1/lppe/lppe.cnf
   A /trunk/asn1/lppe/packet-lppe-template.c
   M /trunk/configure.in
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-lpp.c
   M /trunk/epan/dissectors/packet-lpp.h
   A /trunk/epan/dissectors/packet-lppe.c

Add LTE Positioning Protocol Extensions dissector
Upgrade LTE Positioning Protocol to V10.5.0

------------------------------------------------------------------------
r43629 | pascal | 2012-07-09 14:04:50 -0700 (Mon, 09 Jul 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lppe/lppe.cnf

Update comments

------------------------------------------------------------------------
r43630 | guy | 2012-07-09 16:07:28 -0700 (Mon, 09 Jul 2012) | 7 lines
Changed paths:
   M /trunk/wiretap/CMakeLists.txt
   M /trunk/wiretap/Makefile.common
   D /trunk/wiretap/airopeek9.c
   D /trunk/wiretap/airopeek9.h
   D /trunk/wiretap/etherpeek.c
   D /trunk/wiretap/etherpeek.h
   M /trunk/wiretap/file_access.c
   A /trunk/wiretap/peekclassic.c (from /trunk/wiretap/etherpeek.c:43590)
   A /trunk/wiretap/peekclassic.h (from /trunk/wiretap/etherpeek.h:43590)
   A /trunk/wiretap/peektagged.c (from /trunk/wiretap/airopeek9.c:43590)
   A /trunk/wiretap/peektagged.h (from /trunk/wiretap/airopeek9.h:43590)
   M /trunk/wiretap/wtap.h

The names "etherpeek" and "airopeek" are a bit misleading, as the
"etherpeek.c" file format is used by AiroPeek and the "airopeek9.c" file
format is used by EtherPeek.

Instead, use the names that WildPackets apparently uses for those
formats - "classic" and "tagged".

------------------------------------------------------------------------
r43631 | guy | 2012-07-09 16:10:45 -0700 (Mon, 09 Jul 2012) | 2 lines
Changed paths:
   M /trunk/wiretap/peektagged.c

Fix some comments.

------------------------------------------------------------------------
r43632 | guy | 2012-07-09 16:12:21 -0700 (Mon, 09 Jul 2012) | 2 lines
Changed paths:
   M /trunk/wiretap/peektagged.c

Fix another comment.

------------------------------------------------------------------------
r43633 | guy | 2012-07-09 16:14:50 -0700 (Mon, 09 Jul 2012) | 2 lines
Changed paths:
   M /trunk/wiretap/peekclassic.c

Fix up some comments.

------------------------------------------------------------------------
r43634 | martinm | 2012-07-09 18:32:54 -0700 (Mon, 09 Jul 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/gui_stat_menu.h
   M /trunk/ui/gtk/main_menubar.c
   A /trunk/ui/gtk/rlc_lte_graph.c

Add a sequence graph for LTE RLC channels under Telephony | LTE.

------------------------------------------------------------------------
r43635 | guy | 2012-07-09 18:57:55 -0700 (Mon, 09 Jul 2012) | 9 lines
Changed paths:
   M /trunk/ui/gtk/rlc_lte_graph.c

From Evan Huus:

Fix an uninitialized-variable error that was breaking compile with gcc.

Also remove some cruft that looks like it was copy-pasted from
ui/gtk/tcp_graph.c

Fixes bug 7460.

------------------------------------------------------------------------
r43636 | martinm | 2012-07-09 19:19:34 -0700 (Mon, 09 Jul 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/rlc_lte_graph.c

Trivial indentation fixes.

------------------------------------------------------------------------
r43637 | pascal | 2012-07-10 00:19:40 -0700 (Tue, 10 Jul 2012) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common

Move LPP and LPPe dissectors to the ASN.1 dirty library

------------------------------------------------------------------------
r43638 | etxrab | 2012-07-10 00:24:01 -0700 (Tue, 10 Jul 2012) | 1 line
Changed paths:
   M /trunk/epan/addr_resolv.c

Group the network name resolution boxes together and make a more verbose explanation on the intended use.
------------------------------------------------------------------------
r43639 | etxrab | 2012-07-10 00:50:34 -0700 (Tue, 10 Jul 2012) | 1 line
